2012-05-28  Simon Josefsson <simon@josefsson.org>

	* lib/po/sr.po.in, po/sr.po.in: Sync with TP.

2012-05-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, lib/NEWS: Version 1.8.0.

2012-05-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.7.6.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS, lib/po/nl.po.in, po/nl.po.in: Sync with TP.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* examples/client-callback.c, examples/client-mech.c,
	examples/client-serverfirst.c, examples/client-xmpp-saml20.c,
	examples/client.c, examples/server-xmpp-saml20.c,
	examples/smtp-server.c: Need config.h for examples, due to gnulib
	overrides.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: Link with gnulib.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Silence pure/const attribute warnings.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix texinfo warning.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.7.5.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.7.5.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* lib/po/pl.po.in, po/pl.po.in: Sync with TP.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/configure.ac: Improve ./configure summary.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Display build option summary.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Don't auto-detect MIT/Heimdal, it causes too
	many build problems.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/ftruncate.m4, gl/m4/gettimeofday.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/ioctl.m4,
	gl/m4/perror.m4, gl/m4/pipe.m4, gl/m4/strerror_r.m4,
	gl/m4/sys_ioctl_h.m4, gl/override/tests/test-poll.c.diff,
	gl/override/tests/test-select-in.sh.diff, gltests/Makefile.am,
	gltests/accept.c, gltests/bind.c, gltests/ftruncate.c,
	gltests/gettimeofday.c, gltests/ioctl.c, gltests/listen.c,
	gltests/perror.c, gltests/pipe.c, gltests/setsockopt.c,
	gltests/strerror_r.c, gltests/sys_ioctl.in.h,
	gltests/test-accept.c, gltests/test-bind.c,
	gltests/test-ftruncate.c, gltests/test-ftruncate.sh,
	gltests/test-gettimeofday.c, gltests/test-ioctl.c,
	gltests/test-listen.c, gltests/test-perror.c,
	gltests/test-perror.sh, gltests/test-perror2.c,
	gltests/test-pipe.c, gltests/test-poll.c, gltests/test-select-fd.c,
	gltests/test-select-in.sh, gltests/test-select-out.sh,
	gltests/test-select-stdin.c, gltests/test-select.c,
	gltests/test-select.h, gltests/test-setsockopt.c,
	gltests/test-strerror_r.c, gltests/test-sys_ioctl.c,
	gltests/w32sock.h: Avoid tests with known Cygwin/MinGW failures.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/test-parser.c: More debug info, useful when gc_init
	fails.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS, lib/po/eo.po.in, lib/po/fi.po.in,
	lib/po/id.po.in, lib/po/it.po.in, lib/po/uk.po.in, lib/po/vi.po.in,
	po/de.po.in, po/eo.po.in, po/fi.po.in, po/it.po.in, po/uk.po.in,
	po/vi.po.in: Sync with TP.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/gl/m4/gc.m4, lib/gl/md5.c, lib/gl/sha1.c: Update gnulib files.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* examples/openid20/Makefile.am, examples/saml20/Makefile.am: Need
	gnulib for saml20/openid20 examples.

2012-05-21  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Indent.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* examples/saml20/README: Typo

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.7.4.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.7.3.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention ncftp.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS, tests/libgsasl.supp: Version 1.7.4.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention valgrind suppressions file.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Doc fix.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* gltests/ignore-value.h: Update gnulib files.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* doc/doxygen/Doxyfile.in: Don't use pdflatex as it causes multiple
	hard errors.  See <http://archives.postgresql.org/pgsql-docs/2011-01/msg00039.php>
	for discussion around the problem.  The problem occurs on too many
	functions in GNU SASL for it to be possible to reword them all to
	work around the problem.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention doxygen.

2012-05-15  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/gendocs_template,
	gl/override/doc/gendocs_template.diff: Use devhelp version 2 format.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* windows/gsasl4win.mk: Don't mess with ~/.wine.  Drop KFW
	3.2.3alpha1 support.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* windows/gsasl4win.mk: Run self-checks for 64-bit builds too (seems
	to work on Ubuntu 12.04).

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Doc fix.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/gssapi/server.c: gssapi: Don't output zero-length tokens on
	success.  Reported by Andreas Oberritter <obi@saftware.de>.

2011-10-26  Simon Josefsson <simon@josefsson.org>

	* lib/gssapi/server.c: Only proceed to the next step when the
	context is established.  Before the code would always go to the next step, even if the
	GSS-API library returned CONTINUE_NEEDED and the context not yet
	established.  The reason this problem does not appear to be
	exploitable is because a Kerberos V5 GSS-API mechanism
	implementation would not return CONTINUE_NEEDED and at the same time
	be able to successfully perform gss_wrap and gss_unwrap.  Reported
	by Andreas Oberritter <obi@saftware.de>.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strndup.m4, gl/m4/strnlen.m4, gl/strndup.c, gl/strnlen.c,
	gltests/Makefile.am, gltests/test-strnlen.c, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/strndup.m4, lib/gl/strndup.c: Move strndup to lib/.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strndup.m4, gl/m4/strnlen.m4, gl/strndup.c, gl/strnlen.c,
	gltests/Makefile.am, gltests/test-strnlen.c: Add strndup.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/parser.c: Rewrite to use strdup instead of malloc.
	Silences valgrind warnings.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c, tests/symbols.c: Fix build errors with gcc 4.6.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, examples/saml20/README: Fix syntax-check nits.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/po/vi.po.in: Sync with TP.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/fseeko.c, gl/fstat.c, gl/lseek.c,
	gl/m4/dup2.m4, gl/m4/fseeko.m4, gl/m4/fstat.m4, gl/m4/ftruncate.m4,
	gl/m4/getcwd.m4, gl/m4/getdelim.m4, gl/m4/getline.m4,
	gl/m4/gettimeofday.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/largefile.m4, gl/m4/lseek.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/math_h.m4, gl/m4/off_t.m4,
	gl/m4/putenv.m4, gl/m4/realloc.m4, gl/m4/setenv.m4, gl/m4/stat.m4,
	gl/m4/strerror.m4, gl/m4/symlink.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_types_h.m4, gl/m4/ungetc.m4, gl/m4/unistd_h.m4,
	gl/m4/warnings.m4, gl/m4/wctype_h.m4, gl/stdint.in.h,
	gl/stdio.in.h, gl/sys_stat.in.h, gl/sys_types.in.h, gl/unistd.in.h,
	gltests/binary-io.h, gltests/fcntl.in.h, gltests/ftruncate.c,
	gltests/init.sh, gltests/ioctl.c, gltests/stat.c,
	gltests/test-binary-io.c, gltests/test-binary-io.sh,
	lib/build-aux/snippet/_Noreturn.h, lib/gl/Makefile.am,
	lib/gl/m4/getdelim.m4, lib/gl/m4/getline.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/malloc.m4, lib/gl/m4/math_h.m4, lib/gl/m4/memmem.m4,
	lib/gl/m4/off_t.m4, lib/gl/m4/realloc.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/stdint.in.h, lib/gl/stdio.in.h,
	lib/gl/sys_types.in.h, lib/gl/unistd.in.h, lib/gltests/Makefile.am,
	lib/gltests/init.sh, lib/gltests/test-sys_types.c, lib/maint.mk,
	maint.mk: Update gnulib files.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Doc fixes.  Bump version.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* README, doc/gsasl.texi, lib/NEWS, lib/README, lib/src/gsasl.h: Doc
	fixes for SAML/OpenID.

2012-05-14  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, examples/client-xmpp-saml20.c,
	examples/openid20/smtp-server-openid20.c,
	examples/saml20/smtp-server-saml20.c,
	examples/server-xmpp-saml20.c, lib/NEWS, lib/openid20/client.c,
	lib/openid20/server.c, lib/saml20/client.c, lib/saml20/server.c,
	lib/src/error.c, lib/src/gsasl.h, lib/src/internal.h,
	lib/src/property.c, lib/src/xfinish.c, src/callbacks.c,
	tests/openid20.c, tests/saml20.c: Revert "Unify some SAML/OpenID
	properties & callbacks." This reverts commit 3095b8531899818f1838c8f658024fafb8fbd92a.

2012-04-29  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention lasso build dependency.

2012-04-18  Simon Josefsson <simon@josefsson.org>

	* examples/saml20/README: Fix.

2012-04-18  Simon Josefsson <simon@josefsson.org>

	* examples/saml20/README: Add example flow.

2012-04-18  Simon Josefsson <simon@josefsson.org>

	* examples/saml20/README: Doc fixes.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.7.3.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Don't warn on exit(0) in PHP code.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* examples/saml20/smtp-server-saml20.c: Don't crash on uninitialized
	variable.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Don't use non-portable '-include'.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update OpenPGP key.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, examples/client-xmpp-saml20.c,
	examples/openid20/gsasl-openid20-redirect.php,
	examples/openid20/gsasl-openid20-rp.php,
	examples/openid20/smtp-server-openid20.c,
	examples/saml20/gsasl-saml20-request.c,
	examples/saml20/gsasl-saml20-sp.php,
	examples/saml20/smtp-server-saml20.c,
	examples/server-xmpp-saml20.c, examples/smtp-server.c,
	lib/po/POTFILES.in, lib/saml20/client.c, lib/src/mechtools.c,
	lib/src/mechtools.h, src/gsasl.c: Update copyright headers.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/math_h.m4, gl/m4/stdio_h.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/stdio.in.h,
	gltests/strerror_r.c, lib/gl/Makefile.am, lib/gl/m4/math_h.m4,
	lib/gl/m4/stdio_h.m4, lib/gl/m4/warn-on-use.m4, lib/gl/stdio.in.h,
	lib/maint.mk, maint.mk: Update gnulib files.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* examples/client-callback.c, examples/client-mech.c,
	examples/client-serverfirst.c, examples/client-xmpp-saml20.c,
	examples/client.c, examples/server-xmpp-saml20.c: Fix
	warn_unused_result complaints.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* doc/print-errors.c, lib/anonymous/client.c,
	lib/anonymous/mechinfo.c, lib/anonymous/server.c,
	lib/cram-md5/challenge.h, lib/cram-md5/client.c,
	lib/cram-md5/digest.c, lib/cram-md5/digest.h,
	lib/cram-md5/mechinfo.c, lib/cram-md5/server.c,
	lib/digest-md5/client.c, lib/digest-md5/digesthmac.c,
	lib/digest-md5/digesthmac.h, lib/digest-md5/free.h,
	lib/digest-md5/getsubopt.c, lib/digest-md5/mechinfo.c,
	lib/digest-md5/nonascii.c, lib/digest-md5/nonascii.h,
	lib/digest-md5/parser.c, lib/digest-md5/parser.h,
	lib/digest-md5/printer.c, lib/digest-md5/printer.h,
	lib/digest-md5/qop.c, lib/digest-md5/qop.h,
	lib/digest-md5/server.c, lib/digest-md5/session.c,
	lib/digest-md5/session.h, lib/digest-md5/test-parser.c,
	lib/digest-md5/tokens.h, lib/digest-md5/validate.c,
	lib/digest-md5/validate.h, lib/external/client.c,
	lib/external/mechinfo.c, lib/external/server.c, lib/gs2/client.c,
	lib/gs2/gs2helper.c, lib/gs2/gs2helper.h, lib/gs2/mechinfo.c,
	lib/gs2/server.c, lib/gssapi/client.c, lib/gssapi/mechinfo.c,
	lib/gssapi/server.c, lib/login/client.c, lib/login/mechinfo.c,
	lib/login/server.c, lib/ntlm/mechinfo.c, lib/ntlm/ntlm.c,
	lib/openid20/client.c, lib/openid20/mechinfo.c,
	lib/openid20/openid20.h, lib/openid20/server.c, lib/plain/client.c,
	lib/plain/mechinfo.c, lib/plain/server.c, lib/saml20/client.c,
	lib/saml20/mechinfo.c, lib/saml20/saml20.h, lib/saml20/server.c,
	lib/scram/client.c, lib/scram/mechinfo.c, lib/scram/parser.c,
	lib/scram/parser.h, lib/scram/printer.c, lib/scram/printer.h,
	lib/scram/scram.h, lib/scram/server.c, lib/scram/tokens.c,
	lib/scram/tokens.h, lib/scram/validate.c, lib/scram/validate.h,
	lib/securid/client.c, lib/securid/mechinfo.c, lib/securid/server.c,
	lib/src/crypto.c, lib/src/done.c, lib/src/gsasl-compat.h,
	lib/src/gsasl-mech.h, lib/src/gsasl.h, lib/src/internal.h,
	lib/src/mechtools.c, lib/src/mechtools.h, lib/src/obsolete.c,
	lib/src/property.c, lib/src/saslprep.c, src/callbacks.c,
	src/gsasl.c, src/imap.c, src/internal.h, src/smtp.c,
	tests/cram-md5.c, tests/crypto.c, tests/digest-md5.c,
	tests/errors.c, tests/external.c, tests/gs2-krb5.c, tests/gssapi.c,
	tests/md5file.c, tests/name.c, tests/old-base64.c,
	tests/old-cram-md5.c, tests/old-digest-md5.c, tests/old-gssapi.c,
	tests/old-md5file.c, tests/old-simple.c, tests/readnz.c,
	tests/saml20.c, tests/scram.c, tests/scramplus.c, tests/simple.c,
	tests/suggest.c, tests/symbols.c, tests/utils.c, tests/utils.h: 
	Indent code.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* examples/openid20/smtp-server-openid20.c: Fix build errors.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Disable Lasso by default on Windows.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Update NEWS.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, lib/saml20/client.c, lib/saml20/server.c: Update
	SAML20 implementation to -09.  Use = instead of empty message.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Doc fixes.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* examples/openid20/Makefile.am, examples/saml20/Makefile.am,
	examples/saml20/smtp-server-saml20.c: Fix build errors.  Use
	-no-install for examples.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/configure.ac: Enable SAML20 by default.  Doc fixes.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* tests/crypto.c: Disable testing of gsasl_random for now (it
	locks).

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, examples/client-xmpp-saml20.c,
	examples/openid20/smtp-server-openid20.c,
	examples/saml20/smtp-server-saml20.c,
	examples/server-xmpp-saml20.c, lib/NEWS, lib/openid20/client.c,
	lib/openid20/server.c, lib/saml20/client.c, lib/saml20/server.c,
	lib/src/error.c, lib/src/gsasl.h, lib/src/internal.h,
	lib/src/property.c, lib/src/xfinish.c, src/callbacks.c,
	tests/openid20.c, tests/saml20.c: Unify some SAML/OpenID properties
	& callbacks.  GSASL_REDIRECT_URL: Added, replaces the next two properties.
	GSASL_OPENID20_REDIRECT_URL: Removed.  GSASL_SAML20_REDIRECT_URL:
	Removed.  GSASL_AUTHENTICATE_IN_BROWSER: Added, replaces the next
	two callbacks.  GSASL_SAML20_AUTHENTICATE_IN_BROWSER: Removed.
	GSASL_OPENID20_AUTHENTICATE_IN_BROWSER: Removed.

2012-04-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2012-03-30  Simon Josefsson <simon@josefsson.org>

	* .gitignore, configure.ac, examples/Makefile.am,
	examples/saml20/Makefile.am, examples/saml20/README,
	examples/saml20/gsasl-saml20-request.c,
	examples/saml20/gsasl-saml20-sp.php,
	examples/saml20/idp.protectnetwork.org/idp-metadata.xml,
	examples/saml20/openidp.feide.no/idp-metadata.xml,
	examples/saml20/smtp-server-saml20.c, examples/saml20/sp-crt.pem,
	examples/saml20/sp-key.pem, examples/saml20/sp-metadata.xml: Add
	example SAML20 server.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.7.2.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Allow for sub-keys.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* configure.ac, examples/Makefile.am, examples/openid20/Makefile.am: 
	Don't build example SMTP server for Windows.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* po/vi.po.in: Sync with TP.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.7.2.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Document new OPENID20 properties and callbacks.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/openid20.c: Add OPENID20 self-test.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* lib/openid20/client.c, lib/openid20/server.c: Fix error handling
	step.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* examples/smtp-server.c: Sync example SMTP codes.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/locale_h.m4,
	gl/m4/math_h.m4, gl/quote.c, gl/quote.h, gl/quotearg.c,
	gl/stdlib.in.h, gl/string.in.h, gl/unistr.in.h, gl/unitypes.in.h,
	gl/wchar.in.h, gltests/Makefile.am, gltests/fpucw.h,
	gltests/locale.in.h, gltests/macros.h, gltests/test-locale.c,
	lib/build-aux/gnupload, lib/gl/m4/math_h.m4, lib/gl/stdlib.in.h,
	lib/gl/string.in.h, lib/gl/wchar.in.h, lib/gltests/fpucw.h,
	lib/gltests/macros.h, lib/maint.mk, maint.mk: Update gnulib files.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* examples/openid20/smtp-server-openid20.c: Create directories with
	better permissions.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, examples/openid20/README, lib/NEWS: Doc fixes.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gsasl.texi: Add example to manual.  Update NEWS.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Update OPENID20 documentation.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Enable OPENID20 by default.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Collapse enum ranges.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* examples/openid20/smtp-server-openid20.c: Disable stdout buffering
	(somehow required to pipe output into logger).

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* examples/openid20/smtp-server-openid20.c: Fix debug info.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, src/gsasl.c, src/imap.c, src/smtp.c: gsasl: Let server
	decide when authentication is complete.

2012-03-28  Simon Josefsson <simon@josefsson.org>

	* .gitignore, configure.ac, examples/Makefile.am,
	examples/openid20/Makefile.am, examples/openid20/README,
	examples/openid20/gsasl-openid20-redirect.php,
	examples/openid20/gsasl-openid20-rp.php,
	examples/openid20/smtp-server-openid20.c: Add SMTP example server
	with OpenID 2.0 support.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Doc fix.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* lib/src/error.c: Fix last commit.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* lib/openid20/client.c, lib/openid20/server.c, lib/src/gsasl.h,
	lib/src/internal.h, lib/src/property.c, lib/src/xfinish.c,
	src/callbacks.c: Use AUTHID for OpenID user-supplied identifier.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* examples/smtp-server.c: Print information after authentication.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* lib/openid20/client.c, lib/openid20/server.c, lib/src/gsasl.h,
	lib/src/internal.h, lib/src/property.c, lib/src/xfinish.c,
	src/callbacks.c: Further OPENID20 fixes.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* examples/smtp-server.c: Don't crash in accept.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Silence compiler warnings.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add make.

2012-03-27  Simon Josefsson <simon@josefsson.org>

	* lib/openid20/server.c, lib/src/error.c, lib/src/gsasl.h,
	lib/src/internal.h, lib/src/property.c, lib/src/xfinish.c: Improve
	OPENID20 implementation.

2012-03-26  Simon Josefsson <simon@josefsson.org>

	* .gitignore, examples/Makefile.am, examples/smtp-server.c: Add
	example SMTP server.

2012-03-26  Simon Josefsson <simon@josefsson.org>

	* src/callbacks.c: Support SAML20 callbacks.

2012-03-23  Simon Josefsson <simon@josefsson.org>

	* src/smtp.c: Handle when AUTH tokens are on final 250 line.

2012-03-23  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.ggo: Prepare for --listen.

2012-03-23  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Don't even try to get channel binding when --no-cb
	was given.

2012-03-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/gdoc: Don't hardcode /usr/bin/perl in gdoc.
	For Hydra.

2012-03-02  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/alloca.in.h, gl/arpa_inet.in.h, gl/asnprintf.c,
	gl/asprintf.c, gl/c-ctype.c, gl/c-ctype.h, gl/c-strcase.h,
	gl/c-strcasecmp.c, gl/c-strncasecmp.c, gl/config.charset,
	gl/errno.in.h, gl/float+.h, gl/fseeko.c, gl/gai_strerror.c,
	gl/getaddrinfo.c, gl/getdelim.c, gl/getline.c, gl/getpass.c,
	gl/getpass.h, gl/gettext.h, gl/iconv.c, gl/iconv.in.h,
	gl/iconv_close.c, gl/iconv_open.c, gl/inet_ntop.c,
	gl/localcharset.c, gl/localcharset.h, gl/lseek.c, gl/m4/fpieee.m4,
	gl/m4/math_h.m4, gl/mbrtowc.c, gl/msvc-inval.c, gl/msvc-inval.h,
	gl/msvc-nothrow.c, gl/msvc-nothrow.h, gl/netdb.in.h,
	gl/netinet_in.in.h, gl/poll.c, gl/poll.in.h, gl/printf-args.c,
	gl/printf-args.h, gl/printf-parse.c, gl/printf-parse.h,
	gl/ref-add.sin, gl/ref-del.sin, gl/select.c, gl/size_max.h,
	gl/snprintf.c, gl/stdalign.in.h, gl/stdarg.in.h, gl/stdbool.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio.in.h, gl/streq.h,
	gl/striconv.c, gl/striconv.h, gl/string.in.h, gl/sys_select.in.h,
	gl/sys_socket.in.h, gl/sys_stat.in.h, gl/sys_time.in.h,
	gl/sys_types.in.h, gl/sys_uio.in.h, gl/time.in.h, gl/unistd.in.h,
	gl/vasnprintf.c, gl/vasnprintf.h, gl/vasprintf.c, gl/wchar.in.h,
	gl/wctype.in.h, gl/xsize.h, gltests/gettimeofday.c,
	gltests/glthread/lock.c, gltests/glthread/lock.h,
	gltests/glthread/thread.c, gltests/glthread/thread.h,
	gltests/glthread/threadlib.c, gltests/glthread/yield.h,
	gltests/malloc.c, gltests/malloca.c, gltests/malloca.h,
	gltests/pathmax.h, gltests/pipe.c, gltests/sys_ioctl.in.h,
	gltests/test-fgetc.c, gltests/test-fputc.c, gltests/test-fread.c,
	gltests/test-fwrite.c, gltests/test-getdelim.c,
	gltests/test-getline.c, gltests/test-perror.c,
	gltests/test-perror2.c, gltests/test-pipe.c, gltests/test-poll.c,
	gltests/test-quotearg-simple.c, gltests/test-quotearg.h,
	gltests/test-strerror.c, gltests/test-strerror_r.c,
	lib/GNUmakefile, lib/build-aux/gnupload, lib/gl/alloca.in.h,
	lib/gl/asnprintf.c, lib/gl/asprintf.c, lib/gl/base64.c,
	lib/gl/base64.h, lib/gl/c-ctype.c, lib/gl/c-ctype.h,
	lib/gl/errno.in.h, lib/gl/float+.h, lib/gl/gc-gnulib.c,
	lib/gl/gc-libgcrypt.c, lib/gl/gc-pbkdf2-sha1.c, lib/gl/gc.h,
	lib/gl/getdelim.c, lib/gl/getline.c, lib/gl/gettext.h,
	lib/gl/hmac-md5.c, lib/gl/hmac-sha1.c, lib/gl/hmac.h,
	lib/gl/m4/fpieee.m4, lib/gl/m4/math_h.m4, lib/gl/md5.c,
	lib/gl/md5.h, lib/gl/memmem.c, lib/gl/memxor.c, lib/gl/memxor.h,
	lib/gl/minmax.h, lib/gl/printf-args.c, lib/gl/printf-args.h,
	lib/gl/printf-parse.c, lib/gl/printf-parse.h, lib/gl/sha1.c,
	lib/gl/sha1.h, lib/gl/size_max.h, lib/gl/stdalign.in.h,
	lib/gl/stdbool.in.h, lib/gl/stddef.in.h, lib/gl/stdint.in.h,
	lib/gl/stdio.in.h, lib/gl/str-two-way.h, lib/gl/string.in.h,
	lib/gl/strnlen.c, lib/gl/strverscmp.c, lib/gl/unistd.in.h,
	lib/gl/vasnprintf.c, lib/gl/vasnprintf.h, lib/gl/vasprintf.c,
	lib/gl/wchar.in.h, lib/gl/xsize.h, lib/gltests/msvc-inval.c,
	lib/gltests/msvc-inval.h, lib/gltests/test-fgetc.c,
	lib/gltests/test-fputc.c, lib/gltests/test-fread.c,
	lib/gltests/test-fwrite.c, lib/gltests/test-gc-hmac-md5.c,
	lib/gltests/test-gc-hmac-sha1.c, lib/gltests/test-gc-md5.c,
	lib/gltests/test-gc-pbkdf2-sha1.c, lib/gltests/test-gc-sha1.c,
	lib/gltests/test-gc.c, lib/gltests/test-getdelim.c,
	lib/gltests/test-getline.c, lib/gltests/test-strverscmp.c,
	lib/maint.mk, maint.mk: Update gnulib files.

2012-03-02  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Let 'make update-po' work unbootstrapped.

2012-02-20  Simon Josefsson <simon@josefsson.org>

	* THANKS, doc/gsasl.texi: Fix typo.  Reported by Phil Pennock <gsasl-phil@spodhuis.org>.

2012-02-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2012-02-10  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.7.1.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/build-aux/gnupload: Really add gnupload.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Add and fix gnupload commands.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix path in release rule.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/cfg.mk: Cleanup release targets.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.7.1.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add more.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/build-aux/config.rpath, lib/maint.mk, maint.mk: Update gnulib
	files.

2012-02-09  Simon Josefsson <simon@josefsson.org>

	* gl/m4/valgrind-tests.m4, gl/override/m4/valgrind-tests.m4.diff: 
	Disable memory leak checking for now.

2012-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/gl/build-aux/config.rpath, lib/gl/build-aux/link-warning.h,
	lib/gl/build-aux/useless-if-before-free,
	lib/gl/build-aux/vc-list-files: Remove obsolete files.

2012-02-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, lib/build-aux/config.rpath: Disable GSS-API for
	self-testing (memory leaks).

2012-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Doc fix.

2012-02-08  Simon Josefsson <simon@josefsson.org>

	* .gitignore, ChangeLog, cfg.mk, lib/ChangeLog, lib/cfg.mk,
	windows/gsasl4win.mk: Improve release targets.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Add gtk-doc rules.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Add clang rules.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix coverage rules.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/strdup.m4, gl/malloc.c, gl/strdup.c,
	gltests/Makefile.am, gltests/malloc.c: Use getpass-gnu instead of
	getpass to get a working getpass everywhere.  Solves problem on Mac OS X reported by Wim Lewis <wiml@hhhh.org>.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* README, doc/announce.txt: Fix links.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* README: Mention OPENID/SAML.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix ignore rule.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/reference/Makefile.am,
	doc/reference/gsasl-docs.sgml, doc/reference/version.xml.in,
	gtk-doc.make, m4/gtk-doc.m4: Update gtk-doc files.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix syntax-check nit.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* .cvsusers, .prev-version, lib/.prev-version: Drop old files.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/gpl-3.0.texi, doc/gsasl.texi,
	doc/lgpl-2.1.texi, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Drop licenses from manual.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, ChangeLog, Makefile.am, README,
	README-alpha, THANKS, cfg.mk, configure.ac, doc/Makefile.am,
	doc/cyclo/Makefile.am, doc/doxygen/gdoc2doxygen, doc/gdoc,
	doc/gsasl.texi, doc/print-errors.c, examples/Makefile.am,
	examples/README, examples/client-callback.c,
	examples/client-mech.c, examples/client-serverfirst.c,
	examples/client.c, lib/AUTHORS, lib/ChangeLog, lib/Makefile.am,
	lib/NEWS, lib/README, lib/THANKS, lib/anonymous/Makefile.am,
	lib/anonymous/anonymous.h, lib/anonymous/client.c,
	lib/anonymous/mechinfo.c, lib/anonymous/server.c, lib/cfg.mk,
	lib/cram-md5/Makefile.am, lib/cram-md5/challenge.c,
	lib/cram-md5/challenge.h, lib/cram-md5/client.c,
	lib/cram-md5/cram-md5.h, lib/cram-md5/digest.c,
	lib/cram-md5/digest.h, lib/cram-md5/mechinfo.c,
	lib/cram-md5/server.c, lib/digest-md5/Makefile.am,
	lib/digest-md5/README, lib/digest-md5/client.c,
	lib/digest-md5/digest-md5.h, lib/digest-md5/digesthmac.c,
	lib/digest-md5/digesthmac.h, lib/digest-md5/free.c,
	lib/digest-md5/free.h, lib/digest-md5/getsubopt.c,
	lib/digest-md5/mechinfo.c, lib/digest-md5/nonascii.c,
	lib/digest-md5/nonascii.h, lib/digest-md5/parser.c,
	lib/digest-md5/parser.h, lib/digest-md5/printer.c,
	lib/digest-md5/printer.h, lib/digest-md5/qop.c,
	lib/digest-md5/qop.h, lib/digest-md5/server.c,
	lib/digest-md5/session.c, lib/digest-md5/session.h,
	lib/digest-md5/test-parser.c, lib/digest-md5/tokens.h,
	lib/digest-md5/validate.c, lib/digest-md5/validate.h,
	lib/external/Makefile.am, lib/external/client.c,
	lib/external/external.h, lib/external/mechinfo.c,
	lib/external/server.c, lib/gs2/Makefile.am, lib/gs2/client.c,
	lib/gs2/gs2.h, lib/gs2/gs2helper.c, lib/gs2/gs2helper.h,
	lib/gs2/mechinfo.c, lib/gs2/server.c, lib/gssapi/Makefile.am,
	lib/gssapi/client.c, lib/gssapi/mechinfo.c, lib/gssapi/server.c,
	lib/gssapi/x-gssapi.h, lib/kerberos_v5/Makefile.am,
	lib/kerberos_v5/client.c, lib/kerberos_v5/kerberos_v5.c,
	lib/kerberos_v5/kerberos_v5.h, lib/kerberos_v5/server.c,
	lib/kerberos_v5/shared.h, lib/libgsasl.pc.in,
	lib/login/Makefile.am, lib/login/client.c, lib/login/login.h,
	lib/login/mechinfo.c, lib/login/server.c, lib/ntlm/Makefile.am,
	lib/ntlm/mechinfo.c, lib/ntlm/ntlm.c, lib/ntlm/x-ntlm.h,
	lib/openid20/Makefile.am, lib/openid20/client.c,
	lib/openid20/mechinfo.c, lib/openid20/openid20.h,
	lib/openid20/server.c, lib/plain/Makefile.am, lib/plain/client.c,
	lib/plain/mechinfo.c, lib/plain/plain.h, lib/plain/server.c,
	lib/saml20/Makefile.am, lib/saml20/mechinfo.c, lib/saml20/saml20.h,
	lib/saml20/server.c, lib/scram/Makefile.am, lib/scram/client.c,
	lib/scram/mechinfo.c, lib/scram/parser.c, lib/scram/parser.h,
	lib/scram/printer.c, lib/scram/printer.h, lib/scram/scram.h,
	lib/scram/server.c, lib/scram/tokens.c, lib/scram/tokens.h,
	lib/scram/validate.c, lib/scram/validate.h,
	lib/securid/Makefile.am, lib/securid/client.c,
	lib/securid/mechinfo.c, lib/securid/securid.h,
	lib/securid/server.c, lib/src/Makefile.am, lib/src/base64.c,
	lib/src/callback.c, lib/src/crypto.c, lib/src/done.c,
	lib/src/error.c, lib/src/free.c, lib/src/gsasl-compat.h,
	lib/src/gsasl-mech.h, lib/src/gsasl.h, lib/src/init.c,
	lib/src/internal.h, lib/src/libgsasl.map, lib/src/listmech.c,
	lib/src/md5pwd.c, lib/src/mechname.c, lib/src/obsolete.c,
	lib/src/property.c, lib/src/register.c, lib/src/saslprep.c,
	lib/src/suggest.c, lib/src/supportp.c, lib/src/version.c,
	lib/src/xcode.c, lib/src/xfinish.c, lib/src/xstart.c,
	lib/src/xstep.c, lib/tests/Makefile.am, lib/tests/test-error.c,
	src/Makefile.am, src/callbacks.c, src/callbacks.h, src/gsasl.ggo,
	src/imap.c, src/imap.h, src/internal.h, src/smtp.c, src/smtp.h,
	tests/Makefile.am, tests/cram-md5.c, tests/crypto.c,
	tests/digest-md5.c, tests/errors.c, tests/external.c,
	tests/gs2-krb5.c, tests/gssapi.c, tests/libgsasl.supp,
	tests/md5file.c, tests/name.c, tests/old-base64.c,
	tests/old-cram-md5.c, tests/old-digest-md5.c, tests/old-gssapi.c,
	tests/old-md5file.c, tests/old-simple.c, tests/readnz.c,
	tests/saml20.c, tests/scram.c, tests/scramplus.c, tests/simple.c,
	tests/suggest.c, tests/symbols.c, tests/threadsafety,
	tests/unicode.c, tests/utils.c, tests/utils.h, windows/gsasl4win.mk: 
	Update copyright headers.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, lib/build-aux/update-copyright: Use
	update-copyright gnulib module.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* examples/client-xmpp-saml20.c, examples/server-xmpp-saml20.c: 
	Don't use getline in examples.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* lib/saml20/client.c: Fix logic.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Disable OPENID20 and SAML20 by default.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* lib/src/mechtools.c, lib/src/mechtools.h: Fix memory leak and
	warnings.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* lib/saml20/client.c: Silence warning.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: Fix memory leak.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* lib/po/sr.po.in, po/sr.po.in: Sync with TP.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Silence warning.

2012-02-07  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, cfg.mk, doc/fdl-1.3.texi, doc/gendocs_template,
	gl/Makefile.am, gl/alignof.h, gl/alloca.c, gl/alloca.in.h,
	gl/arpa_inet.in.h, gl/asnprintf.c, gl/asprintf.c, gl/c-ctype.c,
	gl/c-ctype.h, gl/c-strcase.h, gl/c-strcasecmp.c, gl/c-strcaseeq.h,
	gl/c-strncasecmp.c, gl/close.c, gl/config.charset, gl/connect.c,
	gl/errno.in.h, gl/error.c, gl/error.h, gl/exitfail.c,
	gl/exitfail.h, gl/fclose.c, gl/fd-hook.c, gl/fd-hook.h,
	gl/fflush.c, gl/float+.h, gl/float.c, gl/float.in.h, gl/fpurge.c,
	gl/freading.c, gl/freading.h, gl/fseek.c, gl/fseeko.c, gl/fstat.c,
	gl/ftell.c, gl/ftello.c, gl/gai_strerror.c, gl/getaddrinfo.c,
	gl/getdelim.c, gl/getline.c, gl/getopt.c, gl/getopt.in.h,
	gl/getopt1.c, gl/getopt_int.h, gl/getpass.c, gl/getpass.h,
	gl/gettext.h, gl/iconv.c, gl/iconv.in.h, gl/iconv_close.c,
	gl/iconv_open.c, gl/inet_ntop.c, gl/intprops.h, gl/itold.c,
	gl/localcharset.c, gl/localcharset.h, gl/lseek.c,
	gl/m4/00gnulib.m4, gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4,
	gl/m4/autobuild.m4, gl/m4/btowc.m4, gl/m4/close.m4,
	gl/m4/codeset.m4, gl/m4/configmake.m4, gl/m4/dup2.m4,
	gl/m4/eealloc.m4, gl/m4/environ.m4, gl/m4/errno_h.m4,
	gl/m4/error.m4, gl/m4/exponentd.m4, gl/m4/extensions.m4,
	gl/m4/fclose.m4, gl/m4/fcntl-o.m4, gl/m4/fcntl_h.m4,
	gl/m4/fdopen.m4, gl/m4/fflush.m4, gl/m4/float_h.m4,
	gl/m4/fpieee.m4, gl/m4/fpurge.m4, gl/m4/freading.m4,
	gl/m4/fseek.m4, gl/m4/fseeko.m4, gl/m4/fstat.m4, gl/m4/ftell.m4,
	gl/m4/ftello.m4, gl/m4/ftruncate.m4, gl/m4/getaddrinfo.m4,
	gl/m4/getcwd.m4, gl/m4/getdelim.m4, gl/m4/getline.m4,
	gl/m4/getopt.m4, gl/m4/getpagesize.m4, gl/m4/getpass.m4,
	gl/m4/gettimeofday.m4, gl/m4/glibc21.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/hostent.m4, gl/m4/iconv.m4, gl/m4/iconv_h.m4,
	gl/m4/iconv_open.m4, gl/m4/include_next.m4, gl/m4/inet_ntop.m4,
	gl/m4/inet_pton.m4, gl/m4/inline.m4, gl/m4/intlmacosx.m4,
	gl/m4/intmax_t.m4, gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4,
	gl/m4/inttypes_h.m4, gl/m4/ioctl.m4, gl/m4/largefile.m4,
	gl/m4/lcmessage.m4, gl/m4/lib-ld.m4, gl/m4/lib-link.m4,
	gl/m4/lib-prefix.m4, gl/m4/libunistring-base.m4,
	gl/m4/localcharset.m4, gl/m4/locale-fr.m4, gl/m4/locale-ja.m4,
	gl/m4/locale-tr.m4, gl/m4/locale-zh.m4, gl/m4/locale_h.m4,
	gl/m4/localename.m4, gl/m4/lock.m4, gl/m4/longlong.m4,
	gl/m4/lseek.m4, gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/malloca.m4,
	gl/m4/manywarnings.m4, gl/m4/math_h.m4, gl/m4/mbrtowc.m4,
	gl/m4/mbsinit.m4, gl/m4/mbstate_t.m4, gl/m4/mbtowc.m4,
	gl/m4/memchr.m4, gl/m4/mmap-anon.m4, gl/m4/mode_t.m4,
	gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4,
	gl/m4/netdb_h.m4, gl/m4/netinet_in_h.m4, gl/m4/nocrash.m4,
	gl/m4/open.m4, gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/pipe.m4,
	gl/m4/poll.m4, gl/m4/poll_h.m4, gl/m4/printf.m4, gl/m4/putenv.m4,
	gl/m4/quote.m4, gl/m4/quotearg.m4, gl/m4/readline.m4,
	gl/m4/realloc.m4, gl/m4/select.m4, gl/m4/servent.m4,
	gl/m4/setenv.m4, gl/m4/setlocale.m4, gl/m4/signal_h.m4,
	gl/m4/size_max.m4, gl/m4/snprintf.m4, gl/m4/socketlib.m4,
	gl/m4/sockets.m4, gl/m4/socklen.m4, gl/m4/sockpfaf.m4,
	gl/m4/ssize_t.m4, gl/m4/stat.m4, gl/m4/stdalign.m4,
	gl/m4/stdarg.m4, gl/m4/stdbool.m4, gl/m4/stddef_h.m4,
	gl/m4/stdint.m4, gl/m4/stdint_h.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	gl/m4/strerror_r.m4, gl/m4/string_h.m4, gl/m4/strtok_r.m4,
	gl/m4/symlink.m4, gl/m4/sys_ioctl_h.m4, gl/m4/sys_select_h.m4,
	gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4, gl/m4/sys_time_h.m4,
	gl/m4/sys_types_h.m4, gl/m4/sys_uio_h.m4, gl/m4/thread.m4,
	gl/m4/threadlib.m4, gl/m4/time_h.m4, gl/m4/ungetc.m4,
	gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4, gl/m4/vasnprintf.m4,
	gl/m4/vasprintf.m4, gl/m4/version-etc.m4, gl/m4/warn-on-use.m4,
	gl/m4/warnings.m4, gl/m4/wchar_h.m4, gl/m4/wchar_t.m4,
	gl/m4/wcrtomb.m4, gl/m4/wctob.m4, gl/m4/wctomb.m4,
	gl/m4/wctype_h.m4, gl/m4/wint_t.m4, gl/m4/xalloc.m4,
	gl/m4/xsize.m4, gl/m4/yield.m4, gl/malloc.c, gl/mbrtowc.c,
	gl/mbsinit.c, gl/memchr.c, gl/msvc-inval.c, gl/msvc-inval.h,
	gl/msvc-nothrow.c, gl/msvc-nothrow.h, gl/netdb.in.h,
	gl/netinet_in.in.h, gl/override/lib/dup2.c.diff,
	gl/override/lib/getpass.c.diff, gl/override/lib/gettext.h.diff,
	gl/override/m4/open.m4.diff, gl/poll.c, gl/poll.in.h,
	gl/printf-args.c, gl/printf-args.h, gl/printf-parse.c,
	gl/printf-parse.h, gl/progname.c, gl/progname.h, gl/quote.c,
	gl/quote.h, gl/quotearg.c, gl/quotearg.h, gl/readline.c,
	gl/readline.h, gl/realloc.c, gl/recv.c, gl/ref-add.sin,
	gl/ref-del.sin, gl/select.c, gl/shutdown.c, gl/signal.in.h,
	gl/size_max.h, gl/snprintf.c, gl/socket.c, gl/sockets.c,
	gl/sockets.h, gl/stdalign.in.h, gl/stdarg.in.h, gl/stdbool.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio-impl.h, gl/stdio.in.h,
	gl/stdlib.in.h, gl/strdup.c, gl/streq.h, gl/strerror-override.c,
	gl/strerror-override.h, gl/strerror.c, gl/striconv.c,
	gl/striconv.h, gl/string.in.h, gl/strtok_r.c, gl/sys_select.in.h,
	gl/sys_socket.in.h, gl/sys_stat.in.h, gl/sys_time.in.h,
	gl/sys_types.in.h, gl/sys_uio.in.h, gl/time.in.h, gl/unistd.in.h,
	gl/unistr.in.h, gl/unistr/u8-mbtoucr.c, gl/unistr/u8-uctomb-aux.c,
	gl/unistr/u8-uctomb.c, gl/unitypes.in.h, gl/vasnprintf.c,
	gl/vasnprintf.h, gl/vasprintf.c, gl/verify.h, gl/version-etc.c,
	gl/version-etc.h, gl/w32sock.h, gl/wchar.in.h, gl/wctype.in.h,
	gl/xalloc-die.c, gl/xalloc-oversized.h, gl/xalloc.h, gl/xmalloc.c,
	gl/xsize.h, gltests/Makefile.am, gltests/accept.c,
	gltests/binary-io.h, gltests/bind.c, gltests/btowc.c,
	gltests/dosname.h, gltests/dup2.c, gltests/fcntl.in.h,
	gltests/fdopen.c, gltests/fpucw.h, gltests/ftruncate.c,
	gltests/getcwd-lgpl.c, gltests/getpagesize.c,
	gltests/gettimeofday.c, gltests/glthread/lock.c,
	gltests/glthread/lock.h, gltests/glthread/thread.c,
	gltests/glthread/thread.h, gltests/glthread/threadlib.c,
	gltests/glthread/yield.h, gltests/ignore-value.h,
	gltests/inet_pton.c, gltests/init.sh, gltests/inttypes.in.h,
	gltests/ioctl.c, gltests/listen.c, gltests/locale.in.h,
	gltests/localename.c, gltests/localename.h, gltests/lstat.c,
	gltests/macros.h, gltests/malloca.c, gltests/malloca.h,
	gltests/mbtowc-impl.h, gltests/mbtowc.c, gltests/open.c,
	gltests/pathmax.h, gltests/perror.c, gltests/pipe.c,
	gltests/putenv.c, gltests/same-inode.h, gltests/setenv.c,
	gltests/setlocale.c, gltests/setsockopt.c, gltests/signature.h,
	gltests/stat.c, gltests/strerror_r.c, gltests/symlink.c,
	gltests/sys_ioctl.in.h, gltests/sys_stat.in.h,
	gltests/test-accept.c, gltests/test-alignof.c,
	gltests/test-alloca-opt.c, gltests/test-arpa_inet.c,
	gltests/test-binary-io.c, gltests/test-binary-io.sh,
	gltests/test-bind.c, gltests/test-btowc.c, gltests/test-c-ctype.c,
	gltests/test-c-strcasecmp.c, gltests/test-c-strncasecmp.c,
	gltests/test-close.c, gltests/test-connect.c, gltests/test-dup2.c,
	gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fclose.c, gltests/test-fcntl-h.c,
	gltests/test-fdopen.c, gltests/test-fflush.c,
	gltests/test-fflush2.c, gltests/test-fflush2.sh,
	gltests/test-fgetc.c, gltests/test-float.c, gltests/test-fpurge.c,
	gltests/test-fputc.c, gltests/test-fread.c,
	gltests/test-freading.c, gltests/test-fseek.c,
	gltests/test-fseeko.c, gltests/test-fseeko3.c,
	gltests/test-fseeko3.sh, gltests/test-fseeko4.c,
	gltests/test-fseeko4.sh, gltests/test-fstat.c,
	gltests/test-ftell.c, gltests/test-ftell.sh,
	gltests/test-ftell2.sh, gltests/test-ftell3.c,
	gltests/test-ftello.c, gltests/test-ftello.sh,
	gltests/test-ftello2.sh, gltests/test-ftello3.c,
	gltests/test-ftruncate.c, gltests/test-ftruncate.sh,
	gltests/test-fwrite.c, gltests/test-getaddrinfo.c,
	gltests/test-getcwd-lgpl.c, gltests/test-getdelim.c,
	gltests/test-getline.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-gettimeofday.c, gltests/test-iconv-h.c,
	gltests/test-iconv.c, gltests/test-ignore-value.c,
	gltests/test-inet_ntop.c, gltests/test-inet_pton.c,
	gltests/test-init.sh, gltests/test-intprops.c,
	gltests/test-inttypes.c, gltests/test-ioctl.c,
	gltests/test-listen.c, gltests/test-locale.c,
	gltests/test-localename.c, gltests/test-lock.c,
	gltests/test-lseek.c, gltests/test-lstat.c, gltests/test-lstat.h,
	gltests/test-malloca.c, gltests/test-mbrtowc-w32.c,
	gltests/test-mbrtowc.c, gltests/test-mbsinit.c,
	gltests/test-memchr.c, gltests/test-netdb.c,
	gltests/test-netinet_in.c, gltests/test-open.c,
	gltests/test-open.h, gltests/test-pathmax.c, gltests/test-perror.c,
	gltests/test-perror2.c, gltests/test-pipe.c, gltests/test-poll-h.c,
	gltests/test-poll.c, gltests/test-quotearg-simple.c,
	gltests/test-quotearg.h, gltests/test-recv.c,
	gltests/test-select-fd.c, gltests/test-select-stdin.c,
	gltests/test-select.c, gltests/test-select.h,
	gltests/test-setenv.c, gltests/test-setlocale1.c,
	gltests/test-setlocale2.c, gltests/test-setlocale2.sh,
	gltests/test-setsockopt.c, gltests/test-shutdown.c,
	gltests/test-signal-h.c, gltests/test-snprintf.c,
	gltests/test-sockets.c, gltests/test-stat.c, gltests/test-stat.h,
	gltests/test-stdalign.c, gltests/test-stdbool.c,
	gltests/test-stddef.c, gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-stdlib.c, gltests/test-strerror.c,
	gltests/test-strerror_r.c, gltests/test-striconv.c,
	gltests/test-string.c, gltests/test-symlink.c,
	gltests/test-symlink.h, gltests/test-sys_ioctl.c,
	gltests/test-sys_select.c, gltests/test-sys_socket.c,
	gltests/test-sys_stat.c, gltests/test-sys_time.c,
	gltests/test-sys_types.c, gltests/test-sys_uio.c,
	gltests/test-sys_wait.h, gltests/test-thread_create.c,
	gltests/test-thread_self.c, gltests/test-time.c,
	gltests/test-unistd.c, gltests/test-unsetenv.c,
	gltests/test-vasnprintf.c, gltests/test-vasprintf.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify.c,
	gltests/test-version-etc.c, gltests/test-version-etc.sh,
	gltests/test-wchar.c, gltests/test-wcrtomb-w32.c,
	gltests/test-wcrtomb.c, gltests/test-wctype-h.c,
	gltests/test-xalloc-die.c, gltests/test-xalloc-die.sh,
	gltests/time.in.h, gltests/unistr/test-u8-mbtoucr.c,
	gltests/unistr/test-u8-uctomb.c, gltests/unsetenv.c,
	gltests/version-etc-fsf.c, gltests/w32sock.h, gltests/wcrtomb.c,
	gltests/wctob.c, gltests/wctomb-impl.h, gltests/wctomb.c,
	gltests/zerosize-ptr.h, lib/GNUmakefile,
	lib/build-aux/arg-nonnull.h, lib/build-aux/c++defs.h,
	lib/build-aux/config.rpath, lib/build-aux/pmccabe.css,
	lib/build-aux/pmccabe2html, lib/build-aux/snippet/_Noreturn.h,
	lib/build-aux/snippet/arg-nonnull.h,
	lib/build-aux/snippet/c++defs.h,
	lib/build-aux/snippet/unused-parameter.h,
	lib/build-aux/snippet/warn-on-use.h,
	lib/build-aux/unused-parameter.h,
	lib/build-aux/useless-if-before-free, lib/build-aux/vc-list-files,
	lib/build-aux/warn-on-use.h, lib/gl/Makefile.am,
	lib/gl/alloca.in.h, lib/gl/asnprintf.c, lib/gl/asprintf.c,
	lib/gl/base64.c, lib/gl/base64.h, lib/gl/c-ctype.c,
	lib/gl/c-ctype.h, lib/gl/errno.in.h, lib/gl/float+.h,
	lib/gl/float.c, lib/gl/float.in.h, lib/gl/gc-gnulib.c,
	lib/gl/gc-libgcrypt.c, lib/gl/gc-pbkdf2-sha1.c, lib/gl/gc.h,
	lib/gl/getdelim.c, lib/gl/getline.c, lib/gl/gettext.h,
	lib/gl/hmac-md5.c, lib/gl/hmac-sha1.c, lib/gl/hmac.h,
	lib/gl/itold.c, lib/gl/m4/00gnulib.m4, lib/gl/m4/alloca.m4,
	lib/gl/m4/base64.m4, lib/gl/m4/codeset.m4, lib/gl/m4/errno_h.m4,
	lib/gl/m4/exponentd.m4, lib/gl/m4/extensions.m4,
	lib/gl/m4/fcntl-o.m4, lib/gl/m4/fdopen.m4, lib/gl/m4/float_h.m4,
	lib/gl/m4/fpieee.m4, lib/gl/m4/gc-hmac-md5.m4,
	lib/gl/m4/gc-hmac-sha1.m4, lib/gl/m4/gc-md5.m4,
	lib/gl/m4/gc-random.m4, lib/gl/m4/gc-sha1.m4, lib/gl/m4/gc.m4,
	lib/gl/m4/getdelim.m4, lib/gl/m4/getline.m4,
	lib/gl/m4/getpagesize.m4, lib/gl/m4/gettext.m4,
	lib/gl/m4/glibc2.m4, lib/gl/m4/glibc21.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/include_next.m4,
	lib/gl/m4/intdiv0.m4, lib/gl/m4/intl.m4, lib/gl/m4/intldir.m4,
	lib/gl/m4/intlmacosx.m4, lib/gl/m4/intmax.m4,
	lib/gl/m4/intmax_t.m4, lib/gl/m4/inttypes-pri.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/inttypes_h.m4,
	lib/gl/m4/lcmessage.m4, lib/gl/m4/ld-output-def.m4,
	lib/gl/m4/ld-version-script.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4, lib/gl/m4/lock.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/malloc.m4, lib/gl/m4/math_h.m4,
	lib/gl/m4/md5.m4, lib/gl/m4/memchr.m4, lib/gl/m4/memmem.m4,
	lib/gl/m4/memxor.m4, lib/gl/m4/minmax.m4, lib/gl/m4/mmap-anon.m4,
	lib/gl/m4/msvc-inval.m4, lib/gl/m4/multiarch.m4, lib/gl/m4/nls.m4,
	lib/gl/m4/po.m4, lib/gl/m4/printf-posix.m4, lib/gl/m4/printf.m4,
	lib/gl/m4/progtest.m4, lib/gl/m4/realloc.m4, lib/gl/m4/sha1.m4,
	lib/gl/m4/size_max.m4, lib/gl/m4/ssize_t.m4, lib/gl/m4/stdalign.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/stdint_h.m4, lib/gl/m4/stdio_h.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/strnlen.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/threadlib.m4,
	lib/gl/m4/uintmax_t.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/vasnprintf.m4, lib/gl/m4/vasprintf.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/m4/xsize.m4, lib/gl/md5.c, lib/gl/md5.h, lib/gl/memchr.c,
	lib/gl/memmem.c, lib/gl/memxor.c, lib/gl/memxor.h, lib/gl/minmax.h,
	lib/gl/override/lib/gettext.h.diff, lib/gl/printf-args.c,
	lib/gl/printf-args.h, lib/gl/printf-parse.c, lib/gl/printf-parse.h,
	lib/gl/realloc.c, lib/gl/sha1.c, lib/gl/sha1.h, lib/gl/size_max.h,
	lib/gl/stdalign.in.h, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/stdio.in.h, lib/gl/stdlib.in.h,
	lib/gl/str-two-way.h, lib/gl/string.in.h, lib/gl/strnlen.c,
	lib/gl/strverscmp.c, lib/gl/unistd.in.h, lib/gl/vasnprintf.c,
	lib/gl/vasnprintf.h, lib/gl/vasprintf.c, lib/gl/verify.h,
	lib/gl/wchar.in.h, lib/gl/xsize.h, lib/gltests/Makefile.am,
	lib/gltests/dummy.c, lib/gltests/fdopen.c, lib/gltests/fpucw.h,
	lib/gltests/getpagesize.c, lib/gltests/init.sh,
	lib/gltests/intprops.h, lib/gltests/inttypes.in.h,
	lib/gltests/macros.h, lib/gltests/msvc-inval.c,
	lib/gltests/msvc-inval.h, lib/gltests/signature.h,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-base64.c,
	lib/gltests/test-c-ctype.c, lib/gltests/test-errno.c,
	lib/gltests/test-fdopen.c, lib/gltests/test-fgetc.c,
	lib/gltests/test-float.c, lib/gltests/test-fputc.c,
	lib/gltests/test-fread.c, lib/gltests/test-fwrite.c,
	lib/gltests/test-gc-hmac-md5.c, lib/gltests/test-gc-hmac-sha1.c,
	lib/gltests/test-gc-md5.c, lib/gltests/test-gc-pbkdf2-sha1.c,
	lib/gltests/test-gc-sha1.c, lib/gltests/test-gc.c,
	lib/gltests/test-getdelim.c, lib/gltests/test-getline.c,
	lib/gltests/test-hmac-md5.c, lib/gltests/test-hmac-sha1.c,
	lib/gltests/test-init.sh, lib/gltests/test-intprops.c,
	lib/gltests/test-inttypes.c, lib/gltests/test-md5.c,
	lib/gltests/test-memchr.c, lib/gltests/test-memmem.c,
	lib/gltests/test-sha1.c, lib/gltests/test-stdalign.c,
	lib/gltests/test-stdbool.c, lib/gltests/test-stddef.c,
	lib/gltests/test-stdint.c, lib/gltests/test-stdio.c,
	lib/gltests/test-stdlib.c, lib/gltests/test-string.c,
	lib/gltests/test-strnlen.c, lib/gltests/test-strverscmp.c,
	lib/gltests/test-sys_wait.h, lib/gltests/test-unistd.c,
	lib/gltests/test-vasnprintf.c, lib/gltests/test-vasprintf.c,
	lib/gltests/test-verify.c, lib/gltests/test-wchar.c,
	lib/gltests/zerosize-ptr.h, lib/maint.mk, maint.mk: Update gnulib
	files.

2011-11-12  Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>

	* src/imap.c: ignore untagged responses during IMAP authentication Some IMAP server (e.g. dovecot) return new capabilities as untagged
	response.  Old code expected only one line (e.g. the final '. OK')
	which would be given out as part of the application data.  E.g.
	without this patch, authentication to a dovecot server would look
	like: | $ gsasl mailbox 143 --imap ...  | ...  | +
	BQQF/wAMAAAAAAAAIO4EoAH...  | BQQE/wAMAAAAAAAAII9BbgH...  | *
	CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ...  | Client
	authentication finished (server trusted)...  | Enter application
	data (EOF to finish): | . OK Logged in Patches changes it to | + BQQF/wAMAAAAAAAAIX...  | BQQE/wAMAAAAAAAAK2...  | * CAPABILITY
	IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ...  | . OK Logged in |
	Client authentication finished (server trusted)...  | Enter
	application data (EOF to finish): Dialog with cyrus-imapd is not changed and ends always with | + BQQF/wAMAAAAAAAAPqx...  | BQQE/wAMAAAAAAAAL...  | . OK
	[CAPABILITY IMAP4 IMAP4rev1 LITERAL+ ...] Success (tls protection) |
	Client authentication finished (server trusted)...  | Enter
	application data (EOF to finish): Signed-off-by: Enrico Scholz
	<enrico.scholz@informatik.tu-chemnitz.de> Signed-off-by: Simon
	Josefsson <simon@josefsson.org>

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* tests/readnz.c: Print newline after messages.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix trailing backslash problem.  Reported by
	Bruno Haible.

2011-11-22  Simon Josefsson <simon@josefsson.org>

	* lib/tests/test-error.c: Silence warning.

2011-06-30  Simon Josefsson <simon@josefsson.org>

	* .gitignore, NEWS, doc/gsasl.texi, doc/reference/gsasl-docs.sgml,
	lib/Makefile.am, lib/NEWS, lib/README, lib/configure.ac,
	lib/openid20/Makefile.am, lib/openid20/client.c,
	lib/openid20/mechinfo.c, lib/openid20/openid20.h,
	lib/openid20/server.c, lib/src/Makefile.am, lib/src/error.c,
	lib/src/gsasl.h, lib/src/init.c, lib/src/internal.h,
	lib/src/property.c, lib/src/xfinish.c, src/callbacks.c,
	tests/saml20.c: libgsasl: Implement OPENID20 mechanism for OpenID
	authentication.  Following draft-ietf-kitten-sasl-openid-03.

2011-06-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gsasl.texi, lib/NEWS: Clarify protocol version.

2010-11-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, examples/Makefile.am, examples/client-xmpp-saml20.c,
	examples/server-xmpp-saml20.c, lib/NEWS, lib/src/error.c: examples:
	Added client-xmpp-saml20 and server-xmpp-saml20.

2011-06-29  Simon Josefsson <simon@josefsson.org>

	* .gitignore, doc/Makefile.am, doc/gsasl.texi, lib/Makefile.am,
	lib/configure.ac, lib/gs2/server.c, lib/saml20/Makefile.am,
	lib/saml20/client.c, lib/saml20/mechinfo.c, lib/saml20/saml20.h,
	lib/saml20/server.c, lib/src/Makefile.am, lib/src/error.c,
	lib/src/gsasl.h, lib/src/init.c, lib/src/internal.h,
	lib/src/mechtools.c, lib/src/mechtools.h, lib/src/property.c,
	lib/src/xfinish.c, tests/Makefile.am, tests/saml20.c: Implement
	SAML20 as per draft-ietf-kitten-sasl-saml-01.

2011-06-28  Simon Josefsson <simon@josefsson.org>

	* lib/po/LINGUAS, lib/po/eo.po.in, lib/po/fi.po.in,
	lib/po/it.po.in, lib/po/nl.po.in, lib/po/pl.po.in, lib/po/uk.po.in,
	lib/po/zh_CN.po.in, po/LINGUAS, po/de.po.in, po/eo.po.in,
	po/fi.po.in, po/it.po.in, po/nl.po.in, po/pl.po.in, po/uk.po.in,
	po/zh_CN.po.in: Sync with TP.

2011-06-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/lgpl-2.1.texi, gl/Makefile.am, gl/alignof.h,
	gl/alloca.c, gl/arpa_inet.in.h, gl/errno.in.h, gl/error.c,
	gl/fclose.c, gl/float.c, gl/float.in.h, gl/fseek.c, gl/ftell.c,
	gl/getopt.c, gl/getopt.in.h, gl/iconv.c, gl/iconv.in.h,
	gl/iconv_close.c, gl/intprops.h, gl/m4/alloca.m4,
	gl/m4/arpa_inet_h.m4, gl/m4/btowc.m4, gl/m4/dup2.m4,
	gl/m4/error.m4, gl/m4/fclose.m4, gl/m4/fflush.m4, gl/m4/float_h.m4,
	gl/m4/fpieee.m4, gl/m4/fpurge.m4, gl/m4/fseek.m4, gl/m4/fseeko.m4,
	gl/m4/ftell.m4, gl/m4/ftello.m4, gl/m4/getaddrinfo.m4,
	gl/m4/getcwd.m4, gl/m4/getdelim.m4, gl/m4/getline.m4,
	gl/m4/getopt.m4, gl/m4/getpagesize.m4, gl/m4/getpass.m4,
	gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/iconv_open.m4,
	gl/m4/inet_ntop.m4, gl/m4/inet_pton.m4, gl/m4/inttypes-pri.m4,
	gl/m4/inttypes.m4, gl/m4/ioctl.m4, gl/m4/libunistring-base.m4,
	gl/m4/locale-zh.m4, gl/m4/locale_h.m4, gl/m4/lseek.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/mbrtowc.m4,
	gl/m4/mbsinit.m4, gl/m4/mbtowc.m4, gl/m4/memchr.m4,
	gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/pipe.m4, gl/m4/poll.m4,
	gl/m4/poll_h.m4, gl/m4/printf.m4, gl/m4/putenv.m4, gl/m4/quote.m4,
	gl/m4/quotearg.m4, gl/m4/readline.m4, gl/m4/realloc.m4,
	gl/m4/select.m4, gl/m4/setenv.m4, gl/m4/setlocale.m4,
	gl/m4/stat.m4, gl/m4/stdint.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	gl/m4/strerror_r.m4, gl/m4/strtok_r.m4, gl/m4/symlink.m4,
	gl/m4/sys_ioctl_h.m4, gl/m4/unistd_h.m4, gl/m4/warnings.m4,
	gl/m4/wchar_h.m4, gl/m4/wcrtomb.m4, gl/m4/wctob.m4,
	gl/m4/wctomb.m4, gl/m4/xalloc.m4, gl/netdb.in.h,
	gl/netinet_in.in.h, gl/poll.in.h, gl/sockets.c, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/strerror-override.c, gl/strerror-override.h, gl/strerror.c,
	gl/string.in.h, gl/sys_select.in.h, gl/sys_socket.in.h,
	gl/sys_time.in.h, gl/sys_uio.in.h, gl/unistd.in.h, gl/unistr.in.h,
	gl/unistr/u8-mbtoucr.c, gl/unistr/u8-uctomb-aux.c,
	gl/unistr/u8-uctomb.c, gl/unitypes.in.h, gl/verify.h,
	gl/wchar.in.h, gl/wctype.in.h, gltests/Makefile.am,
	gltests/fcntl.in.h, gltests/fpucw.h, gltests/ftell.c,
	gltests/getcwd-lgpl.c, gltests/glthread/thread.c,
	gltests/glthread/thread.h, gltests/init.sh, gltests/inttypes.in.h,
	gltests/locale.in.h, gltests/localename.c, gltests/localename.h,
	gltests/macros.h, gltests/pathmax.h, gltests/perror.c,
	gltests/setenv.c, gltests/stat.c, gltests/strerror_r.c,
	gltests/sys_ioctl.in.h, gltests/sys_stat.in.h,
	gltests/test-fclose.c, gltests/test-fflush.c, gltests/test-float.c,
	gltests/test-fseek.c, gltests/test-fseek.sh,
	gltests/test-fseek2.sh, gltests/test-getaddrinfo.c,
	gltests/test-getcwd-lgpl.c, gltests/test-intprops.c,
	gltests/test-inttypes.c, gltests/test-lock.c,
	gltests/test-perror.sh, gltests/test-perror2.c,
	gltests/test-stat.c, gltests/test-stat.h, gltests/test-strerror.c,
	gltests/test-strerror_r.c, gltests/test-verify.c,
	gltests/time.in.h, gltests/unistr/test-u8-mbtoucr.c,
	gltests/unistr/test-u8-uctomb.c, gltests/unsetenv.c,
	lib/build-aux/unused-parameter.h, lib/build-aux/vc-list-files,
	lib/gl/Makefile.am, lib/gl/errno.in.h, lib/gl/float.c,
	lib/gl/float.in.h, lib/gl/gc.h, lib/gl/m4/alloca.m4,
	lib/gl/m4/float_h.m4, lib/gl/m4/fpieee.m4,
	lib/gl/m4/gc-hmac-md5.m4, lib/gl/m4/gc-hmac-sha1.m4,
	lib/gl/m4/gc-pbkdf2-sha1.m4, lib/gl/m4/gc-sha1.m4, lib/gl/m4/gc.m4,
	lib/gl/m4/getdelim.m4, lib/gl/m4/getline.m4,
	lib/gl/m4/getpagesize.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/hmac-md5.m4, lib/gl/m4/hmac-sha1.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/malloc.m4, lib/gl/m4/md5.m4,
	lib/gl/m4/memchr.m4, lib/gl/m4/memmem.m4, lib/gl/m4/memxor.m4,
	lib/gl/m4/printf.m4, lib/gl/m4/realloc.m4, lib/gl/m4/sha1.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/strnlen.m4, lib/gl/m4/strverscmp.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/wchar_h.m4, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/stdio.in.h, lib/gl/stdlib.in.h,
	lib/gl/string.in.h, lib/gl/unistd.in.h, lib/gl/verify.h,
	lib/gl/wchar.in.h, lib/gltests/Makefile.am, lib/gltests/fpucw.h,
	lib/gltests/init.sh, lib/gltests/intprops.h,
	lib/gltests/inttypes.in.h, lib/gltests/macros.h,
	lib/gltests/test-float.c, lib/gltests/test-intprops.c,
	lib/gltests/test-inttypes.c, lib/gltests/test-verify.c,
	lib/maint.mk, maint.mk: Update gnulib files.

2011-06-06  Simon Josefsson <simon@josefsson.org>

	* src/callbacks.c: Print warnings to stderr.  Reported by Jacek Konieczny <jajcus@jajcus.net>.

2011-05-30  Brad Hards <bradh@frogmouth.net>

	* src/imap.c, src/smtp.c: Fix compilation problems associated with
	-Wunused-result and -Werror These warnings are a bit excessive, but they are enabled by default
	on some systems (e.g. Ubuntu) with some compilers (gcc 4.5.2 in my
	case).  Signed-off-by: Brad Hards <bradh@frogmouth.net> Signed-off-by: Simon
	Josefsson <simon@josefsson.org>

2011-05-30  Brad Hards <bradh@frogmouth.net>

	* lib/src/callback.c, lib/src/error.c, lib/src/mechname.c,
	lib/src/obsolete.c, lib/src/property.c, lib/src/suggest.c,
	lib/src/version.c: doc: fix warnings about unknown links Signed-off-by: Brad Hards <bradh@frogmouth.net> Signed-off-by: Simon
	Josefsson <simon@josefsson.org>

2011-06-06  Brad Hards <bradh@frogmouth.net>

	* .gitignore: add gl/readline.lo and .o to ignore list Signed-off-by: Brad Hards <bradh@frogmouth.net> Signed-off-by: Simon
	Josefsson <simon@josefsson.org>

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* .gitignore, .x-sc_bindtextdomain, .x-sc_file_system,
	.x-sc_po_check, .x-sc_program_name,
	.x-sc_prohibit_empty_lines_at_EOF,
	.x-sc_prohibit_magic_number_exit, .x-sc_space_tab,
	.x-sc_texinfo_acronym, .x-sc_the_the, .x-sc_trailing_blank,
	GNUmakefile, cfg.mk, doc/gendocs_template, doc/gsasl.texi,
	gl/Makefile.am, gl/alignof.h, gl/alloca.c, gl/alloca.in.h,
	gl/arpa_inet.in.h, gl/asnprintf.c, gl/asprintf.c, gl/c-ctype.c,
	gl/c-ctype.h, gl/c-strcase.h, gl/c-strcasecmp.c,
	gl/c-strncasecmp.c, gl/close-hook.c, gl/close-hook.h, gl/close.c,
	gl/config.charset, gl/connect.c, gl/errno.in.h, gl/error.c,
	gl/error.h, gl/exitfail.c, gl/exitfail.h, gl/fclose.c,
	gl/fd-hook.c, gl/fd-hook.h, gl/fflush.c, gl/float+.h,
	gl/float.in.h, gl/fpurge.c, gl/freading.c, gl/freading.h,
	gl/fseeko.c, gl/ftello.c, gl/gai_strerror.c, gl/getaddrinfo.c,
	gl/getdelim.c, gl/getline.c, gl/getopt.c, gl/getopt.in.h,
	gl/getopt1.c, gl/getopt_int.h, gl/getpass.c, gl/getpass.h,
	gl/gettext.h, gl/iconv.in.h, gl/iconv_open.c, gl/inet_ntop.c,
	gl/intprops.h, gl/localcharset.c, gl/localcharset.h, gl/lseek.c,
	gl/m4/00gnulib.m4, gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4,
	gl/m4/asm-underscore.m4, gl/m4/autobuild.m4, gl/m4/btowc.m4,
	gl/m4/close.m4, gl/m4/codeset.m4, gl/m4/configmake.m4,
	gl/m4/dos.m4, gl/m4/dup2.m4, gl/m4/eealloc.m4, gl/m4/environ.m4,
	gl/m4/errno_h.m4, gl/m4/error.m4, gl/m4/extensions.m4,
	gl/m4/fclose.m4, gl/m4/fcntl-o.m4, gl/m4/fcntl_h.m4,
	gl/m4/fflush.m4, gl/m4/float_h.m4, gl/m4/fpurge.m4,
	gl/m4/freading.m4, gl/m4/fseeko.m4, gl/m4/ftell.m4,
	gl/m4/ftello.m4, gl/m4/getaddrinfo.m4, gl/m4/getdelim.m4,
	gl/m4/getline.m4, gl/m4/getopt.m4, gl/m4/getpagesize.m4,
	gl/m4/getpass.m4, gl/m4/gettimeofday.m4, gl/m4/glibc21.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/hostent.m4,
	gl/m4/iconv.m4, gl/m4/iconv_h.m4, gl/m4/iconv_open.m4,
	gl/m4/include_next.m4, gl/m4/inet_ntop.m4, gl/m4/inet_pton.m4,
	gl/m4/inline.m4, gl/m4/intlmacosx.m4, gl/m4/intmax_t.m4,
	gl/m4/inttypes_h.m4, gl/m4/ioctl.m4, gl/m4/lcmessage.m4,
	gl/m4/lib-ld.m4, gl/m4/lib-link.m4, gl/m4/lib-prefix.m4,
	gl/m4/localcharset.m4, gl/m4/locale-fr.m4, gl/m4/locale-ja.m4,
	gl/m4/locale-tr.m4, gl/m4/locale-zh.m4, gl/m4/locale_h.m4,
	gl/m4/localename.m4, gl/m4/lock.m4, gl/m4/longlong.m4,
	gl/m4/lseek.m4, gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/malloca.m4,
	gl/m4/manywarnings.m4, gl/m4/mbrtowc.m4, gl/m4/mbsinit.m4,
	gl/m4/mbstate_t.m4, gl/m4/mbtowc.m4, gl/m4/memchr.m4,
	gl/m4/mmap-anon.m4, gl/m4/mode_t.m4, gl/m4/multiarch.m4,
	gl/m4/netdb_h.m4, gl/m4/netinet_in_h.m4, gl/m4/open.m4,
	gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/pipe.m4, gl/m4/poll.m4,
	gl/m4/poll_h.m4, gl/m4/printf.m4, gl/m4/putenv.m4, gl/m4/quote.m4,
	gl/m4/quotearg.m4, gl/m4/readline.m4, gl/m4/realloc.m4,
	gl/m4/select.m4, gl/m4/servent.m4, gl/m4/setenv.m4,
	gl/m4/setlocale.m4, gl/m4/size_max.m4, gl/m4/snprintf.m4,
	gl/m4/socketlib.m4, gl/m4/sockets.m4, gl/m4/socklen.m4,
	gl/m4/sockpfaf.m4, gl/m4/stat.m4, gl/m4/stdarg.m4,
	gl/m4/stdbool.m4, gl/m4/stddef_h.m4, gl/m4/stdint.m4,
	gl/m4/stdint_h.m4, gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4,
	gl/m4/strdup.m4, gl/m4/strerror.m4, gl/m4/string_h.m4,
	gl/m4/strtok_r.m4, gl/m4/symlink.m4, gl/m4/sys_ioctl_h.m4,
	gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/sys_uio_h.m4, gl/m4/thread.m4,
	gl/m4/threadlib.m4, gl/m4/time_h.m4, gl/m4/ungetc.m4,
	gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4, gl/m4/vasnprintf.m4,
	gl/m4/vasprintf.m4, gl/m4/version-etc.m4, gl/m4/warn-on-use.m4,
	gl/m4/warnings.m4, gl/m4/wchar_h.m4, gl/m4/wchar_t.m4,
	gl/m4/wcrtomb.m4, gl/m4/wctob.m4, gl/m4/wctomb.m4,
	gl/m4/wctype_h.m4, gl/m4/wint_t.m4, gl/m4/xalloc.m4,
	gl/m4/xsize.m4, gl/m4/yield.m4, gl/malloc.c, gl/mbrtowc.c,
	gl/mbsinit.c, gl/memchr.c, gl/netdb.in.h, gl/netinet_in.in.h,
	gl/poll.c, gl/poll.in.h, gl/printf-args.c, gl/printf-args.h,
	gl/printf-parse.c, gl/printf-parse.h, gl/progname.c, gl/progname.h,
	gl/quote.c, gl/quote.h, gl/quotearg.c, gl/quotearg.h,
	gl/readline.c, gl/readline.h, gl/realloc.c, gl/recv.c,
	gl/ref-add.sin, gl/ref-del.sin, gl/select.c, gl/shutdown.c,
	gl/size_max.h, gl/snprintf.c, gl/socket.c, gl/sockets.c,
	gl/sockets.h, gl/stdarg.in.h, gl/stdbool.in.h, gl/stddef.in.h,
	gl/stdint.in.h, gl/stdio-impl.h, gl/stdio-write.c, gl/stdio.in.h,
	gl/stdlib.in.h, gl/strdup.c, gl/streq.h, gl/strerror.c,
	gl/striconv.c, gl/striconv.h, gl/string.in.h, gl/strtok_r.c,
	gl/sys_select.in.h, gl/sys_socket.in.h, gl/sys_time.in.h,
	gl/sys_uio.in.h, gl/unistd.in.h, gl/vasnprintf.c, gl/vasnprintf.h,
	gl/vasprintf.c, gl/verify.h, gl/version-etc.c, gl/version-etc.h,
	gl/w32sock.h, gl/wchar.in.h, gl/wctype.in.h, gl/xalloc-die.c,
	gl/xalloc-oversized.h, gl/xalloc.h, gl/xmalloc.c, gl/xsize.h,
	gltests/Makefile.am, gltests/accept.c, gltests/binary-io.h,
	gltests/bind.c, gltests/btowc.c, gltests/dosname.h, gltests/dup2.c,
	gltests/fcntl.in.h, gltests/ftell.c, gltests/getpagesize.c,
	gltests/gettimeofday.c, gltests/glthread/lock.c,
	gltests/glthread/lock.h, gltests/glthread/thread.c,
	gltests/glthread/thread.h, gltests/glthread/threadlib.c,
	gltests/glthread/yield.h, gltests/ignore-value.h,
	gltests/inet_pton.c, gltests/init.sh, gltests/ioctl.c,
	gltests/listen.c, gltests/locale.in.h, gltests/localename.c,
	gltests/localename.h, gltests/lstat.c, gltests/macros.h,
	gltests/malloca.c, gltests/malloca.h, gltests/mbtowc-impl.h,
	gltests/mbtowc.c, gltests/open.c, gltests/pathmax.h,
	gltests/perror.c, gltests/pipe.c, gltests/putenv.c,
	gltests/same-inode.h, gltests/setenv.c, gltests/setlocale.c,
	gltests/setsockopt.c, gltests/signature.h, gltests/stat.c,
	gltests/symlink.c, gltests/sys_ioctl.in.h, gltests/sys_stat.in.h,
	gltests/test-alignof.c, gltests/test-alloca-opt.c,
	gltests/test-arpa_inet.c, gltests/test-binary-io.c,
	gltests/test-btowc.c, gltests/test-btowc1.sh,
	gltests/test-btowc2.sh, gltests/test-c-ctype.c,
	gltests/test-c-strcasecmp.c, gltests/test-c-strncasecmp.c,
	gltests/test-dup2.c, gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fcntl-h.c, gltests/test-fflush.c,
	gltests/test-fflush2.c, gltests/test-fflush2.sh,
	gltests/test-fpurge.c, gltests/test-freading.c,
	gltests/test-fseeko.c, gltests/test-ftell.c, gltests/test-ftell.sh,
	gltests/test-ftell2.sh, gltests/test-ftell3.c,
	gltests/test-ftello.c, gltests/test-ftello.sh,
	gltests/test-ftello2.sh, gltests/test-ftello3.c,
	gltests/test-getaddrinfo.c, gltests/test-getdelim.c,
	gltests/test-getline.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-gettimeofday.c, gltests/test-iconv-h.c,
	gltests/test-iconv.c, gltests/test-ignore-value.c,
	gltests/test-inet_ntop.c, gltests/test-inet_pton.c,
	gltests/test-locale.c, gltests/test-localename.c,
	gltests/test-lock.c, gltests/test-lseek.c, gltests/test-lstat.c,
	gltests/test-lstat.h, gltests/test-malloca.c,
	gltests/test-mbrtowc-w32-1.sh, gltests/test-mbrtowc-w32-2.sh,
	gltests/test-mbrtowc-w32-3.sh, gltests/test-mbrtowc-w32-4.sh,
	gltests/test-mbrtowc-w32-5.sh, gltests/test-mbrtowc-w32.c,
	gltests/test-mbrtowc.c, gltests/test-mbsinit.c,
	gltests/test-memchr.c, gltests/test-netdb.c,
	gltests/test-netinet_in.c, gltests/test-open.c,
	gltests/test-open.h, gltests/test-perror.c, gltests/test-pipe.c,
	gltests/test-poll-h.c, gltests/test-poll.c,
	gltests/test-quotearg-simple.c, gltests/test-quotearg.h,
	gltests/test-select-fd.c, gltests/test-select-stdin.c,
	gltests/test-select.c, gltests/test-setenv.c,
	gltests/test-setlocale1.c, gltests/test-setlocale1.sh,
	gltests/test-setlocale2.c, gltests/test-setlocale2.sh,
	gltests/test-snprintf.c, gltests/test-sockets.c,
	gltests/test-stat.c, gltests/test-stat.h, gltests/test-stdbool.c,
	gltests/test-stddef.c, gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-stdlib.c, gltests/test-strerror.c,
	gltests/test-striconv.c, gltests/test-string.c,
	gltests/test-symlink.c, gltests/test-symlink.h,
	gltests/test-sys_ioctl.c, gltests/test-sys_select.c,
	gltests/test-sys_socket.c, gltests/test-sys_stat.c,
	gltests/test-sys_time.c, gltests/test-sys_uio.c,
	gltests/test-sys_wait.h, gltests/test-time.c,
	gltests/test-unistd.c, gltests/test-unsetenv.c,
	gltests/test-vasnprintf.c, gltests/test-vasprintf.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify.c,
	gltests/test-version-etc.c, gltests/test-version-etc.sh,
	gltests/test-wchar.c, gltests/test-wcrtomb-w32-1.sh,
	gltests/test-wcrtomb-w32-2.sh, gltests/test-wcrtomb-w32-3.sh,
	gltests/test-wcrtomb-w32-4.sh, gltests/test-wcrtomb-w32-5.sh,
	gltests/test-wcrtomb-w32.c, gltests/test-wcrtomb.c,
	gltests/test-wcrtomb.sh, gltests/test-wctype-h.c,
	gltests/test-wctype.c, gltests/test-xalloc-die.c,
	gltests/test-xalloc-die.sh, gltests/time.in.h, gltests/unsetenv.c,
	gltests/version-etc-fsf.c, gltests/w32sock.h, gltests/wcrtomb.c,
	gltests/wctob.c, gltests/wctomb-impl.h, gltests/wctomb.c,
	gltests/zerosize-ptr.h, lib/COPYING.LIB, lib/GNUmakefile,
	lib/build-aux/arg-nonnull.h, lib/build-aux/c++defs.h,
	lib/build-aux/config.rpath, lib/build-aux/gendocs.sh,
	lib/build-aux/pmccabe2html, lib/build-aux/useless-if-before-free,
	lib/build-aux/vc-list-files, lib/build-aux/warn-on-use.h,
	lib/cram-md5/challenge.c, lib/digest-md5/free.c,
	lib/gl/Makefile.am, lib/gl/alloca.in.h, lib/gl/asnprintf.c,
	lib/gl/asprintf.c, lib/gl/base64.c, lib/gl/base64.h,
	lib/gl/c-ctype.c, lib/gl/c-ctype.h, lib/gl/errno.in.h,
	lib/gl/float+.h, lib/gl/float.in.h, lib/gl/gc-gnulib.c,
	lib/gl/gc-libgcrypt.c, lib/gl/gc-pbkdf2-sha1.c, lib/gl/gc.h,
	lib/gl/getdelim.c, lib/gl/getline.c, lib/gl/gettext.h,
	lib/gl/hmac-md5.c, lib/gl/hmac-sha1.c, lib/gl/hmac.h,
	lib/gl/m4/00gnulib.m4, lib/gl/m4/alloca.m4,
	lib/gl/m4/asm-underscore.m4, lib/gl/m4/base64.m4,
	lib/gl/m4/codeset.m4, lib/gl/m4/errno_h.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/fcntl-o.m4,
	lib/gl/m4/float_h.m4, lib/gl/m4/gc-hmac-md5.m4,
	lib/gl/m4/gc-hmac-sha1.m4, lib/gl/m4/gc-md5.m4,
	lib/gl/m4/gc-pbkdf2-sha1.m4, lib/gl/m4/gc-random.m4,
	lib/gl/m4/gc-sha1.m4, lib/gl/m4/gc.m4, lib/gl/m4/getdelim.m4,
	lib/gl/m4/getline.m4, lib/gl/m4/getpagesize.m4,
	lib/gl/m4/gettext.m4, lib/gl/m4/glibc2.m4, lib/gl/m4/glibc21.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/hmac-md5.m4, lib/gl/m4/hmac-sha1.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/intdiv0.m4, lib/gl/m4/intl.m4,
	lib/gl/m4/intldir.m4, lib/gl/m4/intlmacosx.m4, lib/gl/m4/intmax.m4,
	lib/gl/m4/intmax_t.m4, lib/gl/m4/inttypes-pri.m4,
	lib/gl/m4/inttypes_h.m4, lib/gl/m4/lcmessage.m4,
	lib/gl/m4/ld-output-def.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, lib/gl/m4/lock.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/malloc.m4, lib/gl/m4/md5.m4, lib/gl/m4/memchr.m4,
	lib/gl/m4/memmem.m4, lib/gl/m4/memxor.m4, lib/gl/m4/minmax.m4,
	lib/gl/m4/mmap-anon.m4, lib/gl/m4/multiarch.m4, lib/gl/m4/nls.m4,
	lib/gl/m4/po.m4, lib/gl/m4/printf-posix.m4, lib/gl/m4/printf.m4,
	lib/gl/m4/progtest.m4, lib/gl/m4/realloc.m4, lib/gl/m4/sha1.m4,
	lib/gl/m4/size_max.m4, lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/stdint_h.m4, lib/gl/m4/stdio_h.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4, lib/gl/m4/strnlen.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/threadlib.m4,
	lib/gl/m4/uintmax_t.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/vasnprintf.m4, lib/gl/m4/vasprintf.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/m4/xsize.m4, lib/gl/md5.c, lib/gl/md5.h, lib/gl/memchr.c,
	lib/gl/memmem.c, lib/gl/memxor.c, lib/gl/memxor.h, lib/gl/minmax.h,
	lib/gl/printf-args.c, lib/gl/printf-args.h, lib/gl/printf-parse.c,
	lib/gl/printf-parse.h, lib/gl/realloc.c, lib/gl/sha1.c,
	lib/gl/sha1.h, lib/gl/size_max.h, lib/gl/stdbool.in.h,
	lib/gl/stddef.in.h, lib/gl/stdint.in.h, lib/gl/stdio-write.c,
	lib/gl/stdio.in.h, lib/gl/stdlib.in.h, lib/gl/str-two-way.h,
	lib/gl/string.in.h, lib/gl/strnlen.c, lib/gl/strverscmp.c,
	lib/gl/unistd.in.h, lib/gl/vasnprintf.c, lib/gl/vasnprintf.h,
	lib/gl/vasprintf.c, lib/gl/verify.h, lib/gl/wchar.in.h,
	lib/gl/xsize.h, lib/gltests/Makefile.am, lib/gltests/dummy.c,
	lib/gltests/getpagesize.c, lib/gltests/init.sh,
	lib/gltests/intprops.h, lib/gltests/macros.h,
	lib/gltests/signature.h, lib/gltests/test-alloca-opt.c,
	lib/gltests/test-base64.c, lib/gltests/test-c-ctype.c,
	lib/gltests/test-errno.c, lib/gltests/test-gc-hmac-md5.c,
	lib/gltests/test-gc-hmac-sha1.c, lib/gltests/test-gc-md5.c,
	lib/gltests/test-gc-pbkdf2-sha1.c, lib/gltests/test-gc-sha1.c,
	lib/gltests/test-gc.c, lib/gltests/test-getdelim.c,
	lib/gltests/test-getline.c, lib/gltests/test-memchr.c,
	lib/gltests/test-memmem.c, lib/gltests/test-stdbool.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdio.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-string.c, lib/gltests/test-strnlen.c,
	lib/gltests/test-strverscmp.c, lib/gltests/test-sys_wait.h,
	lib/gltests/test-unistd.c, lib/gltests/test-vasnprintf.c,
	lib/gltests/test-vasprintf.c, lib/gltests/test-verify.c,
	lib/gltests/test-wchar.c, lib/gltests/zerosize-ptr.h, lib/maint.mk,
	maint.mk: Update gnulib files.  Fix syntax-check warnings.

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* lib/po/LINGUAS, lib/po/eo.po.in, po/LINGUAS, po/eo.po.in: Sync
	with TP.

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, lib/NEWS: Merge in 1.6.1 stuff.

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* .gitignore, windows/gsasl4win.mk: Fix upload rule.

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* .gitignore, NEWS, windows/gsasl4win.mk: build: Added MinGW build
	script for Windows binaries, windows/gsasl4win.mk.

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac: Demand gettext >=
	0.18.1 in order to get newer M4 files.  The old M4 files associated with 0.17 caused problems on Solaris,
	which will hopefully be fixed with this.  Reported by Dagobert
	Michelsen <dam@opencsw.org>.

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/libgsasl.pc.in: libgsasl.pc: Add a Libs.private.  Reported by Volker Grabsch <vog@notjusthosting.com>.

2011-05-01  Simon Josefsson <simon@josefsson.org>

	* README, lib/README, lib/libgsasl.pc.in: Compact copyright ranges.

2011-02-23  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix typo.  Reported by Дилян Палаузов <dilyan.palauzov@aegee.org>.

2010-12-14  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Bump versions.

2010-12-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac: Bump version.

2010-12-14  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-12-14  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-12-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.6.0.

2010-12-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.5.5.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/configure.ac: Silence.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* lib/src/error.c: Fix indentation.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Don't indent examples, formatting needed for texinfo
	manual.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* .x-sc_bindtextdomain: Add.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gsasl.texi, src/callbacks.c, src/gsasl.ggo: gsasl: Add
	--no-cb command line parameter.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/arpa_inet.in.h, gl/gettext.h, gl/iconv.in.h,
	gl/intprops.h, gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4,
	gl/m4/dup2.m4, gl/m4/fcntl-o.m4, gl/m4/getdelim.m4,
	gl/m4/getline.m4, gl/m4/getopt.m4, gl/m4/getpass.m4,
	gl/m4/glibc21.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/iconv.m4, gl/m4/iconv_h.m4, gl/m4/iconv_open.m4,
	gl/m4/mbrtowc.m4, gl/m4/memchr.m4, gl/m4/mmap-anon.m4,
	gl/m4/open.m4, gl/m4/poll.m4, gl/m4/printf.m4, gl/m4/putenv.m4,
	gl/m4/readline.m4, gl/m4/setenv.m4, gl/m4/stat.m4, gl/m4/stdint.m4,
	gl/m4/symlink.m4, gl/m4/sys_ioctl_h.m4, gl/m4/sys_select_h.m4,
	gl/m4/sys_socket_h.m4, gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4,
	gl/m4/wchar_h.m4, gl/mbrtowc.c, gl/printf-parse.c,
	gl/printf-parse.h, gl/stdint.in.h, gl/striconv.c, gl/string.in.h,
	gl/sys_socket.in.h, gl/unistd.in.h, gl/vasnprintf.c, gl/wchar.in.h,
	gl/xmalloc.c, gltests/fcntl.in.h, gltests/test-getopt.h,
	gltests/test-iconv-h.c, lib/build-aux/gendocs.sh,
	lib/gl/Makefile.am, lib/gl/gettext.h, lib/gl/m4/alloca.m4,
	lib/gl/m4/fcntl-o.m4, lib/gl/m4/getdelim.m4, lib/gl/m4/getline.m4,
	lib/gl/m4/glibc2.m4, lib/gl/m4/glibc21.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/intdiv0.m4, lib/gl/m4/memchr.m4, lib/gl/m4/memmem.m4,
	lib/gl/m4/mmap-anon.m4, lib/gl/m4/printf.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/vasnprintf.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/printf-parse.c, lib/gl/printf-parse.h,
	lib/gl/stdint.in.h, lib/gl/string.in.h, lib/gl/unistd.in.h,
	lib/gl/vasnprintf.c, lib/gl/wchar.in.h, lib/gltests/intprops.h,
	lib/maint.mk, maint.mk: Update gnulib files.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2010-12-09  Simon Josefsson <simon@josefsson.org>

	* src/callbacks.c: Fix crash for non-TLS.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix bashism.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Copy GTK-DOC PDF too.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.5.4.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/scram/server.c: SCRAM: Fix memory leaks.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* tests/scramplus.c: Remove debug code.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Add.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/arpa_inet.in.h, gl/errno.in.h,
	gl/float+.h, gl/float.in.h, gl/getopt.in.h, gl/iconv.in.h,
	gl/inet_ntop.c, gl/m4/errno_h.m4, gl/m4/gnulib-comp.m4,
	gl/m4/include_next.m4, gl/m4/locale-fr.m4, gl/m4/locale-ja.m4,
	gl/m4/locale-zh.m4, gl/m4/poll.m4, gl/m4/poll_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/string_h.m4, gl/m4/sys_wait_h.m4,
	gl/netdb.in.h, gl/netinet_in.in.h, gl/poll.c, gl/poll.in.h,
	gl/printf-parse.c, gl/printf-parse.h, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/strerror.c, gl/string.in.h, gl/sys_select.in.h,
	gl/sys_socket.in.h, gl/sys_time.in.h, gl/sys_wait.in.h,
	gl/unistd.in.h, gl/vasnprintf.c, gl/wchar.in.h, gl/wctype.in.h,
	gl/xalloc.h, gltests/Makefile.am, gltests/fcntl.in.h,
	gltests/ignore-value.h, gltests/init.sh, gltests/malloca.c,
	gltests/sys_ioctl.in.h, gltests/sys_stat.in.h,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-poll-h.c, gltests/test-poll.c,
	gltests/test-quotearg-simple.c, gltests/test-select-stdin.c,
	gltests/test-select.c, gltests/test-stdlib.c,
	gltests/test-sys_wait.c, gltests/time.in.h, lib/GNUmakefile,
	lib/build-aux/pmccabe.css, lib/build-aux/pmccabe2html,
	lib/gl/Makefile.am, lib/gl/errno.in.h, lib/gl/float+.h,
	lib/gl/float.in.h, lib/gl/m4/errno_h.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/memmem.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/sys_wait_h.m4, lib/gl/m4/threadlib.m4,
	lib/gl/printf-parse.c, lib/gl/printf-parse.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/stdio.in.h, lib/gl/stdlib.in.h,
	lib/gl/str-two-way.h, lib/gl/string.in.h, lib/gl/sys_wait.in.h,
	lib/gl/unistd.in.h, lib/gl/vasnprintf.c, lib/gl/verify.h,
	lib/gl/wchar.in.h, lib/gltests/Makefile.am, lib/gltests/init.sh,
	lib/gltests/test-memmem.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-sys_wait.c, lib/gltests/verify.h, lib/maint.mk,
	maint.mk: Update gnulib files.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c: Fix parsing bug.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.5.3.

2010-11-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore, NEWS, README, configure.ac, doc/gsasl.texi,
	doc/reference/gsasl-docs.sgml, lib/NEWS, lib/README,
	lib/scram/client.c, lib/scram/mechinfo.c, lib/scram/parser.c,
	lib/scram/printer.c, lib/scram/scram.h, lib/scram/server.c,
	lib/scram/validate.c, lib/src/error.c, lib/src/gsasl.h,
	lib/src/init.c, lib/src/internal.h, lib/src/property.c,
	lib/src/xfinish.c, src/callbacks.c, src/gsasl.c, src/internal.h,
	tests/Makefile.am, tests/scram.c, tests/scramplus.c: Support
	SCRAM-SHA-1-PLUS.  Add GSASL_CB_TLS_UNIQUE.  Use GnuTLS for
	tls-unique CB.

2010-11-13  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2010-11-13  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c, tests/cram-md5.c, tests/digest-md5.c,
	tests/errors.c, tests/external.c, tests/old-cram-md5.c,
	tests/old-digest-md5.c, tests/old-md5file.c, tests/old-simple.c,
	tests/scram.c, tests/simple.c, tests/utils.c: Fix compiler warnings.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix typo.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.5.2.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Drop libgpg-error/libgcrypt stuff from KfW.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Manually initialize sockets for Windows (should be
	fixed in gnulib..).

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Improve KfW instructions.

2010-09-27  Simon Josefsson <simon@josefsson.org>

	* gl/override/tests/test-environ.c.diff,
	gl/override/tests/test-unsetenv.c.diff, gltests/test-environ.c,
	gltests/test-unsetenv.c: Work around Wine bugs in gnulib self-tests.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/sys_wait.in.h, gltests/Makefile.am,
	gltests/test-stdlib.c, gltests/test-sys_wait.c,
	gltests/test-sys_wait.h, lib/gl/m4/gnulib-comp.m4,
	lib/gl/sys_wait.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-stdlib.c, lib/gltests/test-sys_wait.c,
	lib/gltests/test-sys_wait.h: Update gnulib files.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix download URL.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* lib/po/nl.po.in, po/nl.po.in: Sync with TP.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/cfg.mk: Improve cfg.mk targets.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Revert "Fixup visibility.m4 after gettext import." This reverts commit 322be869c210175857e202e5078fafbf49ea5b61.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Improve KfW section.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fixup visibility.m4 after gettext import.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Print errors from poll (mostly for Windows).

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c, src/imap.c, src/smtp.c: Avoid fixed size buffers
	(caused problems on Windows where BUFSIZ is 512 smaller the some
	line lengths with GS2-KRB5).

2010-09-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/asprintf.c, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/vasprintf.m4, gl/vasprintf.c,
	gltests/Makefile.am, gltests/test-vasprintf.c: Add asprintf gnulib
	module.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* gl/getaddrinfo.c, gltests/test-getaddrinfo.c: Update gnulib files.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/gl/Makefile.am, lib/gl/gss-extra.c,
	lib/gl/gss-extra.h, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gss-extra.m4,
	lib/gl/override/lib/gss-extra.c, lib/gl/override/lib/gss-extra.h,
	lib/gl/override/m4/gss-extra.m4, lib/gl/override/modules/gss-extra,
	lib/gs2/client.c, lib/gs2/gs2helper.c, lib/gs2/gs2helper.h,
	lib/gs2/server.c, lib/gssapi/client.c, lib/gssapi/server.c: Move
	GSS-API helper stuff to gss-extra module.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Add 'Kerberos on Windows' section.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* .x-sc_space_tab: Fix syntax-check tests.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, NEWS, cfg.mk, doc/fdl-1.3.texi, gl/Makefile.am,
	gl/m4/codeset.m4, gl/m4/environ.m4, gl/m4/error.m4,
	gl/m4/fcntl-o.m4, gl/m4/float_h.m4, gl/m4/getopt.m4,
	gl/m4/getpagesize.m4, gl/m4/gettext.m4, gl/m4/glibc2.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/hostent.m4,
	gl/m4/iconv.m4, gl/m4/iconv_open.m4, gl/m4/include_next.m4,
	gl/m4/intdiv0.m4, gl/m4/intl.m4, gl/m4/intldir.m4,
	gl/m4/intlmacosx.m4, gl/m4/intmax.m4, gl/m4/intmax_t.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes_h.m4, gl/m4/lcmessage.m4,
	gl/m4/lib-ld.m4, gl/m4/lib-link.m4, gl/m4/lock.m4, gl/m4/lseek.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/mbrtowc.m4, gl/m4/memchr.m4,
	gl/m4/nls.m4, gl/m4/open.m4, gl/m4/po.m4, gl/m4/printf-posix.m4,
	gl/m4/printf.m4, gl/m4/progtest.m4, gl/m4/realloc.m4,
	gl/m4/servent.m4, gl/m4/setenv.m4, gl/m4/size_max.m4,
	gl/m4/socketlib.m4, gl/m4/sockets.m4, gl/m4/socklen.m4,
	gl/m4/sockpfaf.m4, gl/m4/stat.m4, gl/m4/stdarg.m4,
	gl/m4/stdbool.m4, gl/m4/stdint.m4, gl/m4/stdint_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strtok_r.m4, gl/m4/symlink.m4,
	gl/m4/sys_wait_h.m4, gl/m4/threadlib.m4, gl/m4/time_h.m4,
	gl/m4/uintmax_t.m4, gl/m4/visibility.m4, gl/m4/wchar_t.m4,
	gl/m4/wctob.m4, gl/m4/wctype_h.m4, gl/m4/wint_t.m4, gl/malloc.c,
	gl/poll.c, gl/realloc.c, gl/select.c, gl/stdio.in.h,
	gl/stdlib.in.h, gl/strerror.c, gl/string.in.h, gl/sys_time.in.h,
	gl/sys_wait.in.h, gl/unistd.in.h, gl/wctype.in.h, gl/xmalloc.c,
	gltests/Makefile.am, gltests/fcntl.in.h, gltests/getpagesize.c,
	gltests/init.sh, gltests/locale/fr/LC_MESSAGES/test-quotearg.po,
	gltests/malloca.c, gltests/open.c, gltests/setenv.c,
	gltests/test-malloca.c, gltests/test-memchr.c,
	gltests/test-netdb.c, gltests/test-quotearg-simple.c,
	gltests/test-quotearg.c, gltests/test-quotearg.h,
	gltests/test-quotearg.sh, gltests/test-stdbool.c,
	gltests/test-stddef.c, gltests/test-stdlib.c,
	gltests/test-sys_socket.c, gltests/test-sys_wait.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify.c,
	gltests/time.in.h, lib/GNUmakefile, lib/NEWS,
	lib/build-aux/gendocs.sh, lib/build-aux/pmccabe2html,
	lib/gl/Makefile.am, lib/gl/m4/codeset.m4, lib/gl/m4/fcntl-o.m4,
	lib/gl/m4/float_h.m4, lib/gl/m4/gc-random.m4, lib/gl/m4/gettext.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/include_next.m4,
	lib/gl/m4/intdiv0.m4, lib/gl/m4/intl.m4, lib/gl/m4/intlmacosx.m4,
	lib/gl/m4/intmax.m4, lib/gl/m4/intmax_t.m4,
	lib/gl/m4/inttypes-pri.m4, lib/gl/m4/inttypes_h.m4,
	lib/gl/m4/lcmessage.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4, lib/gl/m4/lock.m4,
	lib/gl/m4/malloc.m4, lib/gl/m4/memchr.m4, lib/gl/m4/memmem.m4,
	lib/gl/m4/minmax.m4, lib/gl/m4/printf-posix.m4,
	lib/gl/m4/printf.m4, lib/gl/m4/progtest.m4, lib/gl/m4/realloc.m4,
	lib/gl/m4/size_max.m4, lib/gl/m4/stdbool.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/stdint_h.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/sys_wait_h.m4, lib/gl/m4/threadlib.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/realloc.c, lib/gl/stdio.in.h, lib/gl/stdlib.in.h,
	lib/gl/str-two-way.h, lib/gl/string.in.h, lib/gl/sys_wait.in.h,
	lib/gl/unistd.in.h, lib/gltests/Makefile.am, lib/gltests/init.sh,
	lib/gltests/test-memchr.c, lib/gltests/test-memmem.c,
	lib/gltests/test-stdbool.c, lib/gltests/test-stddef.c,
	lib/gltests/test-stdlib.c, lib/gltests/test-strnlen.c,
	lib/gltests/test-sys_wait.c, lib/gltests/test-verify.c,
	lib/maint.mk, maint.mk: Update gnulib files.

2010-09-02  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/gs2/Makefile.am, lib/gssapi/Makefile.am: 
	Support MIT KfW as GSS-API library.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, doc/announce.txt, doc/gendocs_template,
	doc/reference/Makefile.am, gl/override/doc/gendocs_template.diff,
	gtk-doc.make, m4/gtk-doc.m4: Update GTK-DOC files to enable PDF
	manual.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* tests/cram-md5.c, tests/digest-md5.c, tests/gs2-krb5.c,
	tests/gssapi.c, tests/old-cram-md5.c, tests/old-digest-md5.c,
	tests/old-gssapi.c, tests/scram.c: Fix error strings in self-tests.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* README, lib/README: Improve READMEs.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/gendocs_template, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/valgrind-tests.m4, m4/valgrind.m4: Update gnulib files, use
	new valgrind-tests module.

2010-05-17  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/config.charset, gl/error.c, gl/localcharset.c,
	gl/m4/asm-underscore.m4, gl/m4/gettext.m4, gl/m4/gnulib-comp.m4,
	gl/m4/iconv.m4, gl/m4/intl.m4, gl/m4/po.m4, gl/m4/stdio_h.m4,
	gl/m4/unistd_h.m4, gl/m4/wctob.m4, gl/stdio-write.c, gl/stdio.in.h,
	gl/unistd.in.h, gl/vasnprintf.c, gl/verify.h, gl/wchar.in.h,
	gltests/Makefile.am, gltests/init.sh, gltests/test-lseek.sh,
	gltests/test-verify.c, gltests/test-verify.sh,
	gltests/test-xalloc-die.sh, gltests/wctob.c,
	lib/build-aux/c++defs.h, lib/build-aux/gendocs.sh,
	lib/gl/Makefile.am, lib/gl/m4/asm-underscore.m4,
	lib/gl/m4/fcntl-o.m4, lib/gl/m4/gettext.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv.m4, lib/gl/m4/intl.m4,
	lib/gl/m4/po.m4, lib/gl/m4/stdio_h.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/stdio-write.c, lib/gl/stdio.in.h, lib/gl/unistd.in.h,
	lib/gl/vasnprintf.c, lib/gl/wchar.in.h, lib/gltests/Makefile.am,
	lib/gltests/init.sh, lib/gltests/test-verify.c,
	lib/gltests/test-verify.sh, lib/gltests/verify.h, lib/maint.mk,
	maint.mk: Update gnulib files.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: More extension checking.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/netdb_h.m4, gl/m4/unistd_h.m4, gl/netdb.in.h, gl/unistd.in.h,
	gltests/init.sh, lib/gl/Makefile.am, lib/gl/c-ctype.c,
	lib/gl/c-ctype.h, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/unistd.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-c-ctype.c, lib/maint.mk, maint.mk: Update gnulib
	files.  Add c-ctype module, for SCRAM.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c: SCRAM server: ignore extensions in
	client-final.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Test extension parameters.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Don't ignore unexpected successes for i=16,17.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Test two failure modes with mismatching c= fields.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM server: Compare c= field in client-final
	to match client-first.  Reported by Marc Santamaria <asgarath@gmail.com>.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Check that server supports n=y.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c: SCRAM server: Interop against clients that
	supports channel bindings.  Reported by Marc Santamaria <asgarath@gmail.com>.

2010-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM server: Interop against clients that
	supports channel bindings.  Reported by Marc Santamaria <asgarath@gmail.com>.

2010-04-25  Simon Josefsson <simon@josefsson.org>

	* gl/vasnprintf.c, gltests/Makefile.am,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, lib/build-aux/vc-list-files,
	lib/gl/m4/strnlen.m4, lib/gl/vasnprintf.c,
	lib/gltests/test-vasprintf.c, lib/maint.mk, maint.mk: Update gnulib
	files.

2010-04-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-04-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-04-21  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-04-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.5.1.

2010-04-21  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2010-04-21  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/m4/ioctl.m4, gl/m4/visibility.m4,
	gl/override/m4/visibility.m4.diff, gltests/test-lseek.sh,
	gltests/test-select-in.sh, lib/gl/m4/visibility.m4,
	lib/gl/override/m4/visibility.m4.diff: Update gnulib files.

2010-04-19  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.c, gl/getopt_int.h, gl/m4/netdb_h.m4,
	gl/stdbool.in.h, gltests/setenv.c, gltests/test-stdbool.c,
	gltests/test-stdint.c, lib/gl/stdbool.in.h,
	lib/gltests/test-stdbool.c, lib/gltests/test-stdint.c,
	lib/maint.mk, maint.mk: Update gnulib files.

2010-04-14  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2010-04-14  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, gl/m4/getopt.m4, gltests/test-getopt.h,
	gltests/test-getopt_long.h, lib/gl/gc-libgcrypt.c: Update gnulib
	files.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* lib/maint.mk, maint.mk: Update gnulib files.

2010-04-12  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c, lib/gs2/gs2helper.c, lib/gs2/gs2helper.h,
	lib/gs2/mechinfo.c, lib/gs2/server.c: GS2: Fix decoding of invalid
	data in server.  Code review fixes.

2010-04-12  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2010-04-12  Simon Josefsson <simon@josefsson.org>

	* .x-sc_prohibit_empty_lines_at_EOF, GNUmakefile, NEWS,
	doc/cyclo/Makefile.am, doc/reference/Makefile.am, gl/Makefile.am,
	gl/fseeko.c, gl/m4/fseeko.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/lib-link.m4, gl/m4/mbrtowc.m4,
	gl/m4/mbsinit.m4, gl/m4/memchr.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strdup.m4, gl/m4/string_h.m4,
	gl/m4/strtok_r.m4, gl/m4/threadlib.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4, gl/stdio-impl.h,
	gl/stdio.in.h, gl/stdlib.in.h, gl/string.in.h, gl/sys_socket.in.h,
	gl/sys_time.in.h, gl/unistd.in.h, gl/vasnprintf.c, gl/wchar.in.h,
	gl/wctype.in.h, gltests/Makefile.am, gltests/init.sh,
	gltests/ioctl.c, gltests/sys_ioctl.in.h, gltests/sys_stat.in.h,
	gltests/test-vasnprintf.c, gltests/time.in.h, lib/GNUmakefile,
	lib/NEWS, lib/build-aux/c++defs.h, lib/build-aux/warn-on-use.h,
	lib/gl/Makefile.am, lib/gl/m4/getpagesize.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/memchr.m4, lib/gl/m4/printf.m4,
	lib/gl/m4/stdio_h.m4, lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/strnlen.m4, lib/gl/m4/threadlib.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/vasnprintf.m4, lib/gl/stdio.in.h,
	lib/gl/stdlib.in.h, lib/gl/string.in.h, lib/gl/unistd.in.h,
	lib/gl/vasnprintf.c, lib/gl/wchar.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-vasnprintf.c, lib/maint.mk, maint.mk: Update gnulib
	files and fix new syntax-check warnings.

2010-03-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-03-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-03-31  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-03-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.5.0.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* m4/valgrind.m4: Sync valgrind.m4.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strtok_r.m4, gl/strtok_r.c: Add strtok_r module, for MinGW and
	readnz.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/strnlen.m4, lib/gl/strnlen.c,
	lib/maint.mk, maint.mk: Update gnulib files.  Add strnlen.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* tests/gs2-krb5.c: Also test non-authzid scenario.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Ignore some functions/files.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c: Reduce complexity.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* tests/simple.c: Check NULL handling in interfaces.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/src/xfinish.c: gsasl_finish: Handle NULL sctx.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c: Fix memory leak and improve code coverage.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix @url's.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/reference/gsasl-docs.sgml: Update.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Add GS2 material.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* configure.ac, tests/Makefile.am, tests/gs2-krb5.c, tests/gssapi.c: 
	Fix GNU GSS checks.  Be more verbose about configure options.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* configure.ac, tests/Makefile.am: Only run GSSAPI/GS2 self-tests
	when using GNU GSS.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/configure.ac: Require GNU GSS version 1.0.0 or
	later.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/Makefile.am, lib/gs2/README: Drop GS2 README.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Typo.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Silence warning.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix copyright years.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* gl/arpa_inet.in.h, gl/errno.in.h, gl/float.in.h, gl/getopt.in.h,
	gl/iconv.in.h, gl/m4/fcntl-o.m4, gl/m4/gnulib-comp.m4,
	gl/m4/intldir.m4, gl/m4/printf-posix.m4, gl/m4/sys_ioctl_h.m4,
	gl/m4/visibility.m4, gl/netdb.in.h, gl/netinet_in.in.h,
	gl/stdarg.in.h, gl/stdint.in.h, gl/string.in.h, gl/sys_time.in.h,
	gl/wctype.in.h, gltests/Makefile.am, gltests/ioctl.c,
	gltests/sys_ioctl.in.h, gltests/time.in.h, lib/gl/errno.in.h,
	lib/gl/float.in.h, lib/gl/m4/gnulib-comp.m4, lib/gl/m4/intldir.m4,
	lib/gl/m4/printf-posix.m4, lib/gl/m4/visibility.m4,
	lib/gl/stdint.in.h, lib/gl/string.in.h: Update gnulib files.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Doc fix.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* src/imap.c: Improve error message.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c: Don't overwrite return value.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/gs2helper.c, lib/gs2/gs2helper.h: Fix warnings.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c, lib/gs2/gs2helper.c, lib/gs2/gs2helper.h: Use
	gss_oid_equal when available.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Also check for gss_oid_equal.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c, lib/gs2/gs2helper.c, lib/gs2/gs2helper.h,
	lib/gs2/server.c: Make gs2helper.h standalone.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Update NEWS.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c, lib/gs2/gs2helper.c, lib/gs2/gs2helper.h,
	lib/gs2/server.c: GS2: Cleanup code.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/src/error.c, lib/src/gsasl.h: Add more GSS-API error
	codes.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/Makefile.am, lib/gs2/client.c, lib/gs2/gs2asn1.c,
	lib/gs2/gs2asn1.h, lib/gs2/gs2helper.c: Use GSS capsulate functions
	to simplify code.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Fix error code values.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* tests/readnz.c: Silence compiler warning.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/gs2/server.c, lib/src/error.c, lib/src/gsasl.h: 
	Improve GS2 error codes.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c, lib/gs2/gs2helper.c, lib/gs2/gs2helper.h,
	lib/gs2/server.c: gss_inquire_mech_for_saslname: Fix replacement and
	usage.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Improve GSS-API library feature checks.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Fix typo.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c: Check ret_flags.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/src/saslprep.c: Doc fix to avoid warning from GTK-DOC.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Check for extended GSS-API interfaces.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* .x-sc_texinfo_acronym: Add.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Drop @acronym.

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Fix syntax-check warning (test -o ).

2010-03-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/arpa_inet.in.h, gl/connect.c, gl/errno.in.h,
	gl/float.in.h, gl/getaddrinfo.c, gl/getopt.c, gl/getopt.in.h,
	gl/gettext.h, gl/iconv.in.h, gl/m4/arpa_inet_h.m4,
	gl/m4/exitfail.m4, gl/m4/fcntl_h.m4, gl/m4/getaddrinfo.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/iconv_h.m4,
	gl/m4/iconv_open.m4, gl/m4/inet_ntop.m4, gl/m4/inet_pton.m4,
	gl/m4/netdb_h.m4, gl/m4/setenv.m4, gl/m4/stddef_h.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/string_h.m4,
	gl/m4/sys_ioctl_h.m4, gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4,
	gl/m4/sys_stat_h.m4, gl/m4/sys_time_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/wchar.m4, gl/m4/wchar_h.m4,
	gl/m4/wctype.m4, gl/m4/wctype_h.m4, gl/netdb.in.h,
	gl/netinet_in.in.h, gl/poll.c, gl/recv.c, gl/select.c,
	gl/stdarg.in.h, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/string.in.h, gl/sys_select.in.h, gl/sys_socket.in.h,
	gl/sys_time.in.h, gl/unistd.in.h, gl/wchar.in.h, gl/wctype.in.h,
	gltests/Makefile.am, gltests/accept.c, gltests/bind.c,
	gltests/fcntl.in.h, gltests/sys_ioctl.in.h, gltests/sys_stat.in.h,
	gltests/test-dup2.c, gltests/test-getopt.c, gltests/test-getopt.h,
	gltests/test-iconv-h.c, gltests/test-vc-list-files-git.sh,
	gltests/test-wctype.c, gltests/time.in.h, lib/build-aux/c++defs.h,
	lib/build-aux/warn-on-use.h, lib/gl/Makefile.am, lib/gl/errno.in.h,
	lib/gl/float.in.h, lib/gl/gettext.h, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/stddef_h.m4,
	lib/gl/m4/stdio_h.m4, lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/wchar.m4, lib/gl/m4/wchar_h.m4,
	lib/gl/stdint.in.h, lib/gl/stdio.in.h, lib/gl/stdlib.in.h,
	lib/gl/string.in.h, lib/gl/unistd.in.h, lib/gl/wchar.in.h,
	lib/gltests/Makefile.am, lib/gltests/test-base64.c, lib/maint.mk,
	maint.mk: Update gnulib files.

2010-03-26  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Fix.

2010-03-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Fixup NEWS entries.

2010-03-26  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.4.4.

2010-03-25  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Improve wording.

2010-03-25  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Link to Windows binaries.

2010-03-19  Simon Josefsson <simon@josefsson.org>

	* tests/gs2-krb5.c: Make server-first logic more correct.

2010-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/server.c: Properly call GSS-API validate callback.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/scram/parser.c: SCRAM: Don't read out of bounds when
	parsing tokens.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/readnz.c: Add self-test for
	round-out-of-bounds.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Don't crash if getaddrinfo failed to canonicalize
	address, but use user string.

2010-03-18  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Also need gperf.

2010-03-17  Simon Josefsson <simon@josefsson.org>

	* tests/old-digest-md5.c: Fix self test to handle modified
	DIGEST-MD5 behaviour.

2010-03-17  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Also test server goes first.

2010-03-17  Simon Josefsson <simon@josefsson.org>

	* tests/digest-md5.c: Also test client-goes-first.

2010-03-17  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/digest-md5/server.c: DIGEST-MD5: The server code now
	returns GSASL_OK after the final token.

2010-03-17  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/server.c: Check mutual in ret_flags.

2010-03-17  Simon Josefsson <simon@josefsson.org>

	* tests/gssapi.c: Try both client first and server first.

2010-03-17  Simon Josefsson <simon@josefsson.org>

	* tests/gs2-krb5.c: Try both client first and server first.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* doc/ANNOUNCE, doc/announce.txt: Rename.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Drop update-po in lib/.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/cfg.mk: cfg.mk fixes.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/fi.po.in, po/fr.po.in, po/id.po.in, po/it.po.in,
	po/nl.po.in, po/pl.po.in, po/sk.po.in, po/sv.po.in, po/vi.po.in,
	po/zh_CN.po.in: Sync with TP.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* lib/po/LINGUAS, lib/po/it.po.in, lib/po/vi.po.in,
	lib/po/zh_CN.po.in: Sync with TP.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* .gitignore, NEWS, cfg.mk, lib/NEWS: Forward-port 1.4.x changes.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2010-03-12  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/gs2/Makefile.am, lib/gssapi/Makefile.am: 
	Don't pollute CFLAGS/LIBS with GSS-API stuff.

2010-03-12  Simon Josefsson <simon@josefsson.org>

	* tests/gs2-krb5.c: Fix typo.

2010-03-12  Simon Josefsson <simon@josefsson.org>

	* tests/gs2-krb5.c, tests/gssapi.c: Silently fail GSSAPI/GS2-KRB5
	tests if not available.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* tests/gssapi.c: Less verbose.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/server.c: Fix mem leak.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c, tests/scram.c: SCRAM: (Un)escape username.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/gssapi.cfg, tests/shishi.conf: Silence
	Shishi warnings.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* tests/gssapi.tkt: Generated.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c, lib/scram/printer.c, lib/scram/server.c,
	tests/scram.c: SCRAM: (Un)escape authzid.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/gs2-krb5.c: Use self tests.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* lib/gssapi/client.c, lib/gssapi/server.c: Fix comment.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/server.c: Parse GS2 header.  Fix authzid handling.
	Unescape authzid.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c: Escape authzid.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* tests/gssapi.c: Print return values too.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Print return values too.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/gssapi.cfg: Use a Shishi config file.

2010-03-10  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/gs2/client.c, lib/gs2/gs2helper.c,
	lib/gs2/server.c, lib/gssapi/client.c, lib/gssapi/server.c: Improve
	GSSAPI library detection code.  Some systems (e.g., Mac OS X) still doesn't have gssapi.h, only
	gssapi/gssapi.h.

2010-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/server.c: Add channel binding.  Drop more old GSS-API
	code.

2010-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/server.c: Send token properly.

2010-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/server.c: Drop junk.

2010-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/src/error.c: Fix typo.

2010-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Fix.

2010-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2010-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Enable GS2 by default.

2010-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/gs2asn1.c, lib/gs2/gs2asn1.h: GS2: Add ASN.1 helpers.

2010-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/gs2/Makefile.am, lib/gs2/client.c,
	lib/gs2/gs2helper.c, lib/gs2/gs2wrap.c, lib/gs2/server.c,
	lib/gs2/test-parser.c, lib/gssapi/client.c, lib/gssapi/server.c: 
	Simplify GSS-API detection.  More GS2 cleanup.

2010-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/client.c: GS2: Remove debug code.  The client side should
	now actually be finished, yay.

2010-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/Makefile.am, lib/gs2/client.c, lib/gs2/gs2parser.c,
	lib/gs2/gs2parser.h, lib/gs2/server.c: GS2: Channel binding stuff.
	Cleanup.

2010-03-02  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/Makefile.am, lib/gs2/client.c, lib/gs2/gs2.h,
	lib/gs2/gs2helper.c, lib/gs2/gs2helper.h, lib/gs2/mechinfo.c: Begin
	some work on GS2 update.

2010-03-01  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Generated.

2010-03-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-02-24  Simon Josefsson <simon@josefsson.org>

	* gl/m4/warn-on-use.m4, gltests/gettimeofday.c,
	lib/gl/m4/warn-on-use.m4: Update gnulib files.

2010-02-23  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gettimeofday.m4, gl/m4/gnulib-common.m4,
	gl/m4/lseek.m4, gl/m4/sys_time_h.m4, gl/netdb.in.h, gl/stdio.in.h,
	gl/sys_select.in.h, gl/sys_time.in.h, gltests/init.sh,
	lib/build-aux/gendocs.sh, lib/build-aux/vc-list-files,
	lib/gl/m4/gnulib-common.m4, lib/gl/stdio.in.h: Update gnulib files.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* doc/ANNOUNCE: Add.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* tests/symbols.c: Make it work when obsolete symbols are disabled.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Upload to ftp.gnu.org.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Upload to ftp.gnu.org.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.4.1.

2010-02-16  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Fix.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Generate.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* src/internal.h: Fix comment.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/internal.h: Revert "Drop pwd.h #include (not
	used?)." This reverts commit b0df618c4214be57536ebe4a7c87178288f7969a.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/internal.h: Drop pwd.h #include (not used?).

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac: Change next
	version to 1.4.1.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* lib/gs2/Makefile.am, lib/tests/Makefile.am, tests/Makefile.am: 
	Drop EXEEXT for self-tests.

2010-02-15  Simon Josefsson <simon@josefsson.org>

	* gl/stdio.in.h, lib/gl/stdio.in.h, lib/maint.mk, maint.mk: Update
	gnulib files.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Add review-diff rule.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gettimeofday.m4, gltests/test-gettimeofday.c: Update gnulib
	files.

2010-02-05  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2010-02-04  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/Makefile.am: See if dropping EXEEXT helps mingw
	builds.

2010-02-04  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Update.

2010-02-04  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/symbols.c: Add self-check for testing
	that all APIs have been exported.

2010-02-04  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/arpa_inet.in.h, gl/m4/arpa_inet_h.m4,
	gl/m4/fcntl_h.m4, gl/m4/getdelim.m4, gl/m4/getline.m4,
	gl/m4/gettimeofday.m4, gl/m4/gnulib-comp.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/string_h.m4, gl/m4/sys_ioctl_h.m4,
	gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/unistd_h.m4, gl/m4/wchar.m4,
	gl/stdio.in.h, gl/stdlib.in.h, gl/string.in.h, gl/sys_select.in.h,
	gl/sys_socket.in.h, gl/sys_time.in.h, gl/unistd.in.h,
	gl/wchar.in.h, gltests/Makefile.am, gltests/fcntl.in.h,
	gltests/ignore-value.h, gltests/sys_ioctl.in.h,
	gltests/sys_stat.in.h, gltests/test-getdelim.c,
	gltests/test-getline.c, gltests/test-gettimeofday.c,
	gltests/test-lstat.c, gltests/test-memchr.c,
	gltests/test-sockets.c, gltests/test-symlink.c,
	lib/build-aux/link-warning.h, lib/gl/Makefile.am,
	lib/gl/m4/getdelim.m4, lib/gl/m4/getline.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/stdio_h.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/wchar.m4, lib/gl/stdio.in.h,
	lib/gl/stdlib.in.h, lib/gl/string.in.h, lib/gl/unistd.in.h,
	lib/gl/wchar.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-gc-hmac-md5.c, lib/gltests/test-gc-hmac-sha1.c,
	lib/gltests/test-gc-md5.c, lib/gltests/test-gc-pbkdf2-sha1.c,
	lib/gltests/test-gc-sha1.c, lib/gltests/test-gc.c,
	lib/gltests/test-getdelim.c, lib/gltests/test-getline.c,
	lib/gltests/test-memchr.c, lib/gltests/test-memmem.c, lib/maint.mk,
	maint.mk: Update gnulib files.

2010-01-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/error.h, gl/stdio.in.h, gl/striconv.c,
	gl/vasnprintf.h, gltests/Makefile.am, gltests/fcntl.in.h,
	lib/gl/Makefile.am, lib/gl/stdio.in.h, lib/gl/vasnprintf.h: Update
	gnulib files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/maint.mk, maint.mk: Improve syntax-check exception
	stuff.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, gl/m4/warnings.m4, gl/stdio.in.h,
	lib/gl/m4/gc.m4, lib/gl/m4/gnulib-common.m4, lib/gl/stdio.in.h: 
	Update gnulib files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* m4/valgrind.m4: Fix valgrind.m4.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* po/POTFILES.in: Fix.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* .x-sc_avoid_if_before_free, .x-sc_cast_of_alloca_return_value,
	.x-sc_cast_of_x_alloc_return_value, .x-sc_m4_quote_check,
	.x-sc_makefile_check, .x-sc_po_check, .x-sc_program_name,
	.x-sc_prohibit_HAVE_MBRTOWC, .x-sc_prohibit_atoi_atof,
	.x-sc_prohibit_getopt_without_use,
	.x-sc_prohibit_magic_number_exit, .x-sc_space_tab,
	.x-sc_trailing_blank, .x-sc_useless_cpp_parens, cfg.mk, maint.mk: 
	Fix syntax-check stuff.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* po/de.po.in, po/zh_CN.po.in: Sync with TP.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* lib/po/zh_CN.po.in: Sync with TP.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gltests/dup2.c: Update gnulib files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/override/lib/dup2.c.diff, gl/override/tests/dup2.c.diff: Fix
	dup2 patch.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/visibility.m4, gl/override/m4/visibility.m4.diff,
	lib/gl/m4/visibility.m4, lib/gl/override/m4/visibility.m4.diff: Add
	workaround for visibility bug.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* tests/libgsasl.supp: Add.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/libgsasl.supp: Add libgsasl valgrind
	suppressions file.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/open.m4, gl/override/m4/open.m4.diff,
	gl/override/tests/dup2.c.diff, gltests/test-xalloc-die.sh: Update
	gnulib files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/alignof.h, gl/alloca.c,
	gl/alloca.in.h, gl/arpa_inet.in.h, gl/asnprintf.c, gl/c-ctype.c,
	gl/c-ctype.h, gl/c-strcase.h, gl/c-strcasecmp.c,
	gl/c-strncasecmp.c, gl/close-hook.c, gl/close-hook.h, gl/close.c,
	gl/config.charset, gl/connect.c, gl/errno.in.h, gl/error.c,
	gl/error.h, gl/exitfail.c, gl/exitfail.h, gl/fclose.c, gl/float+.h,
	gl/float.in.h, gl/fseeko.c, gl/gai_strerror.c, gl/getaddrinfo.c,
	gl/getdelim.c, gl/getline.c, gl/getopt.c, gl/getopt.in.h,
	gl/getopt1.c, gl/getopt_int.h, gl/getpass.c, gl/getpass.h,
	gl/iconv.in.h, gl/iconv_open.c, gl/inet_ntop.c, gl/intprops.h,
	gl/localcharset.c, gl/localcharset.h, gl/lseek.c,
	gl/m4/00gnulib.m4, gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4,
	gl/m4/autobuild.m4, gl/m4/close.m4, gl/m4/codeset.m4, gl/m4/dos.m4,
	gl/m4/dup2.m4, gl/m4/eealloc.m4, gl/m4/environ.m4,
	gl/m4/errno_h.m4, gl/m4/error.m4, gl/m4/exitfail.m4,
	gl/m4/extensions.m4, gl/m4/fclose.m4, gl/m4/fcntl-o.m4,
	gl/m4/fcntl_h.m4, gl/m4/float_h.m4, gl/m4/fseeko.m4,
	gl/m4/getaddrinfo.m4, gl/m4/getdelim.m4, gl/m4/getline.m4,
	gl/m4/getopt.m4, gl/m4/getpass.m4, gl/m4/gettext.m4,
	gl/m4/gettimeofday.m4, gl/m4/glibc2.m4, gl/m4/glibc21.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/hostent.m4,
	gl/m4/iconv.m4, gl/m4/iconv_h.m4, gl/m4/iconv_open.m4,
	gl/m4/include_next.m4, gl/m4/inet_ntop.m4, gl/m4/inet_pton.m4,
	gl/m4/inline.m4, gl/m4/intdiv0.m4, gl/m4/intl.m4, gl/m4/intldir.m4,
	gl/m4/intlmacosx.m4, gl/m4/intmax.m4, gl/m4/intmax_t.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes_h.m4, gl/m4/lcmessage.m4,
	gl/m4/lib-ld.m4, gl/m4/lib-link.m4, gl/m4/lib-prefix.m4,
	gl/m4/localcharset.m4, gl/m4/locale-fr.m4, gl/m4/locale-ja.m4,
	gl/m4/locale-tr.m4, gl/m4/locale-zh.m4, gl/m4/lock.m4,
	gl/m4/longlong.m4, gl/m4/lseek.m4, gl/m4/lstat.m4, gl/m4/malloc.m4,
	gl/m4/malloca.m4, gl/m4/manywarnings.m4, gl/m4/mbrtowc.m4,
	gl/m4/mbsinit.m4, gl/m4/mbstate_t.m4, gl/m4/memchr.m4,
	gl/m4/mmap-anon.m4, gl/m4/mode_t.m4, gl/m4/multiarch.m4,
	gl/m4/netdb_h.m4, gl/m4/netinet_in_h.m4, gl/m4/nls.m4,
	gl/m4/open.m4, gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/po.m4,
	gl/m4/poll.m4, gl/m4/printf-posix.m4, gl/m4/printf.m4,
	gl/m4/progtest.m4, gl/m4/putenv.m4, gl/m4/quote.m4,
	gl/m4/quotearg.m4, gl/m4/readline.m4, gl/m4/realloc.m4,
	gl/m4/select.m4, gl/m4/servent.m4, gl/m4/setenv.m4,
	gl/m4/size_max.m4, gl/m4/snprintf.m4, gl/m4/sockets.m4,
	gl/m4/socklen.m4, gl/m4/sockpfaf.m4, gl/m4/stat.m4,
	gl/m4/stdarg.m4, gl/m4/stdbool.m4, gl/m4/stddef_h.m4,
	gl/m4/stdint.m4, gl/m4/stdint_h.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strdup.m4, gl/m4/strerror.m4,
	gl/m4/string_h.m4, gl/m4/symlink.m4, gl/m4/sys_ioctl_h.m4,
	gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/threadlib.m4, gl/m4/time_h.m4,
	gl/m4/uintmax_t.m4, gl/m4/ungetc.m4, gl/m4/unistd_h.m4,
	gl/m4/vasnprintf.m4, gl/m4/version-etc.m4, gl/m4/visibility.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar.m4,
	gl/m4/wchar_t.m4, gl/m4/wctob.m4, gl/m4/wctype.m4, gl/m4/wint_t.m4,
	gl/m4/xalloc.m4, gl/m4/xsize.m4, gl/malloc.c, gl/mbrtowc.c,
	gl/mbsinit.c, gl/memchr.c, gl/netdb.in.h, gl/netinet_in.in.h,
	gl/poll.c, gl/poll.in.h, gl/printf-args.c, gl/printf-args.h,
	gl/printf-parse.c, gl/printf-parse.h, gl/progname.c, gl/progname.h,
	gl/quote.c, gl/quote.h, gl/quotearg.c, gl/quotearg.h,
	gl/readline.c, gl/readline.h, gl/realloc.c, gl/recv.c,
	gl/ref-add.sin, gl/ref-del.sin, gl/select.c, gl/shutdown.c,
	gl/size_max.h, gl/snprintf.c, gl/socket.c, gl/sockets.c,
	gl/sockets.h, gl/stdarg.in.h, gl/stdbool.in.h, gl/stddef.in.h,
	gl/stdint.in.h, gl/stdio-impl.h, gl/stdio-write.c, gl/stdio.in.h,
	gl/stdlib.in.h, gl/strdup.c, gl/streq.h, gl/strerror.c,
	gl/striconv.c, gl/striconv.h, gl/string.in.h, gl/sys_select.in.h,
	gl/sys_socket.in.h, gl/sys_time.in.h, gl/unistd.in.h,
	gl/vasnprintf.c, gl/vasnprintf.h, gl/verify.h, gl/version-etc.c,
	gl/version-etc.h, gl/w32sock.h, gl/wchar.in.h, gl/wctype.in.h,
	gl/xalloc-die.c, gl/xalloc.h, gl/xmalloc.c, gl/xsize.h,
	gltests/Makefile.am, gltests/accept.c, gltests/binary-io.h,
	gltests/bind.c, gltests/dup2.c, gltests/fcntl.in.h,
	gltests/gettimeofday.c, gltests/inet_pton.c, gltests/init.sh,
	gltests/ioctl.c, gltests/listen.c, gltests/lstat.c,
	gltests/macros.h, gltests/malloca.c, gltests/malloca.h,
	gltests/open.c, gltests/pathmax.h, gltests/perror.c,
	gltests/putenv.c, gltests/same-inode.h, gltests/setenv.c,
	gltests/setsockopt.c, gltests/signature.h, gltests/stat.c,
	gltests/symlink.c, gltests/sys_ioctl.in.h, gltests/sys_stat.in.h,
	gltests/test-alignof.c, gltests/test-alloca-opt.c,
	gltests/test-arpa_inet.c, gltests/test-binary-io.c,
	gltests/test-binary-io.sh, gltests/test-c-ctype.c,
	gltests/test-c-strcasecmp.c, gltests/test-c-strncasecmp.c,
	gltests/test-dup2.c, gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fcntl-h.c, gltests/test-fseeko.c,
	gltests/test-getaddrinfo.c, gltests/test-getdelim.c,
	gltests/test-getline.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-gettimeofday.c, gltests/test-iconv.c,
	gltests/test-inet_ntop.c, gltests/test-inet_pton.c,
	gltests/test-lseek.c, gltests/test-lstat.c, gltests/test-lstat.h,
	gltests/test-malloca.c, gltests/test-mbrtowc.c,
	gltests/test-mbsinit.c, gltests/test-memchr.c,
	gltests/test-netdb.c, gltests/test-netinet_in.c,
	gltests/test-open.c, gltests/test-open.h, gltests/test-perror.c,
	gltests/test-poll.c, gltests/test-quotearg.c,
	gltests/test-select-fd.c, gltests/test-select-stdin.c,
	gltests/test-select.c, gltests/test-setenv.c,
	gltests/test-snprintf.c, gltests/test-stat.c, gltests/test-stat.h,
	gltests/test-stdbool.c, gltests/test-stddef.c,
	gltests/test-stdint.c, gltests/test-stdio.c, gltests/test-stdlib.c,
	gltests/test-strerror.c, gltests/test-striconv.c,
	gltests/test-string.c, gltests/test-symlink.c,
	gltests/test-symlink.h, gltests/test-sys_ioctl.c,
	gltests/test-sys_select.c, gltests/test-sys_socket.c,
	gltests/test-sys_stat.c, gltests/test-sys_time.c,
	gltests/test-time.c, gltests/test-unistd.c,
	gltests/test-unsetenv.c, gltests/test-vasnprintf.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-version-etc.c,
	gltests/test-version-etc.sh, gltests/test-wchar.c,
	gltests/test-wctype.c, gltests/test-xalloc-die.c,
	gltests/test-xalloc-die.sh, gltests/time.in.h, gltests/unsetenv.c,
	gltests/version-etc-fsf.c, gltests/w32sock.h, gltests/wctob.c,
	gltests/zerosize-ptr.h, lib/GNUmakefile,
	lib/build-aux/arg-nonnull.h, lib/build-aux/config.rpath,
	lib/build-aux/gendocs.sh, lib/build-aux/link-warning.h,
	lib/build-aux/pmccabe2html, lib/build-aux/useless-if-before-free,
	lib/build-aux/vc-list-files, lib/build-aux/warn-on-use.h,
	lib/gl/Makefile.am, lib/gl/alloca.in.h, lib/gl/asnprintf.c,
	lib/gl/asprintf.c, lib/gl/base64.c, lib/gl/base64.h,
	lib/gl/errno.in.h, lib/gl/float+.h, lib/gl/float.in.h,
	lib/gl/gc-gnulib.c, lib/gl/gc-libgcrypt.c, lib/gl/gc-pbkdf2-sha1.c,
	lib/gl/gc.h, lib/gl/getdelim.c, lib/gl/getline.c, lib/gl/gettext.h,
	lib/gl/hmac-md5.c, lib/gl/hmac-sha1.c, lib/gl/hmac.h,
	lib/gl/m4/00gnulib.m4, lib/gl/m4/alloca.m4, lib/gl/m4/base64.m4,
	lib/gl/m4/codeset.m4, lib/gl/m4/errno_h.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/float_h.m4,
	lib/gl/m4/gc-hmac-md5.m4, lib/gl/m4/gc-hmac-sha1.m4,
	lib/gl/m4/gc-md5.m4, lib/gl/m4/gc-pbkdf2-sha1.m4,
	lib/gl/m4/gc-random.m4, lib/gl/m4/gc-sha1.m4, lib/gl/m4/gc.m4,
	lib/gl/m4/getdelim.m4, lib/gl/m4/getline.m4,
	lib/gl/m4/getpagesize.m4, lib/gl/m4/gettext.m4,
	lib/gl/m4/glibc2.m4, lib/gl/m4/glibc21.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/hmac-md5.m4, lib/gl/m4/hmac-sha1.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/intdiv0.m4, lib/gl/m4/intl.m4,
	lib/gl/m4/intldir.m4, lib/gl/m4/intlmacosx.m4, lib/gl/m4/intmax.m4,
	lib/gl/m4/intmax_t.m4, lib/gl/m4/inttypes-pri.m4,
	lib/gl/m4/inttypes_h.m4, lib/gl/m4/lcmessage.m4,
	lib/gl/m4/ld-output-def.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, lib/gl/m4/lock.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/malloc.m4, lib/gl/m4/md5.m4, lib/gl/m4/memchr.m4,
	lib/gl/m4/memmem.m4, lib/gl/m4/memxor.m4, lib/gl/m4/minmax.m4,
	lib/gl/m4/mmap-anon.m4, lib/gl/m4/multiarch.m4, lib/gl/m4/nls.m4,
	lib/gl/m4/po.m4, lib/gl/m4/printf-posix.m4, lib/gl/m4/progtest.m4,
	lib/gl/m4/realloc.m4, lib/gl/m4/sha1.m4, lib/gl/m4/size_max.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/stdint_h.m4, lib/gl/m4/stdio_h.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/strverscmp.m4,
	lib/gl/m4/threadlib.m4, lib/gl/m4/uintmax_t.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/vasnprintf.m4,
	lib/gl/m4/vasprintf.m4, lib/gl/m4/visibility.m4,
	lib/gl/m4/warn-on-use.m4, lib/gl/m4/wchar.m4, lib/gl/m4/wchar_t.m4,
	lib/gl/m4/wint_t.m4, lib/gl/m4/xsize.m4, lib/gl/md5.c,
	lib/gl/md5.h, lib/gl/memchr.c, lib/gl/memmem.c, lib/gl/memxor.c,
	lib/gl/memxor.h, lib/gl/minmax.h, lib/gl/printf-args.c,
	lib/gl/printf-args.h, lib/gl/printf-parse.c, lib/gl/printf-parse.h,
	lib/gl/realloc.c, lib/gl/sha1.c, lib/gl/sha1.h, lib/gl/size_max.h,
	lib/gl/stdbool.in.h, lib/gl/stddef.in.h, lib/gl/stdint.in.h,
	lib/gl/stdio-write.c, lib/gl/stdio.in.h, lib/gl/stdlib.in.h,
	lib/gl/str-two-way.h, lib/gl/string.in.h, lib/gl/strverscmp.c,
	lib/gl/unistd.in.h, lib/gl/vasnprintf.c, lib/gl/vasnprintf.h,
	lib/gl/vasprintf.c, lib/gl/wchar.in.h, lib/gl/xsize.h,
	lib/gltests/Makefile.am, lib/gltests/dummy.c,
	lib/gltests/getpagesize.c, lib/gltests/intprops.h,
	lib/gltests/macros.h, lib/gltests/signature.h,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-base64.c,
	lib/gltests/test-errno.c, lib/gltests/test-gc-hmac-md5.c,
	lib/gltests/test-gc-hmac-sha1.c, lib/gltests/test-gc-md5.c,
	lib/gltests/test-gc-pbkdf2-sha1.c, lib/gltests/test-gc-sha1.c,
	lib/gltests/test-gc.c, lib/gltests/test-getdelim.c,
	lib/gltests/test-getline.c, lib/gltests/test-memchr.c,
	lib/gltests/test-memmem.c, lib/gltests/test-stdbool.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdio.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-string.c, lib/gltests/test-strverscmp.c,
	lib/gltests/test-unistd.c, lib/gltests/test-vasnprintf.c,
	lib/gltests/test-vasprintf.c, lib/gltests/test-wchar.c,
	lib/gltests/verify.h, lib/gltests/zerosize-ptr.h, lib/maint.mk,
	maint.mk: Update gnulib files.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/gettext.h, gl/override/lib/gettext.h.diff,
	lib/gl/override/lib/gettext.h.diff: Fix gettext.h patch.

2010-01-12  Simon Josefsson <simon@josefsson.org>

	* gl/override/lib/getpass.c.diff: Fix patch.

2009-12-17  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-10-14  Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>

	* src/gsasl.c: Improve application data throughput See <http://thread.gmane.org/gmane.comp.gnu.gsasl.general/256>.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2009-11-18  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Bump versions.

2009-11-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2009-11-18  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h,
	gltests/test-xalloc-die.sh, lib/gl/Makefile.am,
	lib/gl/m4/unistd_h.m4, lib/gl/unistd.in.h: Update gnulib files.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.4.0.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* gl/m4/putenv.m4, gltests/putenv.c, gltests/test-setenv.c,
	gltests/test-unsetenv.c, gltests/test-xalloc-die.c,
	gltests/test-xalloc-die.sh: Update gnulib files.

2009-11-17  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/intprops.h, gl/m4/environ.m4,
	gl/m4/gnulib-comp.m4, gl/m4/setenv.m4, gl/m4/stdlib_h.m4,
	gl/m4/unistd_h.m4, gl/printf-args.c, gl/stdlib.in.h,
	gl/unistd.in.h, gl/vasnprintf.c, gl/version-etc.c,
	gltests/Makefile.am, gltests/setenv.c, gltests/unsetenv.c,
	lib/gl/Makefile.am, lib/gl/gc-pbkdf2-sha1.c, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/printf-args.c, lib/gl/stdlib.in.h,
	lib/gl/unistd.in.h, lib/gl/vasnprintf.c, lib/gltests/Makefile.am,
	lib/gltests/intprops.h, lib/gltests/test-base64.c, lib/maint.mk,
	maint.mk: Update gnulib files.

2009-11-09  Simon Josefsson <simon@josefsson.org>

	* gltests/test-fseeko.c: Update gnulib files.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Commit cyclo/ www dir too.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.3.91.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix header.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* .x-sc_prohibit_getopt_without_use,
	.x-sc_prohibit_magic_number_exit, lib/scram/server.c: Fix
	syntax-check nits.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Prepare for alpha release.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Fix paths.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Update usage.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getpagesize.c, gl/m4/getpagesize.m4,
	gl/m4/gnulib-comp.m4, lib/build-aux/pmccabe2html,
	lib/gl/Makefile.am, lib/gl/getpagesize.c, lib/gl/m4/gnulib-comp.m4,
	lib/gltests/Makefile.am, lib/gltests/getpagesize.c: Update gnulib
	files.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/win32/libgsasl.vcproj: More fixes.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/win32/libgsasl.vcproj: Further fixes.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/win32/include/config.h, lib/win32/libgsasl.vcproj: Disable
	obsolete APIs for Windows builds.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/rawmemchr.m4,
	lib/gl/m4/strchrnul.m4, lib/gl/rawmemchr.c,
	lib/gl/rawmemchr.valgrind, lib/gl/strchrnul.c,
	lib/gl/strchrnul.valgrind, lib/gltests/Makefile.am,
	lib/gltests/test-rawmemchr.c, lib/gltests/test-strchrnul.c: Update
	gnulib files.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/win32/include/config.h: Add new definitions.  Suggested by Lothar May <lothar.imap@googlemail.com> in
	<http://permalink.gmane.org/gmane.comp.gnu.gsasl.general/254>.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/win32/libgsasl.vcproj: Add more files.  Suggested by Lothar May <lothar.imap@googlemail.com> in
	<http://permalink.gmane.org/gmane.comp.gnu.gsasl.general/254>.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c: Doc fix.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.3.90.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* gl/m4/getaddrinfo.m4, gltests/Makefile.am, lib/maint.mk, maint.mk: 
	Update gnulib files.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Prepare for alpha release.

2009-11-05  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update gnulib files.

2009-11-05  Simon Josefsson <simon@josefsson.org>

	* lib/src/obsolete.c: Doc fix.

2009-11-05  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/inet_ntop.m4,
	gl/m4/inet_pton.m4, gl/m4/stdlib_h.m4, gl/stdlib.in.h,
	gltests/Makefile.am, gltests/test-getaddrinfo.c,
	gltests/test-inet_ntop.c, gltests/test-inet_pton.c,
	gltests/test-sys_socket.c, lib/gl/Makefile.am,
	lib/gl/m4/stdlib_h.m4, lib/gl/stdlib.in.h: Update gnulib files.

2009-11-03  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Fix.

2009-11-03  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2009-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4: Unconditionally add memxor module, SCRAM
	needs it.

2009-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/gl/m4/gc.m4, lib/gl/override/m4/gc.m4.diff: 
	Fix libgcrypt detection.

2009-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Enable libgcrypt by default when available.

2009-11-02  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, gl/m4/fseeko.m4, gl/m4/gnulib-comp.m4,
	gl/m4/pmccabe2html.m4, gl/m4/ungetc.m4, gl/sockets.c,
	gl/stdio.in.h, gltests/test-arpa_inet.c,
	gltests/test-getaddrinfo.c, gltests/test-getdelim.c,
	gltests/test-getline.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-gettimeofday.c, gltests/test-memchr.c,
	gltests/test-netinet_in.c, gltests/test-quotearg.c,
	gltests/test-select-stdin.c, gltests/test-select.c,
	gltests/test-sockets.c, gltests/test-stddef.c,
	gltests/test-stdint.c, gltests/test-stdio.c, gltests/test-stdlib.c,
	gltests/test-strerror.c, gltests/test-string.c,
	gltests/test-sys_select.c, gltests/test-sys_socket.c,
	gltests/test-sys_time.c, gltests/test-unistd.c,
	gltests/test-version-etc.c, gltests/test-wchar.c,
	gltests/test-wctype.c, lib/build-aux/pmccabe2html,
	lib/build-aux/useless-if-before-free, lib/gl/md5.c, lib/gl/sha1.c,
	lib/gl/stdio.in.h, lib/gltests/test-base64.c,
	lib/gltests/test-getdelim.c, lib/gltests/test-getline.c,
	lib/gltests/test-memchr.c, lib/gltests/test-rawmemchr.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdio.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-strchrnul.c, lib/gltests/test-string.c,
	lib/gltests/test-strverscmp.c, lib/gltests/test-unistd.c,
	lib/gltests/test-wchar.c, lib/maint.mk, maint.mk: Update gnulib
	files.

2009-10-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-10-26  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Also test when app provides a
	GSASL_SCRAM_SALTED_PASSWORD.

2009-10-26  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: Fix crash in code when application provides a
	GSASL_SCRAM_SALTED_PASSWORD.

2009-10-26  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-10-26  Simon Josefsson <simon@josefsson.org>

	* lib/src/init.c: Prefer SCRAM-SHA-1 over CRAM-MD5 and DIGEST-MD5.

2009-10-26  Simon Josefsson <simon@josefsson.org>

	* gl/localcharset.c, gl/m4/fcntl_h.m4, gl/m4/gnulib-comp.m4,
	gl/m4/localcharset.m4: Update gnulib files.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Add concept index nodes for iteration count and
	salt.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Drop Windows compatibility stuff, should be taken
	care of gnulib now.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/unistd.in.h,
	lib/gl/unistd.in.h: Update gnulib files.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Add NEWS entries.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/fi.po.in, po/vi.po.in: Sync with TP.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* lib/po/LINGUAS, lib/po/fi.po.in, lib/po/vi.po.in: Sync with TP.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-10-12  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Bump libtool version to indicate newly added
	ABIs.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/src/gsasl.h: Start to use X.Y.Z versioning
	scheme.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* tests/crypto.c: Test new SHA-1 APIs.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* lib/src/libgsasl.map: Add new APIs to linker script.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac: Bump versions.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* lib/build-aux/gendocs.sh: Chmod.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.3.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Don't use non-ascii in self-test in case gsasl is
	built without libidn.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix build error on mingw.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* doc/reference/gsasl-docs.sgml: Update.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* doc/reference/gsasl-docs.sgml: Add new symbols since 1.3 section.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* lib/src/crypto.c: Doc fix.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Simplify DISTCHECK_CONFIGURE_FLAGS, scram is now
	enabled by default.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* lib/src/init.c: Make SCRAM lowest priority for now.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Enable SCRAM by default.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Improve, including new SCRAM coverage.

2009-10-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.in.h, gl/getopt_int.h, gl/m4/getopt.m4,
	gl/m4/gnulib-comp.m4, gl/m4/stdio_h.m4, gl/m4/unistd_h.m4,
	gl/progname.c, gl/stdio.in.h, gl/unistd.in.h,
	gltests/test-getopt.c, gltests/test-getopt_long.h,
	gltests/test-quotearg.c, lib/gl/Makefile.am, lib/gl/m4/stdio_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/stdio.in.h, lib/gl/unistd.in.h,
	lib/maint.mk, maint.mk: Update gnulib files.

2009-10-07  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/server.c: SCRAM: Normalize password
	using SASLprep.

2009-09-25  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/getdelim.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4, gl/stdio.in.h,
	gl/stdlib.in.h, gl/unistd.in.h, gltests/Makefile.am,
	lib/gl/Makefile.am, lib/gl/m4/getdelim.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/memmem.m4, lib/gl/m4/stdio_h.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/memmem.c, lib/gl/stdio.in.h,
	lib/gl/stdlib.in.h, lib/gl/str-two-way.h, lib/gl/unistd.in.h,
	lib/gltests/Makefile.am, lib/gltests/test-memmem.c, lib/maint.mk,
	maint.mk: Update gnulib files.

2009-09-23  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Revert check for empty final token (incorrect
	change).

2009-09-16  Simon Josefsson <simon@josefsson.org>

	* src/callbacks.c: Silence debug warning.

2009-09-16  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Don't print empty tokens after success.

2009-09-16  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM: Store username property in server.

2009-09-16  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Also check that AUTHID is set and correct in
	callback.

2009-09-16  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2009-09-16  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: SCRAM: Fix memleak.

2009-09-16  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/parser.c, lib/scram/parser.h,
	lib/scram/server.c: SCRAM: Handle non-zero terminated strings.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/validate.c: SCRAM: Drop FIXME, specification changed to
	not use UTF-8 for nonces.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c, lib/scram/printer.c: SCRAM: Drop FIXMEs, we
	solved it differently.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c, lib/scram/printer.c: SCRAM: Drop FIXMEs, we
	solved it differently.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: SCRAM: Cleanup and memory leak fixing.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM: Cleanup and memory leak fixing.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM: Check that username doesn't fail
	SASLprep (as required).

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Enable SCRAM-SHA-1 during distcheck testing.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Silence warning.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* gl/m4/getaddrinfo.m4, gl/m4/getline.m4, gl/m4/getopt.m4,
	gl/m4/poll.m4, gl/m4/readline.m4, gl/m4/select.m4,
	gl/m4/sockets.m4, gl/m4/socklen.m4, gl/m4/sockpfaf.m4,
	gl/m4/wctype.m4, lib/build-aux/gendocs.sh, lib/gl/m4/getline.m4: 
	Update gnulib files.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/configure.ac, lib/scram/mechinfo.c,
	lib/scram/scram.h, lib/src/init.c: SCRAM: Drop unfinished
	SCRAM-SHA-1-PLUS support.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/server.c: SCRAM: Check server
	signature.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM: Generate server signature.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/server.c: SCRAM: Check clientproof
	on server side.  Fix mem leaks.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Use b64 salt.

2009-09-11  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/parser.c, lib/scram/printer.c: 
	SCRAM: Base64 decode salt.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, lib/NEWS, lib/scram/client.c, lib/src/gsasl.h,
	lib/src/internal.h, lib/src/property.c, lib/src/xfinish.c: SCRAM:
	Compute proof.  Add property GSASL_SCRAM_SALTED_PASSWORD.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gc-sha1.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gltests/Makefile.am, lib/gltests/test-gc-sha1.c: Add SHA-1
	gnulib modules.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/src/crypto.c, lib/src/gsasl.h: Add SHA-1 APIs.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/gc-pbkdf2-sha1.c, lib/gl/hmac-sha1.c,
	lib/gl/m4/gc-hmac-sha1.m4, lib/gl/m4/gc-pbkdf2-sha1.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/hmac-sha1.m4, lib/gl/m4/sha1.m4, lib/gl/sha1.c,
	lib/gl/sha1.h, lib/gltests/Makefile.am,
	lib/gltests/test-gc-hmac-sha1.c, lib/gltests/test-gc-pbkdf2-sha1.c: 
	Add crypto/gc-pbkdf2-sha1 gnulib module.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: Check errors.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/server.c: SCRAM: Compare nonces.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: SCRAM: Correct cbind in client final.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/parser.c, tests/scram.c: SCRAM:
	Print/parse authzid.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Test iter/salt too.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/server.c: SCRAM: Use printable salt.
	Fix mem leak

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/server.c: SCRAM: Use printable
	nonces.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM: Support iter/salt setting better.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/src/gsasl.h, lib/src/internal.h,
	lib/src/property.c, lib/src/xfinish.c: SCRAM: Add properties.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/server.c, tests/scram.c: SCRAM: Fix
	self-test and memory leak.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Improve output.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/parser.c, lib/scram/parser.h,
	lib/scram/printer.c, lib/scram/printer.h, lib/scram/server.c,
	lib/scram/tokens.c, lib/scram/tokens.h, lib/scram/validate.c,
	lib/scram/validate.h: SCRAM: Protocol works (but no crypto).

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/parser.c, lib/scram/printer.c,
	lib/scram/printer.h, lib/scram/tokens.c, lib/scram/tokens.h,
	lib/scram/validate.c, lib/scram/validate.h: SCRAM: Client final
	sending works (but no crypto).

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: SCRAM: Cleanup.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c, lib/scram/parser.c, lib/scram/parser.h,
	lib/scram/server.c: SCRAM: Parsing of server first works.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/Makefile.am, lib/scram/parser.c, lib/scram/parser.h,
	lib/scram/printer.c, lib/scram/printer.h, lib/scram/server.c,
	lib/scram/tokens.c, lib/scram/tokens.h, lib/scram/validate.c,
	lib/scram/validate.h: SCRAM: Printing server first works.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/server.c: SCRAM: Server can parse client first.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c: Add.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c: Fix typo.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Drop some things.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/string_h.m4, gl/m4/unistd_h.m4,
	gl/m4/wctype.m4, gl/string.in.h, gl/unistd.in.h, gl/wctype.in.h,
	lib/gl/m4/rawmemchr.m4, lib/gl/m4/strchrnul.m4: Add gnulib strchrnul
	module.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/gl/rawmemchr.c, lib/gl/rawmemchr.valgrind,
	lib/gl/strchrnul.c, lib/gl/strchrnul.valgrind: Add gnulib strchrnul
	module.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/string.in.h, lib/gl/unistd.in.h,
	lib/gltests/Makefile.am, lib/gltests/test-rawmemchr.c,
	lib/gltests/test-strchrnul.c: Add gnulib strchrnul module.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/scram/parser.c: Parse more.

2009-09-10  Simon Josefsson <simon@josefsson.org>

	* tests/scram.c: Make it build.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/Makefile.am, lib/scram/parser.c, lib/scram/parser.h,
	lib/scram/server.c: Add skeleton parser.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/Makefile.am, lib/scram/client.c, lib/scram/mechinfo.c,
	lib/scram/scram.h, lib/scram/server.c, tests/Makefile.am,
	tests/scram.c: Improve SCRAM, initial server skeleton and self test.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/client.c: Improve SCRAM, client now sends first token.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/Makefile.am, lib/scram/mechinfo.c, lib/scram/scram.h: 
	Improve SCRAM, client now sends first token.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/printer.c: Fixes.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/validate.c: Add check.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/printer.c, lib/scram/printer.h: Add SCRAM printer
	functionality.

2009-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/scram/Makefile.am, lib/scram/printer.h, lib/scram/tokens.h,
	lib/scram/validate.c, lib/scram/validate.h: Add SCRAM stuff.

2009-09-08  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/configure.ac, lib/scram/Makefile.am,
	lib/scram/mechinfo.c, lib/scram/scram.h, lib/src/Makefile.am,
	lib/src/init.c: Add SCRAM skeleton.

2009-09-08  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/configure.ac, lib/scram/Makefile.am,
	lib/scram/mechinfo.c, lib/scram/scram.h: Add SCRAM skeleton.

2009-09-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/close.c, gl/iconv_open-solaris.gperf,
	gl/iconv_open.c, gl/inet_ntop.c, gl/m4/gnulib-comp.m4,
	gl/m4/iconv_open.m4, gl/m4/stdio_h.m4, gl/m4/string_h.m4,
	gl/m4/unistd_h.m4, gl/stdio.in.h, gl/string.in.h, gl/unistd.in.h,
	gl/wctype.in.h, gltests/Makefile.am, gltests/inet_pton.c,
	gltests/test-wctype.c, lib/gl/Makefile.am, lib/gl/m4/stdio_h.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/unistd_h.m4, lib/gl/stdio.in.h,
	lib/gl/string.in.h, lib/gl/unistd.in.h, lib/maint.mk, maint.mk: 
	Update gnulib files.

2009-08-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/stdlib_h.m4,
	gl/m4/sys_socket_h.m4, gl/m4/unistd_h.m4, gl/progname.c,
	gl/quotearg.c, gl/quotearg.h, gl/stdlib.in.h, gl/sys_socket.in.h,
	gl/unistd.in.h, gl/vasnprintf.c, gltests/Makefile.am,
	gltests/test-quotearg.c, lib/gl/Makefile.am, lib/gl/m4/stddef_h.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/unistd_h.m4, lib/gl/stddef.in.h,
	lib/gl/stdlib.in.h, lib/gl/unistd.in.h, lib/gl/vasnprintf.c,
	lib/gltests/test-stddef.c: Update gnulib files.

2009-08-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, src/Makefile.am: Fix libintl-related build errors on
	MinGW.  Tiny patch from "carlo.bramix" <carlo.bramix@libero.it>.

2009-08-20  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/stddef_h.m4,
	gl/m4/stdio_h.m4, gl/m4/wchar.m4, gl/poll.c, gl/select.c,
	gl/stddef.in.h, gl/stdio.in.h, gl/stdlib.in.h, gl/string.in.h,
	gl/unistd.in.h, gltests/Makefile.am, gltests/test-stddef.c,
	gltests/test-stdio.c, gltests/test-stdlib.c, gltests/test-string.c,
	gltests/test-unistd.c, gltests/test-wchar.c, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/stdio_h.m4, lib/gl/m4/wchar.m4,
	lib/gl/stdio.in.h, lib/gl/stdlib.in.h, lib/gl/string.in.h,
	lib/gl/unistd.in.h, lib/gltests/Makefile.am,
	lib/gltests/test-stdio.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-string.c, lib/gltests/test-unistd.c,
	lib/gltests/test-wchar.c, lib/maint.mk, maint.mk: Update gnulib
	files.

2009-08-14  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/fseeko.c, gl/m4/close.m4, gl/m4/fclose.m4,
	gl/m4/getopt.m4, gl/m4/gnulib-comp.m4, gl/m4/iconv.m4,
	gl/m4/sys_ioctl_h.m4, gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4,
	gl/m4/threadlib.m4, gl/m4/unistd_h.m4, gl/socket.c, gl/sockets.c,
	gl/sockets.h, gl/stdio-write.c, gl/sys_select.in.h, gl/unistd.in.h,
	gl/vasnprintf.c, gltests/Makefile.am, gltests/gettimeofday.c,
	gltests/sockets.c, gltests/sockets.h, gltests/sys_ioctl.in.h,
	gltests/test-getopt.c, gltests/test-getopt.h,
	gltests/test-getopt_long.h, gltests/test-poll.c,
	gltests/test-select.c, gltests/test-stdio.c, gltests/test-stdlib.c,
	gltests/test-string.c, gltests/test-sys_select.c,
	gltests/test-unistd.c, gltests/test-version-etc.sh,
	lib/gl/Makefile.am, lib/gl/gc-gnulib.c, lib/gl/gc-libgcrypt.c,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/threadlib.m4, lib/gl/m4/unistd_h.m4, lib/gl/md5.h,
	lib/gl/stdio-write.c, lib/gl/unistd.in.h, lib/gl/vasnprintf.c,
	lib/gltests/test-stdio.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-string.c, lib/gltests/test-unistd.c, lib/maint.mk,
	maint.mk: Update gnulib files.

2009-07-29  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Typo.

2009-07-22  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/errno.in.h, gl/error.c, gl/m4/errno_h.m4,
	gl/m4/gnulib-comp.m4, gl/m4/lib-link.m4, gl/m4/mbrtowc.m4,
	gl/m4/memchr.m4, gl/m4/stdio_h.m4, gl/m4/unistd_h.m4,
	gl/stdio.in.h, gl/strerror.c, gl/unistd.in.h, gl/version-etc.c,
	gl/version-etc.h, gltests/Makefile.am, gltests/test-stdio.c,
	gltests/test-stdlib.c, gltests/test-string.c,
	gltests/test-unistd.c, gltests/test-version-etc.c,
	gltests/test-version-etc.sh, gltests/version-etc-fsf.c,
	lib/build-aux/vc-list-files, lib/gl/Makefile.am, lib/gl/errno.in.h,
	lib/gl/m4/errno_h.m4, lib/gl/m4/lib-link.m4, lib/gl/m4/memchr.m4,
	lib/gl/m4/stdio_h.m4, lib/gl/m4/unistd_h.m4, lib/gl/md5.h,
	lib/gl/stdio.in.h, lib/gl/unistd.in.h, lib/gltests/test-stdio.c,
	lib/gltests/test-stdlib.c, lib/gltests/test-string.c,
	lib/gltests/test-unistd.c, lib/maint.mk, maint.mk: Update gnulib
	files.

2009-06-23  Simon Josefsson <simon@josefsson.org>

	* tests/threadsafety: Add more non-keyword characters.

2009-06-23  Simon Josefsson <simon@josefsson.org>

	* tests/threadsafety: Add more non-keyword characters.

2009-06-23  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/threadsafety: Fix portability of EGREP
	usage.

2009-06-23  Simon Josefsson <simon@josefsson.org>

	* tests/threadsafety: Ignore more non-keyword characters.

2009-06-23  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Build gsasl_cmd without warning/error flags.

2009-06-23  Simon Josefsson <simon@josefsson.org>

	* tests/threadsafety: Catch more functions.

2009-06-23  Simon Josefsson <simon@josefsson.org>

	* tests/threadsafety: Doc fix.

2009-06-17  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, doc/reference/gsasl-docs.sgml,
	examples/client-callback.c, examples/client-mech.c,
	examples/client-serverfirst.c, examples/client.c: Fix typos.  Based
	on report by Marco Maggi <marco.maggi-ipsu@poste.it> in
	<http://thread.gmane.org/gmane.comp.gnu.gsasl.general/222>.

2009-06-16  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/memchr.m4,
	gl/memchr.valgrind, gl/string.in.h, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/memchr.m4,
	lib/gl/memchr.valgrind, lib/gl/string.in.h: Update gnulib files.

2009-06-16  Simon Josefsson <simon@josefsson.org>

	* lib/src/error.c, lib/src/version.c: Doc fix.

2009-06-16  Simon Josefsson <simon@josefsson.org>

	* tests/crypto.c: Initialize gsasl, to get crypto functions to work.

2009-06-14  Simon Josefsson <simon@josefsson.org>

	* tests/threadsafety: Merge in issue 7 functions.

2009-06-14  Simon Josefsson <simon@josefsson.org>

	* tests/threadsafety: Make list of functions easier to read.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* tests/crypto.c: Fix.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* tests/simple.c: Test encode/decode.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Makefile.am, tests/crypto.c: Add.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* tests/simple.c: Check gsasl_session_hook_get too.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* tests/simple.c: Fix warnings.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* tests/old-simple.c: Fix.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* tests/simple.c: Based on old-simple.c, but rewritten using modern
	APIs.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/old-simple.c, tests/simple.c: Rename
	obsolete API checks to old-*.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump versions.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Clarify which tokens GNU SASL generated.
	Suggested by Marco Maggi <marco.maggi-ipsu@poste.it> in
	<http://permalink.gmane.org/gmane.comp.gnu.gsasl.general/233>.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix path.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.2.

2009-06-13  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getpagesize.c, gl/m4/gnulib-comp.m4,
	gl/m4/memchr.m4, gl/m4/string_h.m4, gl/string.in.h,
	gltests/Makefile.am, gltests/getpagesize.c, lib/gl/Makefile.am,
	lib/gl/getpagesize.c, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/memchr.m4, lib/gl/m4/string_h.m4, lib/gl/string.in.h,
	lib/gltests/Makefile.am, lib/gltests/getpagesize.c: Update gnulib
	files.

2009-06-12  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Use $(GREP) instead of grep directly, for
	non-GNU systems.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/src/Makefile.am, lib/tests/Makefile.am,
	src/Makefile.am: Fix syntax-check error.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Fix git-* usage.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* examples/client-callback.c, examples/client-mech.c,
	examples/client-serverfirst.c, examples/client.c: Don't use TAB for
	info manual.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix whitespace.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* .x-sc_po_check: Fix.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* .x-sc_trailing_blank: Add.

2009-06-11  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Rewrite manual somewhat to give better
	introduction to concepts.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, examples/client-callback.c,
	examples/client-mech.c, examples/client-serverfirst.c,
	examples/client.c: Drop ctx parameter from client_authenticate
	function.  Suggested by Marco Maggi <marco.maggi-ipsu@poste.it>.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Don't write out of bounds on (impossible?) empty
	reads.  Handle NUL in input.

2009-06-10  Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>

	* src/gsasl.c: fix insufficient memory allocation in imap/smtp code There was written 'line[pos + 1]' although only space for 'pos + 1'
	elements was allocated.  Signed-off-by: Enrico Scholz
	<enrico.scholz@informatik.tu-chemnitz.de>

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* lib/src/obsolete.c: Fix typo.

2009-06-09  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/getpagesize.m4, gl/m4/gnulib-comp.m4,
	gl/m4/memchr.m4, gl/m4/mmap-anon.m4, gl/memchr.c,
	gltests/Makefile.am, gltests/getpagesize.c, gltests/test-alignof.c,
	gltests/test-memchr.c, gltests/zerosize-ptr.h, lib/gl/Makefile.am,
	lib/gl/m4/getpagesize.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/memchr.m4, lib/gl/m4/mmap-anon.m4, lib/gl/memchr.c,
	lib/gltests/Makefile.am, lib/gltests/getpagesize.c,
	lib/gltests/test-memchr.c, lib/gltests/zerosize-ptr.h: Update gnulib
	files.

2009-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-05  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix.

2009-06-05  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/m4/version-etc.m4, gl/version-etc.c: 
	Update gnulib files.

2009-06-03  Simon Josefsson <simon@josefsson.org>

	* gl/alignof.h, gltests/test-alignof.c: Update gnulib files.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gsasl.texi: Doc category fixes.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, src/Makefile.am, tests/Makefile.am: Some
	code not ready for stack space limit.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, examples/Makefile.am, lib/anonymous/Makefile.am,
	lib/cram-md5/Makefile.am, lib/digest-md5/Makefile.am,
	lib/external/Makefile.am, lib/gs2/Makefile.am,
	lib/kerberos_v5/Makefile.am, lib/login/Makefile.am,
	lib/ntlm/Makefile.am, lib/plain/Makefile.am,
	lib/securid/Makefile.am, lib/src/Makefile.am,
	lib/tests/Makefile.am, src/Makefile.am, tests/Makefile.am: More
	warnings.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* lib/src/obsolete.c: Decrease stack usage.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/src/obsolete.c: libgsasl: Obsolete
	gsasl_md5pwd_get_password rewritten to use modern API.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* lib/ntlm/ntlm.c: Reduce stack usage.

2009-06-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, configure.ac, gl/m4/manywarnings.m4,
	lib/configure.ac: Fix warning flags.

2009-05-29  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2009-05-29  Simon Josefsson <simon@josefsson.org>

	* lib/README: Fix.

2009-05-29  Simon Josefsson <simon@josefsson.org>

	* README, lib/COPYING, lib/COPYING.LIB, lib/NEWS, lib/README: 
	Clarify license in libgsasl.

2009-05-28  Simon Josefsson <simon@josefsson.org>

	* .prev-version, lib/.prev-version: Add.

2009-05-28  Simon Josefsson <simon@josefsson.org>

	* lib/README: Clarify license.

2009-05-28  Simon Josefsson <simon@josefsson.org>

	* README: Point to LGPL license file.

2009-05-28  Simon Josefsson <simon@josefsson.org>

	* gl/m4/include_next.m4, gl/m4/size_max.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/size_max.m4: Update gnulib
	files.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getdelim.c, gl/m4/sys_socket_h.m4,
	gl/sys_socket.in.h, gltests/test-sys_socket.c, lib/gl/getdelim.c,
	lib/maint.mk, maint.mk: Update gnulib files.

2009-05-17  Simon Josefsson <simon@josefsson.org>

	* gl/alignof.h, gl/m4/gnulib-comp.m4, gltests/Makefile.am,
	gltests/malloca.h, gltests/test-alignof.c, lib/maint.mk, maint.mk: 
	Update gnulib files.

2009-05-12  Simon Josefsson <simon@josefsson.org>

	* lib/src/version.c: Doc fix.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, maint.mk: Fix build-aux for gnulib.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* po/POTFILES.in: Drop gettext.m4.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* m4/pkg.m4: Add.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* m4/gtk-doc.m4: Update gtk-doc m4.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Fix build-aux paths.

2009-05-11  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, gltests/test-vc-list-files-git.sh, lib/GNUmakefile,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gltests/Makefile.am, lib/maint.mk: 
	Update gnulib files.

2009-05-10  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix.

2009-05-10  Simon Josefsson <simon@josefsson.org>

	* build-aux/config.rpath, build-aux/gendocs.sh,
	build-aux/link-warning.h, build-aux/pmccabe.css,
	build-aux/pmccabe2html, build-aux/useless-if-before-free,
	build-aux/vc-list-files, configure.ac, gl/Makefile.am,
	gl/alignof.h, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/sys_socket_h.m4, gl/sys_socket.in.h, gltests/Makefile.am,
	gltests/malloca.h, gltests/test-sys_socket.c,
	lib/build-aux/gendocs.sh, lib/build-aux/pmccabe.css,
	lib/build-aux/pmccabe2html, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4: Update gnulib files.

2009-05-08  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Make it easier to ignore -Werror.

2009-05-07  Simon Josefsson <simon@josefsson.org>

	* lib/build-aux/useless-if-before-free, lib/build-aux/vc-list-files: 
	Update gnulib files.

2009-05-07  Simon Josefsson <simon@josefsson.org>

	* lib/gl/build-aux/config.rpath, lib/gl/build-aux/link-warning.h,
	lib/gl/build-aux/useless-if-before-free,
	lib/gl/build-aux/vc-list-files: Update gnulib files.

2009-05-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2009-05-06  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gltests/Makefile.am,
	lib/gltests/test-vc-list-files-cvs.sh,
	lib/gltests/test-vc-list-files-git.sh: Don't duplicate non-working
	test.

2009-05-06  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/errno_h.m4, gl/m4/gnulib-comp.m4,
	gl/m4/multiarch.m4, gl/m4/vasnprintf.m4, lib/gl/m4/errno_h.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/multiarch.m4,
	lib/gl/m4/vasnprintf.m4, maint.mk: Update gnulib files.

2009-05-05  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2009-05-05  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2009-05-05  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Fix warnings when not using TLS.

2009-05-03  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c, src/internal.h: Fix warning.

2009-05-03  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/gettext.h, gl/m4/wchar.m4, gl/wchar.in.h,
	lib/gl/Makefile.am, lib/gl/gettext.h, lib/gl/m4/wchar.m4,
	lib/gl/wchar.in.h, maint.mk: Update gnulib files.

2009-04-27  Simon Josefsson <simon@josefsson.org>

	* .x-sc_avoid_if_before_free, .x-sc_cast_of_alloca_return_value,
	.x-sc_cast_of_x_alloc_return_value, .x-sc_file_system,
	.x-sc_m4_quote_check, .x-sc_makefile_check, .x-sc_po_check,
	.x-sc_program_name, .x-sc_prohibit_HAVE_MBRTOWC,
	.x-sc_prohibit_atoi_atof, .x-sc_space_tab, .x-sc_the_the,
	.x-sc_trailing_blank, .x-sc_useless_cpp_parens, cfg.mk,
	configure.ac, doc/gdoc, doc/gsasl-callback-gssapi.texi,
	doc/reference/gsasl-docs.sgml, doc/texinfo.css, gtk-doc.make,
	lib/COPYING, lib/Makefile.am, lib/cfg.mk, lib/cram-md5/server.c,
	lib/digest-md5/Makefile.am, lib/digest-md5/free.c,
	lib/digest-md5/printer.c, lib/gs2/Makefile.am,
	lib/gssapi/Makefile.am, lib/kerberos_v5/Makefile.am,
	lib/kerberos_v5/kerberos_v5.c, lib/kerberos_v5/server.c,
	lib/libgsasl.pc.in, lib/login/server.c, lib/ntlm/Makefile.am,
	lib/ntlm/ntlm.c, lib/securid/client.c, lib/src/Makefile.am,
	lib/src/done.c, lib/src/md5pwd.c, lib/src/property.c,
	lib/src/saslprep.c, lib/src/version.c, lib/src/xstep.c,
	m4/valgrind.m4, po/POTFILES.in, src/Makefile.am, src/gsasl.c,
	tests/Makefile.am, tests/cram-md5.c: Fix syntax-check nits.

2009-04-27  Simon Josefsson <simon@josefsson.org>

	* build-aux/useless-if-before-free, build-aux/vc-list-files,
	gl/Makefile.am, gl/getopt1.c, gl/m4/gnulib-comp.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/vasnprintf.c,
	gltests/Makefile.am, gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, lib/gl/vasnprintf.c,
	lib/gltests/Makefile.am, lib/gltests/test-vc-list-files-cvs.sh,
	lib/gltests/test-vc-list-files-git.sh, maint.mk: Update gnulib
	files.

2009-04-24  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template, gl/Makefile.am, gl/m4/mbrtowc.m4,
	gl/m4/wctob.m4, maint.mk: Update gnulib files.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/src/Makefile.am: Fix var name.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac, lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/ld-output-def.m4,
	lib/m4/output-def.m4: Update gnulib files.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/sk.po.in, po/sv.po.in: Sync with TP.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* lib/po/sk.po.in, lib/po/sv.po.in: Sync with TP.

2009-04-14  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, doc/gendocs_template, doc/lgpl-2.1.texi,
	gl/Makefile.am, gl/m4/inet_ntop.m4, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/ld-version-script.m4, lib/gltests/Makefile.am, maint.mk: 
	Update gnulib files.

2009-04-01  Simon Josefsson <simon@josefsson.org>

	* src/internal.h: Make sure NLS is enabled.

2009-03-31  Simon Josefsson <simon@josefsson.org>

	* gltests/test-getaddrinfo.c, gltests/test-sockets.c: Update gnulib
	files.

2009-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Bump versions.

2009-03-30  Simon Josefsson <simon@josefsson.org>

	* po/fr.po.in, po/ga.po.in, po/id.po.in, po/nl.po.in, po/pl.po.in,
	po/zh_CN.po.in: Sync with TP.

2009-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/po/ga.po.in, lib/po/id.po.in, lib/po/nl.po.in,
	lib/po/pl.po.in, lib/po/zh_CN.po.in: Sync with TP.

2009-03-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac: Bump versions.

2009-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Fix typo.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* lib/gltests/Makefile.am: Fixup broken generated paths.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.1.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* lib/README-alpha: Remove.

2009-03-25  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Copy cyclo chart to webdir.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Fixes.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, lib/NEWS, lib/digest-md5/client.c,
	lib/digest-md5/server.c, tests/digest-md5.c: DIGEST-MD5: Disable
	integrity layers by default.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* tests/cram-md5.c, tests/digest-md5.c, tests/external.c,
	tests/name.c, tests/old-cram-md5.c, tests/old-digest-md5.c: Make
	self tests work with --disable-client.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* lib/src/listmech.c: Make sure return string is zero terminated
	even if there are no mechanisms.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* tests/suggest.c: Make more robust when some client mechanisms are
	disabled.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* lib/src/suggest.c: Doc fix.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Mingw fixes.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* gl/override/lib/getpass.c.diff: Add.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* gl/getpass.c: Avoid newline.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* gl/getpass.c: Apply local getpass fix.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* gl/readline.c: Update gnulib files.

2009-03-24  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/close-hook.c, gl/close-hook.h, gl/close.c,
	gl/m4/close.m4, gl/m4/gnulib-comp.m4, gl/unistd.in.h,
	gltests/Makefile.am, gltests/sockets.c, lib/gl/unistd.in.h: Update
	gnulib files.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Use EXEEXT for Mingw.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* gl/vasnprintf.c, gltests/Makefile.am, gltests/sockets.c,
	gltests/sockets.h, lib/gl/vasnprintf.c: Update gnulib files.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* gl/override/tests/test-select-in.sh.diff: Add.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* gltests/Makefile.am, gltests/sockets.h,
	gltests/test-select-in.sh, tests/Makefile.am: Mingw fixes.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Need -lws2_32 for mingw.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Reduce.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* tests/digest-md5.c: Test encode/decode.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/qop.c, lib/digest-md5/qop.h: Add.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/server.c: Derive session keys properly.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, src/gsasl.c: gsasl: Decode data when integrity protected.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/session.c: Fix integrity decoding.  Reported by
	Andery Melnikov <temnota.am@gmail.com>.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/digesthmac.c: Fix computation of Kic.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gsasl.texi, src/callbacks.c, src/gsasl.ggo: Fix gsasl
	--quality-of-protection flag.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/src/obsolete.c: Fix error.

2009-03-19  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, lib/NEWS, lib/digest-md5/Makefile.am,
	lib/digest-md5/client.c, lib/digest-md5/server.c,
	lib/src/Makefile.am, lib/src/gsasl.h, lib/src/internal.h,
	lib/src/obsolete.c, lib/src/property.c, lib/src/xfinish.c,
	tests/digest-md5.c, tests/old-digest-md5.c: Add GSASL_QOP.  Make
	DIGEST-MD5 client support integrity and QOP callback.

2009-03-18  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, lib/NEWS, lib/digest-md5/server.c,
	lib/src/gsasl.h, lib/src/internal.h, lib/src/obsolete.c,
	lib/src/property.c, lib/src/xfinish.c, tests/digest-md5.c: Rename
	GSASL_QOP to GSASL_QOPS as it denotes a set of qops.

2009-03-18  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/m4/gettimeofday.m4,
	gl/m4/gnulib-comp.m4, gl/m4/quotearg.m4, gl/m4/select.m4,
	gl/m4/sys_select_h.m4, gl/select.c, gl/sys_select.in.h,
	gl/xmalloc.c, gltests/Makefile.am, gltests/gettimeofday.c,
	gltests/test-gettimeofday.c, gltests/test-select-fd.c,
	gltests/test-select-in.sh, gltests/test-select-out.sh,
	gltests/test-select-stdin.c, gltests/test-select.c, maint.mk: Update
	gnulib files.

2009-03-07  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2009-03-07  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, lib/NEWS, lib/digest-md5/server.c,
	lib/src/gsasl.h, lib/src/internal.h, lib/src/obsolete.c,
	lib/src/property.c, lib/src/xfinish.c, tests/digest-md5.c,
	tests/old-digest-md5.c: Add GSASL_QOP property.  Make DIGEST-MD5
	server use it.  Update self-tests.

2009-03-07  Simon Josefsson <simon@josefsson.org>

	* lib/src/xfinish.c: Free(NULL) works fine on all modern platforms,
	reportedly.

2009-03-06  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Fix.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Don't use GnuTLS unless it has
	gnutls_priority_set_direct.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Clarify.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, lib/gl/Makefile.am: Update gnulib files.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/anonymous/Makefile.am, lib/cram-md5/Makefile.am,
	lib/external/Makefile.am, lib/gs2/Makefile.am,
	lib/gssapi/Makefile.am, lib/kerberos_v5/Makefile.am,
	lib/login/Makefile.am, lib/ntlm/Makefile.am, lib/plain/Makefile.am,
	lib/securid/Makefile.am: Add more CFLAG_VISIBILITY.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/Makefile.am, lib/src/Makefile.am, lib/src/gsasl.h: 
	Use visibility module from gnulib.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/src/Makefile.am, lib/src/libgsasl.map: Use a linker
	version script.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/ld-version-script.m4: Import
	ld-version-script and visibility gnulib modules.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* gl/fseeko.c, gl/gai_strerror.c, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/mbrtowc.m4,
	gl/m4/printf.m4, gl/m4/stdarg.m4, gl/m4/stdint.m4,
	gl/m4/stdlib_h.m4, gl/m4/ungetc.m4, gl/m4/vasnprintf.m4,
	gl/mbrtowc.c, gl/stdint.in.h, gl/sys_socket.in.h, gl/vasnprintf.c,
	gltests/Makefile.am, gltests/setsockopt.c, gltests/test-fseeko.c,
	gltests/test-fseeko2.sh, gltests/test-getaddrinfo.c,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/include_next.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/vasnprintf.m4, lib/gl/stdint.in.h, lib/gl/vasnprintf.c: 
	Update gnulib files.

2009-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Doc fix.

2009-02-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/gsasl-docs.sgml: Add 1.1 symbols.

2009-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Doc fix.

2009-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Generated.

2009-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS, lib/configure.ac, lib/src/gsasl.h: Add
	GSASL_VERSION_MAJOR, GSASL_VERSION_MINOR, GSASL_VERSION_PATCH, and
	GSASL_VERSION_NUMBER.

2009-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/m4/update-header-version.m4: Support arbitrary sed
	expressions.

2009-02-13  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/config.charset, gl/localcharset.c,
	gl/m4/00gnulib.m4, gl/m4/close.m4, gl/m4/eealloc.m4,
	gl/m4/environ.m4, gl/m4/extensions.m4, gl/m4/gettext.m4,
	gl/m4/glibc2.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/intdiv0.m4, gl/m4/intl.m4, gl/m4/intldir.m4,
	gl/m4/intlmacosx.m4, gl/m4/intmax.m4, gl/m4/inttypes-pri.m4,
	gl/m4/lcmessage.m4, gl/m4/locale-fr.m4, gl/m4/locale-ja.m4,
	gl/m4/locale-zh.m4, gl/m4/lock.m4, gl/m4/malloca.m4, gl/m4/nls.m4,
	gl/m4/pmccabe2html.m4, gl/m4/po.m4, gl/m4/printf-posix.m4,
	gl/m4/progtest.m4, gl/m4/setenv.m4, gl/m4/sockets.m4,
	gl/m4/stdlib_h.m4, gl/m4/threadlib.m4, gl/m4/uintmax_t.m4,
	gl/m4/visibility.m4, gl/mbrtowc.c, gl/stdlib.in.h,
	gl/version-etc.c, gltests/Makefile.am,
	gltests/locale/fr/LC_MESSAGES/test-quotearg.po, gltests/malloca.c,
	gltests/malloca.h, gltests/malloca.valgrind, gltests/setenv.c,
	gltests/sockets.h, gltests/test-environ.c,
	gltests/test-getaddrinfo.c, gltests/test-malloca.c,
	gltests/test-mbrtowc4.sh, gltests/test-quotearg.c,
	gltests/test-quotearg.sh, gltests/test-sockets.c,
	gltests/unsetenv.c, lib/gl/Makefile.am, lib/gl/m4/00gnulib.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/stdlib.in.h, lib/gltests/Makefile.am: Update gnulib files.

2009-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Bump version.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac: Bump versions.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Use ftp.gnu.org as upload target.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Link to autobuild.josefsson.org.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* doc/texinfo.css: Update.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* lib/gltests/Makefile.am: Quick fix to make it build.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* lib/gltests/Makefile.am: Quick fix to make it build.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 1.0.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Upload to ftp.gnu.org.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac, lib/src/gsasl.h: 
	Bump version to 1.0.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* gtk-doc.make: Update with stable upstream.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* tests/suggest.c: Make it work with --disable-obsolete.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* gl/version-etc.c, gl/version-etc.h, src/gsasl.c: Use
	emit_bug_reporting_address from gnulib.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Emit bug report address more.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Fix priority setting.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, README, README-alpha, cfg.mk, configure.ac,
	doc/Makefile.am, doc/cyclo/Makefile.am, doc/doxygen/gdoc2doxygen,
	doc/print-errors.c, lib/Makefile.am, lib/NEWS, lib/README,
	lib/README-alpha, lib/THANKS, lib/anonymous/Makefile.am,
	lib/anonymous/anonymous.h, lib/anonymous/client.c,
	lib/anonymous/mechinfo.c, lib/anonymous/server.c,
	lib/cram-md5/Makefile.am, lib/cram-md5/challenge.c,
	lib/cram-md5/challenge.h, lib/cram-md5/client.c,
	lib/cram-md5/cram-md5.h, lib/cram-md5/digest.c,
	lib/cram-md5/digest.h, lib/cram-md5/mechinfo.c,
	lib/cram-md5/server.c, lib/digest-md5/Makefile.am,
	lib/digest-md5/README, lib/digest-md5/client.c,
	lib/digest-md5/digest-md5.h, lib/digest-md5/digesthmac.c,
	lib/digest-md5/digesthmac.h, lib/digest-md5/free.c,
	lib/digest-md5/free.h, lib/digest-md5/getsubopt.c,
	lib/digest-md5/mechinfo.c, lib/digest-md5/nonascii.c,
	lib/digest-md5/nonascii.h, lib/digest-md5/parser.c,
	lib/digest-md5/parser.h, lib/digest-md5/printer.c,
	lib/digest-md5/printer.h, lib/digest-md5/server.c,
	lib/digest-md5/session.c, lib/digest-md5/session.h,
	lib/digest-md5/test-parser.c, lib/digest-md5/tokens.h,
	lib/digest-md5/validate.c, lib/digest-md5/validate.h,
	lib/external/Makefile.am, lib/external/client.c,
	lib/external/external.h, lib/external/mechinfo.c,
	lib/external/server.c, lib/gssapi/Makefile.am, lib/gssapi/client.c,
	lib/gssapi/mechinfo.c, lib/gssapi/server.c, lib/gssapi/x-gssapi.h,
	lib/libgsasl.pc.in, lib/login/Makefile.am, lib/login/client.c,
	lib/login/login.h, lib/login/mechinfo.c, lib/login/server.c,
	lib/m4/output-def.m4, lib/m4/update-header-version.m4,
	lib/ntlm/Makefile.am, lib/ntlm/mechinfo.c, lib/ntlm/ntlm.c,
	lib/ntlm/x-ntlm.h, lib/plain/Makefile.am, lib/plain/client.c,
	lib/plain/mechinfo.c, lib/plain/plain.h, lib/plain/server.c,
	lib/securid/Makefile.am, lib/securid/client.c,
	lib/securid/mechinfo.c, lib/securid/securid.h,
	lib/securid/server.c, lib/src/Makefile.am, lib/src/base64.c,
	lib/src/callback.c, lib/src/crypto.c, lib/src/done.c,
	lib/src/error.c, lib/src/free.c, lib/src/gsasl-compat.h,
	lib/src/gsasl-mech.h, lib/src/gsasl.h, lib/src/init.c,
	lib/src/internal.h, lib/src/listmech.c, lib/src/md5pwd.c,
	lib/src/mechname.c, lib/src/obsolete.c, lib/src/property.c,
	lib/src/register.c, lib/src/saslprep.c, lib/src/suggest.c,
	lib/src/supportp.c, lib/src/version.c, lib/src/xcode.c,
	lib/src/xfinish.c, lib/src/xstart.c, lib/src/xstep.c,
	lib/tests/Makefile.am, lib/tests/test-error.c, m4/valgrind.m4,
	po/POTFILES.in, src/Makefile.am, src/callbacks.c, src/callbacks.h,
	src/gsasl.ggo, src/imap.c, src/imap.h, src/internal.h, src/smtp.c,
	src/smtp.h, tests/Makefile.am, tests/cram-md5.c,
	tests/digest-md5.c, tests/errors.c, tests/external.c,
	tests/gssapi.c, tests/md5file.c, tests/name.c, tests/old-base64.c,
	tests/old-cram-md5.c, tests/old-digest-md5.c, tests/old-gssapi.c,
	tests/old-md5file.c, tests/simple.c, tests/suggest.c,
	tests/threadsafety, tests/unicode.c, tests/utils.c, tests/utils.h: 
	Update copyright years.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* lib/AUTHORS: Update PGP key.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gsasl.texi, src/gsasl.c, src/gsasl.ggo: Add gsasl
	--priority parameter.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* doc/reference/gsasl-docs.tmpl, doc/reference/gsasl.types,
	doc/reference/gtk-doc.make, gtk-doc.make: Update gtk-doc files.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/arpa_inet.in.h, gl/fseeko.c, gl/m4/alloca.m4,
	gl/m4/codeset.m4, gl/m4/errno_h.m4, gl/m4/getaddrinfo.m4,
	gl/m4/getline.m4, gl/m4/getpass.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/iconv.m4, gl/m4/iconv_open.m4,
	gl/m4/inet_ntop.m4, gl/m4/inet_pton.m4, gl/m4/inline.m4,
	gl/m4/intmax_t.m4, gl/m4/inttypes_h.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/localcharset.m4, gl/m4/locale-fr.m4,
	gl/m4/locale-ja.m4, gl/m4/locale-tr.m4, gl/m4/locale-zh.m4,
	gl/m4/longlong.m4, gl/m4/malloc.m4, gl/m4/mbrtowc.m4,
	gl/m4/mbstate_t.m4, gl/m4/multiarch.m4, gl/m4/poll.m4,
	gl/m4/printf.m4, gl/m4/readline.m4, gl/m4/realloc.m4,
	gl/m4/sockets.m4, gl/m4/sockpfaf.m4, gl/m4/stdbool.m4,
	gl/m4/stdint.m4, gl/m4/stdint_h.m4, gl/m4/stdio_h.m4,
	gl/m4/strdup.m4, gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/poll.c, gl/progname.c,
	gl/stdint.in.h, gl/stdio.in.h, gl/strerror.c, gl/unistd.in.h,
	gl/wchar.in.h, gltests/ioctl.c, gltests/test-quotearg.c,
	gltests/test-unistd.c, lib/gl/Makefile.am, lib/gl/m4/alloca.m4,
	lib/gl/m4/codeset.m4, lib/gl/m4/errno_h.m4, lib/gl/m4/gc-random.m4,
	lib/gl/m4/gc.m4, lib/gl/m4/getline.m4, lib/gl/m4/gettext.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/intldir.m4, lib/gl/m4/intlmacosx.m4,
	lib/gl/m4/intmax.m4, lib/gl/m4/intmax_t.m4,
	lib/gl/m4/inttypes-pri.m4, lib/gl/m4/inttypes_h.m4,
	lib/gl/m4/lcmessage.m4, lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lock.m4, lib/gl/m4/longlong.m4, lib/gl/m4/malloc.m4,
	lib/gl/m4/md5.m4, lib/gl/m4/minmax.m4, lib/gl/m4/multiarch.m4,
	lib/gl/m4/nls.m4, lib/gl/m4/po.m4, lib/gl/m4/printf-posix.m4,
	lib/gl/m4/progtest.m4, lib/gl/m4/realloc.m4, lib/gl/m4/stdbool.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/stdint_h.m4, lib/gl/m4/stdio_h.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/threadlib.m4,
	lib/gl/m4/uintmax_t.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/vasnprintf.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/stdint.in.h, lib/gl/stdio.in.h, lib/gl/unistd.in.h,
	lib/gl/wchar.in.h, lib/gltests/test-unistd.c: Update gnulib files.

2009-01-23  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Typo.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/gdoc: Update gdoc and use gdoc -pkg-name.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-01-22  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Add web page links, per new GNU coding standard.

2009-01-07  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/test-parser.c: Need to initialize gc.

2009-01-07  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Make --version print both version numbers if libgsasl
	and gsasl version differ.

2009-01-07  Simon Josefsson <simon@josefsson.org>

	* README, doc/gsasl.texi, doc/reference/gsasl-docs.sgml: Fix GFDL
	version number.

2009-01-07  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, doc/gendocs_template, gl/Makefile.am,
	gl/config.charset, gl/localcharset.c, gl/localcharset.h,
	gl/m4/codeset.m4, gl/m4/errno_h.m4, gl/m4/extensions.m4,
	gl/m4/getaddrinfo.m4, gl/m4/glibc21.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/iconv.m4, gl/m4/inttypes_h.m4,
	gl/m4/lib-link.m4, gl/m4/localcharset.m4, gl/m4/locale-fr.m4,
	gl/m4/locale-ja.m4, gl/m4/locale-zh.m4, gl/m4/mbrtowc.m4,
	gl/m4/mbsinit.m4, gl/m4/mbstate_t.m4, gl/m4/multiarch.m4,
	gl/m4/printf.m4, gl/m4/quotearg.m4, gl/m4/size_max.m4,
	gl/m4/stdint.m4, gl/m4/stdint_h.m4, gl/m4/wchar.m4,
	gl/m4/wchar_t.m4, gl/m4/wctob.m4, gl/m4/wint_t.m4, gl/m4/xsize.m4,
	gl/mbrtowc.c, gl/mbsinit.c, gl/quotearg.c, gl/ref-add.sin,
	gl/ref-del.sin, gl/stdint.in.h, gl/stdlib.in.h, gl/streq.h,
	gl/sys_select.in.h, gl/unistd.in.h, gl/verify.h, gl/version-etc.c,
	gl/wchar.in.h, gl/wctype.in.h, gltests/Makefile.am,
	gltests/test-mbrtowc.c, gltests/test-mbrtowc1.sh,
	gltests/test-mbrtowc2.sh, gltests/test-mbrtowc3.sh,
	gltests/test-mbrtowc4.sh, gltests/test-mbsinit.c,
	gltests/test-mbsinit.sh, gltests/verify.h, gltests/wctob.c,
	lib/gl/Makefile.am, lib/gl/m4/codeset.m4, lib/gl/m4/errno_h.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/gettext.m4, lib/gl/m4/glibc2.m4,
	lib/gl/m4/glibc21.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv.m4, lib/gl/m4/intdiv0.m4,
	lib/gl/m4/intlmacosx.m4, lib/gl/m4/intmax.m4,
	lib/gl/m4/inttypes-pri.m4, lib/gl/m4/inttypes_h.m4,
	lib/gl/m4/lcmessage.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/multiarch.m4, lib/gl/m4/nls.m4, lib/gl/m4/po.m4,
	lib/gl/m4/printf-posix.m4, lib/gl/m4/progtest.m4,
	lib/gl/m4/size_max.m4, lib/gl/m4/stdint.m4, lib/gl/m4/stdint_h.m4,
	lib/gl/m4/threadlib.m4, lib/gl/m4/uintmax_t.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/wchar.m4, lib/gl/m4/wchar_t.m4,
	lib/gl/m4/wint_t.m4, lib/gl/m4/xsize.m4, lib/gl/stdint.in.h,
	lib/gl/stdlib.in.h, lib/gl/unistd.in.h, lib/gl/wchar.in.h,
	lib/gltests/Makefile.am: Update gnulib files.

2008-12-11  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/digesthmac.c: Drop unused macros.

2008-12-11  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/manywarnings.m4: Update gnulib files.

2008-12-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/m4/include_next.m4, gl/m4/warnings.m4,
	gl/stdint.in.h, gl/sys_time.in.h, lib/gl/m4/include_next.m4,
	lib/gl/stdint.in.h, maint.mk: Update gnulib files.

2008-11-28  Simon Josefsson <simon@josefsson.org>

	* lib/tests/Makefile.am: Need libintl.

2008-11-18  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2008-11-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Drop obsolete distcheck rules.

2008-11-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Move gltests directory last.

2008-11-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Re-order build, so that gltests is last.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Typos.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* gl/override/lib/gettext.h.diff,
	lib/gl/override/lib/gettext.h.diff: Add gnulib overrides.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac, gl/gettext.h, gl/m4/getaddrinfo.m4,
	gl/m4/gnulib-comp.m4, gl/m4/hostent.m4, gl/m4/servent.m4,
	gl/m4/sockets.m4, gl/m4/warnings.m4, lib/gl/Makefile.am,
	lib/gl/gettext.h, lib/gl/m4/gnulib-cache.m4, m4/valgrind.m4: Update
	gnulib files.  Change warning handling.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* lib/plain/server.c: Fix warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, gl/m4/getaddrinfo.m4, gl/m4/netdb_h.m4,
	gl/netdb.in.h, lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gltests/Makefile.am: Update gnulib
	files.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac: Fix warnings.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* tests/simple.c: Silence warning.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac, tests/Makefile.am, tests/cram-md5.c,
	tests/external.c, tests/md5file.c, tests/old-md5file.c,
	tests/simple.c, tests/utils.h: Fix warnings.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac: Fix warnings.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Need -Wundef afterall.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* lib/src/obsolete.c: Use HAVE_LIBIDN instead of WITH_SASLPREP.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac: Re-add -Wundef.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Revert.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl-compat.h: Revert but fix warning in another way.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Typo.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Use --deprecated-guard properly.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Add deprecated guard.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac, lib/digest-md5/digesthmac.c,
	lib/digest-md5/digesthmac.h, lib/digest-md5/test-parser.c,
	lib/src/callback.c, lib/src/internal.h, lib/src/property.c: Enable
	more warnings.  Fix warnings.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl-compat.h: Avoid warnings.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac, lib/configure.ac, lib/m4/output-def.m4: Fix
	warning handling.  Use output-def.m4.

2008-11-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Neatify.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* lib/libgsasl.pc.in: Add URL field.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: Add WARN_CFLAGS.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, cfg.mk, configure.ac, gl/Makefile.am, gl/fseeko.c,
	gl/m4/getaddrinfo.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/netdb_h.m4, gl/m4/printf.m4, gl/m4/warnings.m4,
	gl/netdb.in.h, gltests/sockets.h, lib/configure.ac,
	lib/m4/update-header-version.m4, src/Makefile.am: Update gnulib
	files.  Use shared files for common tests.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* build-aux/pmccabe2html, gl/Makefile.am, gl/m4/sys_ioctl_h.m4: 
	Update gnulib files.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/fdl-1.3.texi, doc/fdl.texi, doc/gsasl.texi,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Use
	GFDLv1.3+ for manual.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* gl/m4/include_next.m4, lib/gl/m4/include_next.m4, lib/maint.mk,
	maint.mk: Update gnulib files.

2008-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/strdup.m4, lib/gl/stdlib.in.h, lib/gl/strdup.c,
	lib/gl/unistd.in.h, lib/maint.mk: Update gnulib files.

2008-11-03  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	src/callbacks.c, src/gsasl.c, src/internal.h: Use gnulib xalloc
	module.

2008-10-30  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Cleanup pkg-config description.

2008-10-29  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, gl/Makefile.am, gl/m4/netdb_h.m4, gl/m4/stdlib_h.m4,
	gl/m4/sys_socket_h.m4, gl/netdb.in.h, gl/stdlib.in.h,
	gl/sys_socket.in.h, gl/unistd.in.h, maint.mk: Update gnulib files.

2008-10-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-29  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Sync gdoc with libidn.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* doc/doxygen/Doxyfile.in: Need doxygen.c.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/doxygen/Doxyfile.in, doc/doxygen/Doxyfile.orig: 
	Modernize doxygen configuration.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* tests/cram-md5.c, tests/digest-md5.c, tests/external.c,
	tests/gssapi.c, tests/md5file.c: Use gsasl_free when applicable.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/suggest.c: Add self-test.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Bump version.

2008-10-28  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Add code coverage rules.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/NEWS, lib/configure.ac: Bump versions.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Use system's gnupload.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* lib/ChangeLog: Generated.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, lib/Makefile.am: Disable warnings about deprecated
	stuff.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Version 0.2.29.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/cfg.mk: Split release target.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Exclude gnulib files from cyclomatic code
	complexity chart.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, build-aux/pmccabe.css, build-aux/pmccabe2html,
	configure.ac, doc/Makefile.am, doc/cyclo/Makefile.am,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/pmccabe2html.m4: Added cyclomatic code complexity charts.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* gl/close.c, gl/m4/sys_socket_h.m4, gl/socket.c,
	gl/sys_socket.in.h, gltests/ioctl.c: Update gnulib files.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h,
	lib/gl/Makefile.am, lib/gl/m4/unistd_h.m4, lib/gl/unistd.in.h: 
	Update gnulib files.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* lib/src/error.c: Make it work with --disable-obsolete.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* tests/old-base64.c: Fix out of range problem in printf.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gltests/Makefile.am, gltests/ioctl.c,
	gltests/sys_ioctl.in.h: Update gnulib files.

2008-10-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/close.c, gl/connect.c, gl/m4/gnulib-comp.m4,
	gl/override/tests/test-poll.c.diff, gl/recv.c, gl/shutdown.c,
	gl/socket.c, gl/w32sock.h, gl/winsock.c, gltests/Makefile.am,
	gltests/accept.c, gltests/bind.c, gltests/ioctl.c,
	gltests/listen.c, gltests/setsockopt.c, gltests/sys_ioctl.in.h,
	gltests/test-poll.c, gltests/w32sock.h, gltests/winsock.c: Update
	gnulib files.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/winsock.c, gltests/Makefile.am,
	gltests/ioctl.c, gltests/winsock.c: Update gnulib files.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* gl/m4/close.m4, gl/m4/gnulib-comp.m4, gltests/Makefile.am: Update
	gnulib files.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gltests/Makefile.am, gltests/sys_ioctl.in.h: 
	Update gnulib files.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* lib/tests/Makefile.am: Need -I's for gsasl.h etc.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't garble gsasl-api-error-labels.texi if
	print-errors fails.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't re-generate print-errors unless needed.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* lib/src/error.c: Fix off-by-one error.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/fclose.c, gl/m4/close.m4, gl/m4/fclose.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Re-enable fclose to
	work around autoconf problem.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/close.c, gl/m4/fclose.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gltests/Makefile.am,
	gltests/close.c, gltests/fclose.c: Update gnulib files.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Remove gdoc-error.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* src/internal.h: Drop getaddrinfo.h.

2008-10-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/arpa_inet.in.h, gl/errno.in.h,
	gl/float.in.h, gl/gai_strerror.c, gl/getaddrinfo.c,
	gl/getaddrinfo.h, gl/iconv.in.h, gl/m4/getaddrinfo.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/netdb_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4, gl/netdb.in.h,
	gl/netinet_in.in.h, gl/stdarg.in.h, gl/stdint.in.h, gl/stdio.in.h,
	gl/stdlib.in.h, gl/string.in.h, gl/sys_select.in.h,
	gl/sys_socket.in.h, gl/sys_time.in.h, gl/unistd.in.h,
	gl/wchar.in.h, gl/wctype.in.h, gltests/test-getaddrinfo.c,
	lib/gl/Makefile.am, lib/gl/errno.in.h, lib/gl/float.in.h,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/stdio_h.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/unistd_h.m4, lib/gl/stdint.in.h,
	lib/gl/stdio.in.h, lib/gl/stdlib.in.h, lib/gl/string.in.h,
	lib/gl/unistd.in.h, lib/gl/wchar.in.h, src/internal.h: Update gnulib
	files.

2008-10-15  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getaddrinfo.c, gl/m4/close.m4,
	gl/m4/fclose.m4, gl/m4/getaddrinfo.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/netdb_h.m4, gl/m4/stdio_h.m4,
	gl/m4/sys_socket_h.m4, gl/netdb.in.h, gl/stdio.in.h,
	gl/sys_socket.in.h, gl/winsock.c, gltests/Makefile.am,
	gltests/fclose.c, gltests/test-netdb.c, gltests/test-poll.c,
	gltests/winsock.c: Update gnulib files.  Add netdb.h replacement.

2008-10-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2008-10-15  Simon Josefsson <simon@josefsson.org>

	* src/gsasl.c: Don't use POLLOUT, causes essentially busy-waiting.
	Reported by Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/nonascii.c: Fix warnings.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* lib/tests/Makefile.am: Need -I for gettext.h.

2008-10-13  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h, lib/win32/libgsasl.vcproj: Fix MSVC build files.
	Partially reverts recent changes.  Based on discussion with Adam
	Strzelecki <adam.strzelecki@java.pl>.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Need EXEEXT.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* src/callbacks.c: Don't include langinfo.h when it doesn't exist.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* lib/configure.ac: Bump so version for new API.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Add.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* lib/src/internal.h, lib/src/xfinish.c: Fix mem leak.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* lib/src/xfinish.c: Reduce redundancy.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Generated.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Fix.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/gdoc-error, doc/print-errors.c: Generate
	gsasl-api-error-labels.texi using C program.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* lib/tests/Makefile.am: Add.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/configure.ac, lib/src/Makefile.am,
	lib/src/test-error.c, lib/tests/test-error.c: Move test-error.c out
	of library source tree.

2008-10-11  Simon Josefsson <simon@josefsson.org>

	* doc/reference/gsasl-docs.sgml, lib/NEWS, lib/src/Makefile.am,
	lib/src/error.c, lib/src/gsasl.h, lib/src/test-error.c,
	tests/Makefile.am, tests/errors.c: Add gsasl_strerror_name.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/src/callback.c, lib/src/obsolete.c: Move callback mapping to
	obsolete.c.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/src/property.c: Typo.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/src/obsolete.c, lib/src/property.c: Move callback2property
	mapping to obsolete.c.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/client.c, lib/digest-md5/server.c: Fix warnings.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/gssapi/Makefile.am: This code doesn't compile with warnings
	enabled -- GSS-API bufdesc is broken!

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/digesthmac.c: Fix warnings.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/NEWS: Add.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/old-base64.c: Add self-test of obsolete
	base64 functions.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/m4/close.m4,
	gl/m4/gnulib-comp.m4, gl/m4/sys_ioctl_h.m4, gl/m4/sys_socket_h.m4,
	gl/m4/unistd_h.m4, gl/sys_select.in.h, gl/sys_socket.in.h,
	gl/unistd.in.h, gl/winsock.c, gltests/Makefile.am, gltests/close.c,
	gltests/winsock.c, lib/GNUmakefile, lib/gl/Makefile.am,
	lib/gl/m4/unistd_h.m4, lib/gl/unistd.in.h: Update gnulib files.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/GNUmakefile, lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/minmax.m4, lib/gl/minmax.h,
	lib/src/obsolete.c: Use internal base64 encoder instead of
	duplicating it.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* THANKS, lib/NEWS, lib/digest-md5/server.c: DIGEST-MD5 server:
	Convert latin-1 realm to UTF-8 when needed.  Reported by Adam Goode
	<adam@spicenitz.org>.

2008-10-10  Simon Josefsson <simon@josefsson.org>

	* lib/NEWS: Fix.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* lib/securid/client.c: Fix (incorrect) -Werror warning.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, lib/Makefile.am,
	lib/anonymous/Makefile.am, lib/configure.ac,
	lib/cram-md5/Makefile.am, lib/digest-md5/Makefile.am,
	lib/external/Makefile.am, lib/gs2/Makefile.am,
	lib/gssapi/Makefile.am, lib/kerberos_v5/Makefile.am,
	lib/login/Makefile.am, lib/ntlm/Makefile.am, lib/plain/Makefile.am,
	lib/securid/Makefile.am, lib/src/Makefile.am: Do distcheck with
	-Werror.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl-compat.h: Work around gtk-doc parser bug.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Fix mingw32 target.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* lib/win32/include/config.h: Add, derived from
	gen-win32-headers.pl.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* lib/src/gsasl.h: Map GSASL_API to nothing by default.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi, lib/Makefile.am, lib/NEWS, lib/src/gsasl.h,
	lib/win32/include/gen-win32-headers.pl, lib/win32/libgsasl.vcproj: 
	Fix MinGW again.  Avoid perl in MSVS.

2008-10-09  Simon Josefsson <simon@josefsson.org>

	* lib/src/version.c: Use GSASL_VERSION instead of PACKAGE_VERSION to
	reduce config.h dependency.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* doc/gsasl.texi: Mention new property.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* tests/digest-md5.c: Ignore GSASL_DIGEST_MD5_HASHED_PASSWORD
	property callbacks.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* lib/digest-md5/server.c: Try to get hashed password before real
	password.  Patch together with "Gazsó Attila" <agazso@gmail.com>.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* THANKS, lib/NEWS, lib/digest-md5/server.c, lib/src/gsasl.h,
	lib/src/internal.h, lib/src/property.c: Support hashed passwords in
	DIGEST-MD5 servers.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Fix INDENT_SOURCES.

2008-10-07  Simon Josefsson <simon@josefsson.org>

	* lib/cfg.mk: Add INDENT_SOURCES.

2008-10-05  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/c-ctype.h, gl/errno.in.h,
	gl/m4/gnulib-comp.m4, gl/m4/sys_select_h.m4, gl/m4/unistd_h.m4,
	gl/strerror.c, gl/sys_select.in.h, gl/unistd.in.h,
	gl/winsock-select.c, gl/winsock.c, gltests/Makefile.am,
	gltests/test-sys_select.c, lib/gl/Makefile.am, lib/gl/errno.in.h,
	lib/gl/m4/unistd_h.m4, lib/gl/unistd.in.h: Update gnulib files.

2008-10-02  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix mingw build rules.

2008-10-02  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/poll.c, gl/sys_socket.in.h,
	gl/unistd.in.h, gl/winsock-select.c, gl/winsock.c,
	gltests/test-poll.c, gltests/test-sys_select.c, lib/gl/Makefile.am,
	lib/gl/m4/unistd_h.m4, lib/gl/unistd.in.h: Update gnulib files.

2008-09-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/arpa_inet.in.h, gl/m4/arpa_inet_h.m4,
	gl/m4/gnulib-comp.m4, gl/m4/iconv_h.m4, gl/m4/iconv_open.m4,
	gl/m4/inet_ntop.m4, gl/m4/inet_pton.m4, gl/m4/sockets.m4,
	gl/m4/stdio_h.m4, gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4,
	gl/m4/unistd_h.m4, gl/m4/wchar.m4, gl/stdio-write.c, gl/stdio.in.h,
	gl/sys_select.in.h, gl/sys_socket.in.h, gl/unistd.in.h,
	gl/winsock.c, gltests/Makefile.am, gltests/test-sys_select.c,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-comp.m4, lib/gl/m4/stdio_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/wchar.m4, lib/gl/stdio-write.c,
	lib/gl/stdio.in.h, lib/gl/unistd.in.h: Update gnulib files.

2008-09-30  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/configure.ac: Use AC_CONFIG_MACRO_DIR for modern
	libtool.

2008-09-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/reference/Makefile.am, gtk-doc.make,
	lib/configure.ac: Use automake warnings.  Upgrade gtk-doc makefiles.

2008-09-26  Simon Josefsson <simon@josefsson.org>

	* gsasl.fms: Remove.

2008-09-26  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4: Update gnulib
	files.

2008-09-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/sys_select_h.m4, gl/sys_select.in.h, gl/sys_socket.in.h,
	gl/winsock-select.c, gltests/test-sys_select.c: Update gnulib files.

2008-09-23  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/alloca.c, gl/m4/gnulib-comp.m4,
	gl/m4/perror.m4, gl/m4/strdup.m4, gl/m4/string_h.m4,
	gl/m4/sys_socket_h.m4, gl/m4/wchar.m4, gl/poll.c, gl/string.in.h,
	gl/sys_socket.in.h, gl/vasnprintf.c, gl/wchar.in.h, gl/wctype.in.h,
